Menu: [Actions like imaging, cloning and DFSDISK]

Actions Menu: [Actions like imaging, cloning and DFSDISK]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Bad-sector scan, read only

From main menu: Actions -> Bad-sector scan, read only

Scan for bad-sectors using Read-Only (fast); Shows the disk-speed as well

Menu item screenshot(s)

    This will try to read every sector of the current opened object,
    and report on any read-errors encountered along the way.
    The object may be a disk, partition, volume or even an image.

    All unreadable sectors will be added to the sector-list for later
    reference and can be exported to a file from there as well.

    After ending the SCAN at the end of the object, or when <Esc> is
    used to terminate it, the speed of reading is calculated and
    displayed too. This is a good indication for read-performce.

Full read/write/verify Scan

From main menu: Actions -> Full read/write/verify Scan

Scan for bad-sectors using Read-Invert-Write-Read-Write algorithm (slow)

Menu item screenshot(s)

    This is similar to the readonly SCAN, but it will write to the
    object as well as read. To make sure no data is lost or damaged
    doing that, it is actually a read-invert-write-read-invert-write'
    cycle with a verify of the data after the second read.

    This makes it a very reliable and safe method of finding bad sectors
    but it also makes it VERY SLOW! (up to 20 times slower than a RO-SCAN)

    All unreadable sectors will be added to the sector-list for later
    reference and can be exported to a file from there as well.

    After ending the SCAN the speed of scanning is calculated and
    displayed too. This is an indication for read/write-performce, but
    since there are TWO reads and writes in every cycle the number must
    at least be doubled.

    Combined read/write is much slower than just reading or just writing
    because it messes up the disk-caching.

Erase, wipe selected areas

From main menu: Actions -> Erase, wipe selected areas

Erase or wipe selected object, freespace areas or unused filesystem sectors

    This submenu contains all menu-items related to WIPING sectors.

    Wiping is clearing, erasing selected sectors with a pattern,
    quite often of all ZERO bytes.

    Several selections are possible including the current object,
    being a disk, volume or partition, or the freespace in an
    opened filesystem, or a freespace area on a partitioned disk.

Erase, wipe 'This' sector(s)

From main menu: Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s)

Wipe one or more sectors to ZEROES at the 'this' sector in current object

Menu item screenshot(s)

    This will erase one or more sectors on the current object with
    ZEROES, starting at the current sector 'this'

    This can be very useful to selectively erase specific filesystem
    structures like an Fnode, MFT record or similar.

    The number of sectors to be erased can be specified in a popup
    dialog-box that will also show the start sector number 'this'.

    After specifying the #sectors, there will be a final confirmation

Erase, wipe current object

From main menu: Actions -> Erase, wipe selected areas -> Erase, wipe current object

Wipe object (disk/part/vol) completely clean with zeroes. (ALL DATA LOST!)

Menu item screenshot(s)

    This will erase ALL DATA on the current object by filling all
    sectors with ZEROES. Only the most advanced data-recovery methods
    would be able to recover data after wiping it this way.

    It removes any remains of partitioning information when used on a
    disk, or of confidential file-data when used on a partition or
    a whole disk.

SECURE wipe current object

From main menu: Actions -> Erase, wipe selected areas -> SECURE wipe current object

Wipe object (disk/part/vol) in DoD SECURE way. (slow and UNRECOVERABLE!)

Menu item screenshot(s)

    This will securely erase ALL DATA on the current object by writing
    a pattern, an inverted pattern and random data, then verifying that
    it really got written. DATA WILL NOT BE RECOVERABLE IN ANY WAY!

    This is an algorithm aproved + specified by the USA
    departement of defense in 'Standard DoD 5220.22-M'.

    It removes any remains of partitioning information when used on a
    disk, or of confidential file-data when used on a partition or
    a whole disk.

Erase, wipe Freespace-area

From main menu: Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area

Wipe all sectors in the area of freespace to be selected (clean old garbage)

Menu item screenshot(s)

    This will clear ALL SECTORS in an area of freespace to be selected
    with ZEROES. Only the most advanced data-recovery methods would
    be able to recover data after wiping it this way.

    It removes any remains of partitioning information or confidential
    file-data that might have resided in this area before it became
    freespace.

    Freespace areas are all areas on a disk that are NOT in-use by any
    partition or by partition-tables or related structures.

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Wipe all sectors in list

From main menu: Actions -> Erase, wipe selected areas -> Wipe all sectors in list

Wipe all sectors in the sectorlist to ZEROES (as listed by 'list -w')

Menu item screenshot(s)

    This will WIPE every sector in the sector-list to ZEROES.

    There are several possible uses for this function, like:

       - Erasing filenodes (HPFS) for deleted files
         This will exclude the files from subsequent searching
         for deleted files, making UNDELETE impossible.

           Create list using: Mode=HPFS -> Search deleted files => list

       - Erasing all partitioning related sectors from a disk
         This will make sure new partitioning will not inherit
         ANYTHING from the previous setup of the same disk.

           Create list using: Mode=FDISK -> Search partitioning sectors

Zero freespace in filesystem

From main menu: Actions -> Erase, wipe selected areas -> Zero freespace in filesystem

Wipe all FREE sectors/clusters in the filesystem to ZERO. (.IMZ optimizer)

Menu item screenshot(s)

    This will wipe all unused sectors or clusters in the current filesystem
    with ZEROES.

    This will remove any remains of deleted files or other garbage that was
    on the partition. This will make any UNDELETE of files impossible!
    (except for files in the Windows trashcan or OS/2 DELDIR)

    Clearing the freespace will make compressing a filesystem much more
    effective, including creating a compressed IMAGE file (.IMZ).

SECUREWIPE freespace in FS

From main menu: Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS

SECUREWIPE FREE sectors/clusters in the filesystem, SLOW! (DoD 5520.22 spec)

Menu item screenshot(s)

    This will wipe all unused sectors or clusters in the current filesystem
    repeatedly as specified by the US military Dod 5520.22 specification.

    It will remove any remains of deleted files or other garbage that was
    on the partition. This will make any UNDELETE of files impossible!
    (except for files in the Windows trashcan or OS/2 DELDIR)

    This will make ANY recovery of the wiped (file) areas impossible!

Format with FAT filesystem

From main menu: Actions -> Format with FAT filesystem

FORMAT a partition to be selected from a list, selecting options in a dialog

    This submenu contains menu-items to FORMAT a disk partition
    to be selected, or the current opened object with a FAT or
    FAT32 filesystem.

    Several properties of the new filesystem can be selected in
    the FAT format dialog, or by using one of the pre-configured
    choices in the lower part of the submenu (like OS2LDR).

    Formatting is writing new filesystem structures into the area,
    making it an EMPTY but valid filesystem of the desired type.

A Partition to be selected

From main menu: Actions -> Format with FAT filesystem -> A Partition to be selected

FORMAT a partition to an EMPTY FAT or FAT32 filesystem (all data is LOST!)

Menu item screenshot(s)

    This selection will perform a FORMAT of the partition to be
    selected to the FAT or FAT32 filesystem format, after setting
    options in a dialog with the following fields:

    Cluster size      Only VALID clustersizes will be presented,
    ( )  1 sector     and an optimal default value will be set
    ( )  2 sectors    as the active selection.
    ( )  4 sectors
    ()  8 sectors    Small clusters may reduce wasted space with
    ( ) 16 sectors    many small files, while large clusters may
    ( ) 32 sectors    decrease fragmentation and increase the read
    ( ) 64 sectors    and write performance for large files.

    ( ) 12-bit FAT    Used below 4096 clusters (like diskettes)
    ( ) 16-bit FAT    Used up to 2 GiB, readable on many OS's
    () 32-bit FAT    Used beyond 2 GiB, or when a small cluster
                      size is desired for other reasons.

    Use boot-code aimed at OS:   [Windows 9x ]

                      This allows you to select between several
                      bootcode variants allowing it to actually
                      boot that related operating system.
                      NOT RELEVANT for data partitions!

     Root entries     The number of directory entries that are
    [512         ]    available in the ROOT directory (FAT12/16)

     Volume Label     The label as recorded in the bootsector as
    [DFSee123456 ]    well as the ROOT directory of the FAT FS
                      The default reflects the partition location

     SerialNumber     Volume serial number, should be unique for
    [ee123456    ]    removable media. Default based on location
                      or timestamp when it is not a partition.

     Offset FAT-1     Offset from the bootsector to first FAT area
    [1           ]    default 1 for FAT12/16 and hex 20 for FAT32.

    [ ] Use LONG format, initialize all clusters to ZERO contents

        This will erase the whole data-area, making sure no old
        information is retained. Note that, unlike regular FORMAT
        the current DFSee version does NOT check for bad-clusters!

    Formatting a partition or volume will destroy ALL data
    that is currently on it, and is NOT recoverable!

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Currently opened object ...

From main menu: Actions -> Format with FAT filesystem -> Currently opened object ...

Format the CURRENT opened object with a FAT filesystem specified in a dialog

Menu item screenshot(s)

    This selection will perform a FORMAT of the current object to
    the FAT or FAT32 filesystem format, after setting options in
    a dialog with the following fields:

    Cluster size      Only VALID clustersizes will be presented,
    ( ) 512 bytes     and an optimal default value will be set
    ( )   1 KiB       as the active selection.
    ( )   2 KiB
    ()   4 KiB       Small clusters may reduce wasted space with
    ( )   8 KiB       many small files, while large clusters may
    ( )  16 KiB       decrease fragmentation and increase the read
    ( )  32 KiB       and write performance for large files.

    ( ) 12-bit FAT    Used below 4096 clusters (like diskettes)
    ( ) 16-bit FAT    Used up to 2 GiB, readable on many OS's
    () 32-bit FAT    Used beyond 2 GiB, or when a small cluster
                      size is desired for other reasons.

    Use boot-code aimed at OS:   [Classic  MS-DOS ]

                      This allows you to select between several
                      bootcode variants allowing it to actually
                      boot that related operating system.
                      NOT RELEVANT for data partitions!

     Root entries     The number of directory entries that are
    [512         ]    available in the ROOT directory (FAT12/16)

     Volume Label     The label as recorded in the bootsector as
    [DFSee123456 ]    well as the ROOT directory of the FAT FS
                      The default reflects the partition location

     SerialNumber     Volume serial number, should be unique for
    [ee123456    ]    removable media. Default based on location
                      or timestamp when it is not a partition.

     Offset FAT-1     Offset from the bootsector to first FAT area
    [1           ]    default 1 for FAT12/16 and hex 20 for FAT32.

    [ ] Use LONG format, initialize all clusters to ZERO contents

        This will erase the whole data-area, making sure no old
        information is retained. Note that, unlike regular FORMAT
        the current DFSee version does NOT check for bad-clusters!

    Formatting a partition or volume will destroy ALL data
    that is currently on it, and is NOT recoverable!

Current, OS2LDR.SEK Bootable

From main menu: Actions -> Format with FAT filesystem -> Current, OS2LDR.SEK Bootable

Format CURRENT object as FAT16 + OS2LDR code (Bootable USB, Large Floppy)

    This is a pre-configured FORMAT of the CURRENT opened object
    to a FAT16 filesystem, using the 'OS2LDR.SEK' boot code.

    All other properties like clustersize are automatically set
    to optimal values for the size of the filesystem.

    The resulting FAT filesystem and bootcode may be used to
    create a bootable OS/2 system on so called 'Large Floppy'
    media like USB memory sticks.

    Note: Menu item will be DISABLED if the current object
          is too large for a FAT16 filesystem.

Resize partition and FS

From main menu: Actions -> Resize partition and FS

Resize partition (-tables) and the filesystem structures in that partition

    This submenu contains all menu-items related to RESIZING

    In all cases, you NEED to have a harddisk-partition selected for
    the menu-entries to be enabled, making the functions available.

      Limitations:

      The RESIZE menu is implemented using a generic command, but
      it requires a filesystem dependent part to be implemented.
      Currently that is ONLY available for FAT, FAT32, HPFS and NTFS

Resize, make partition smaller

From main menu: Actions -> Resize partition and FS -> Resize, make partition smaller

Resize the current partition, making it smaller (truncating, make freespace)

Menu item screenshot(s)

    This will resize the current partition to a size that is SMALLER
    than its present size, in other words, TRUNCATE the partition

    You will be prompted to specify a new size for the partition, with
    a minimum and a maximum value displayed for your convenience.
    The size entered will be rounded to make the partition cylinder
    aligned, just like any newly created partitions.

    When the system uses (IBM-style) LVM-information, it will be
    updated to reflect the new size of the partition.

    Data within the partition will NOT BE MOVED by DFSee, so to make a
    resize possible it may be needed to defragment it, or otherwise
    optimize the partition so that the data is moved to the beginning.

    A reason to resize partitions is to make freespace available to
    allow installation of another operating system.

      Limitations:

      The RESIZE menu is implemented using a generic command, but
      it requires a filesystem dependent part to be implemented.
      Currently that is ONLY available for FAT, FAT32, HPFS and NTFS

Expand, make partition larger

From main menu: Actions -> Resize partition and FS -> Expand, make partition larger

Resize the current partition, making it larger (expanding, using freespace)

Menu item screenshot(s)

    This will resize the current partition to a size that is LARGER
    than its present size, in other words, EXPAND the partition

    You will be prompted to specify a new size for the partition, with
    a minimum and a maximum value displayed for your convenience.
    The size entered will be rounded to make the partition cylinder
    aligned, just like any newly created partitions.

    When the system uses (IBM-style) LVM-information, it will be
    updated to reflect the new size of the partition.

    Expanding a partition is often done to use remaining freespace
    on the disk for an existing partition. However, DFSee will only
    allow expanding a partition to use freespace that is DIRECTLY
    after the partition.

      Limitations:

      Expanding is supported for FAT32, NTFS and HPFS filesystems.

      FAT16 fileystems can only be expanded to about 65500 clusters,
      at most doubling the current partition size. This is because
      the clustersize itself can not be changed using DFSee.

Adjust FS to partition size

From main menu: Actions -> Resize partition and FS -> Adjust FS to partition size

Resize the filesystem in current partition to use the WHOLE partition size

Menu item screenshot(s)

    This will adjust the filesystem present in the current partition
    to take up the WHOLE size of the partition ('resize -max')

    Usually this will mean making the filesystem LARGER so it fills
    the whole partition, and not just the start of it as may happen
    after restoring a filesystem-image to a partition that is larger
    than the original one was.

    In some cases it could also make the filesystem SMALLER to make
    it fit in the current partition. This will only work correctly
    if the end of the partition (that does not fit) was EMPTY.
    This may happen when restoring a filesystem-image into a
    a partition that is smaller than the original was.

Move or Copy a partition

From main menu: Actions -> Move or Copy a partition

Move or Copy the CURRENT open partition; You MUST select a partition first!

    This submenu contains all menu-items related to MOVING or
    COPYING complete partitions within, or to other freespace areas.

    In all cases, you NEED to have a harddisk-partition selected for
    the menu-entries to be enabled, making the functions available.

Copy Part to freespace area

From main menu: Actions -> Move or Copy a partition -> Copy Part to freespace area

Copy current partition to a different freespace area, do NOT delete original

Menu item screenshot(s)

    This will CLONE the whole partition contents to another freespace
    area selected from a list of suitable ones. The original partition
    will NOT be deleted making the result a true COPY ...

    Only freespace areas that are large enough, and are compatible with
    the PRIMARY/LOGICAL property of the partition, are suitable.

    The partition tables and LVM-information when present, will be
    updated to reflect the new position.

    When the partition is a bootable one (ACTIVE), the new partition
    created in the freespace area will be made bootable as well.

    MOVE/COPY of a partition that is part of a multi-partition
    LVM volume is NOT supported yet! In that case the menu
    items related to MOVE/COPY will be disabled!

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Move Part to freespace area

From main menu: Actions -> Move or Copy a partition -> Move Part to freespace area

Move current partition to a different freespace area (deleting the original)

    This will CLONE the whole partition contents to another freespace
    area selected from a list of suitable ones. The original partition
    will be DELETED making the result a true MOVE ...

    Only freespace areas that are large enough, and are compatible with
    the PRIMARY/LOGICAL property of the partition, are suitable.

    The partition tables and LVM-information when present, will be
    updated to reflect the new position.

    When the partition is a bootable one (ACTIVE), the new partition
    created in the freespace area will be made bootable as well.

    MOVE/COPY of a partition that is part of a multi-partition
    LVM volume is NOT supported yet! In that case the menu
    items related to MOVE/COPY will be disabled!

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Move towards END of freespace

From main menu: Actions -> Move or Copy a partition -> Move towards END of freespace

Move current partition towards the END of freespace (higher cylinder-number)

Menu item screenshot(s)

    This will move the whole partition contents towards the end of
    the freespace area, to higher sector/cylinder numbers.

    The partition tables and LVM-information when present, will be
    updated to reflect the new position.

    In moving the actual data, unused sectors/clusters are skipped
    (smart) UNLESS the original and new location are OVERLAPPING.
    In that case the 'smart' option is ignored, and the
    copy action will be significantly slower!

    MOVE/COPY of a partition that is part of a multi-partition
    LVM volume is NOT supported yet! In that case the menu
    items related to MOVE/COPY will be disabled!

Move towards BEGIN freespace

From main menu: Actions -> Move or Copy a partition -> Move towards BEGIN freespace

Move current partition towards BEGIN of freespace (lower cylinder-number)

    This will move the whole partition contents towards the beginning
    of the freespace area, to lower sector/cylinder numbers.

    The partition tables and LVM-information when present, will be
    updated to reflect the new position.

    In moving the actual data, unused sectors/clusters are skipped
    (smart) UNLESS the original and new location are OVERLAPPING.
    In that case the 'smart' option is ignored, and the
    copy action will be significantly slower!

    MOVE/COPY of a partition that is part of a multi-partition
    LVM volume is NOT supported yet! In that case the menu
    items related to MOVE/COPY will be disabled!

Clone or Compare objects

From main menu: Actions -> Clone or Compare objects

Clone or compare an object to the CURRENT open or another selected object

    This submenu contains all menu-items related to CLONING
    between objects like Disks, Partitions, Volumes or Images.

    Cloning will make a sector-by-sector exact copy from one object
    to another one of the same or a different type. The size to be
    copied is the lesser of both objects and it is advised to clone
    only objects that have the exact same sizes to avoid truncation.

    Only the object CONTENTS is copied, related sectors like LVM-info
    or partition-table sectors (EBR) are NOT part of the clone.

    For copying or moving Partitions to or within freespace areas,
    where the partition-tables ARE updated, see the MOVE and COPY
    items elsewhere in this menu.

Disk to Disk ...

From main menu: Actions -> Clone or Compare objects -> Disk to Disk ...

Clone a to-be-selected Disk to another to-be-selected Disk (copy whole disk)

Menu item screenshot(s)

    Cloning will make a sector-by-sector exact copy from one Disk
    to another one. The size to be copied is the lesser of both and
    it is advised to clone TO a Disk of the same or larger size.

    The WHOLE disk CONTENTS is copied, including LVM-information
    and partition-table sectors (MBR/EBR).

Partition to Partition ...

From main menu: Actions -> Clone or Compare objects -> Partition to Partition ...

Clone a to-be-selected Partition to another to-be-selected Partition, backup

Menu item screenshot(s)

    Cloning will make a sector-by-sector exact copy from one Partition
    to another one. The size to be copied is the lesser of both and
    it is advised to clone TO a Partition of the same size.

    Only the partition CONTENTS is copied, related sectors like LVM
    or partition-table sectors (EBR) are NOT part of the clone.

    Cloning partitions is an excellent way to make a BACKUP of important
    partitions (like your system boot partition) since it can be restored
    quickly in case of problems with the original (after viruses etc).

Volume to Volume ...

From main menu: Actions -> Clone or Compare objects -> Volume to Volume ...

Clone a to-be-selected Volume to another to-be-selected Volume (diskette)

    Cloning will make a sector-by-sector exact copy from one Volume
    to another one. The size to be copied is the lesser of both and
    it is advised to clone TO a Volume of the same size.

Disk to Current object

From main menu: Actions -> Clone or Compare objects -> Disk to Current object

Clone a to-be-selected Disk to the currently opened object (dangerous!)

    Cloning will make a sector-by-sector exact copy from a Disk
    to the CURRENT opened object, which can be any type.

    The WHOLE disk CONTENTS is copied, including LVM-information
    and partition-table sectors (MBR/EBR).

Partition to Current object

From main menu: Actions -> Clone or Compare objects -> Partition to Current object

Clone a to-be-selected Partition to the currently opened object (dangerous!)

Menu item screenshot(s)

    Cloning will make a sector-by-sector exact copy from a Partition
    to the CURRENT opened object, which can be any type.

    Only the partition CONTENTS is copied, related sectors like LVM
    or partition-table sectors (EBR) are NOT part of the clone.

Volume to Current object

From main menu: Actions -> Clone or Compare objects -> Volume to Current object

Clone a to-be-selected Volume to the currently opened object (dangerous!)

    Cloning will make a sector-by-sector exact copy from a Volume
    to the CURRENT opened object, which can be any type.

Create Imagefile(s)

From main menu: Actions -> Create Imagefile(s)

Save RAW or compressed IMAGE-files, incl. size-limited files/removable media

    This submenu contains all menu-items related to creating IMAGES
    from objects like Disks, Partitions, Volumes or other Images.

    Imaging will make a sector-by-sector exact copy from the object
    to a binary file, wich can either be RAW or compressed.

    RAW images are often used for bootable diskette-images, while
    compressed images are good for backup purposes and can also be
    stored in multiple-files, each limited to a certain size to
    allow storage of the files on removable media like CD or DVD.
    Note that DFSee itself does NOT contain CD-burning software!

    SMART imaging helps in reducing the size of compressed images
    by skipping unused areas on the disk or partition completely.

    When creating an image backup for recovery purposes, where you
    want ALL sectors of a disk/partition to be represented in the
    image, make sure you do NOT specify the '-S' option.

    So, if you use the dialog make sure you change the default of:

           (x) Smart comp
    to
           (x) Compressed

    This way, deleted files or damaged filesystem structures will
    be part of the image and could be recovered from it later.

from a Disk

From main menu: Actions -> Create Imagefile(s) -> from a Disk

Create RAW or Compressed imagefile from current or to-be-selected Disk

Menu item screenshot(s)

    This will create one or more IMAGE files for (all or part of)
    a disk, to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

from a Partition

From main menu: Actions -> Create Imagefile(s) -> from a Partition

Create RAW or Compressed imagefile from current or to-be-selected Partition

Menu item screenshot(s)

    This will create one or more IMAGE files for (al or part of)
    a partition, to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

from a Volume (diskette)

From main menu: Actions -> Create Imagefile(s) -> from a Volume (diskette)

Create RAW or Compressed imagefile from current or to-be-selected Volume

    This will create one or more IMAGE files for (all or part of)
    a volume (like a diskette), to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

from Current object

From main menu: Actions -> Create Imagefile(s) -> from Current object

Create RAW or Compressed imagefile from currently opened object, of any type

    This will create one or more IMAGE files for (all or part of)
    the CURRENT opened object, which can be any type.

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

IMZ from a RAW imagefile

From main menu: Actions -> Create Imagefile(s) -> IMZ from a RAW imagefile

Create IMZ compressed imagefile from an existing RAW image (.IMG, .HDD etc)

    This will create one or more compressed IMAGE files for an existing
    uncompressed RAW imagefile like a DFSee .IMG or SVISTA .HDD file.

    You first select the RAW image in an Open-file dialog, and then you
    can further specify the options for the compressed .IMZ imagefile to
    be created in the regular create-image dialog.

RAW from an IMZ imagefile

From main menu: Actions -> Create Imagefile(s) -> RAW from an IMZ imagefile

Create RAW uncompressed imagefile from an existing IMZ compressed image

    This will create one uncompressed IMAGE file for an existing
    compressed IMZ imagefile (DFSee specific).

    The IMZ file may be part of a multiple, size-limited set of
    files to fit a CDROM or similar (.IMZ .002 .003 and so on).

    You first select the IMZ image in an Open-file dialog, and then
    you can further specify the options for the uncompressed RAW
    imagefile to be created in the regular create-image dialog.

Restore/Compare imagefile(s)

From main menu: Actions -> Restore/Compare imagefile(s)

Restore or Compare/Verify imagefiles to current or to-be-selected object

    This submenu contains all menu-items related to RESTORING or
    COMPARING images to objects like Disks, Partitions, Volumes
    or other Images.

    Images are sector-by-sector exact copies from an object
    in a binary file, wich can either be RAW or compressed.

    RAW images are often used for bootable diskette-images, while
    compressed images are good for backup purposes.

    Compressed images can be stored in multiple-files, each limited
    to a certain size to allow storage of the files on removable
    media like CD-R/RW or DVD-R/RW.

     - RESTORE writes back data from the image to the (disk) object
     - COMPARE will check image data agains the data in the object
     - VERIFY  will only check the imagefile integrity, using CRC

to a Disk

From main menu: Actions -> Restore/Compare imagefile(s) -> to a Disk

Restore RAW or Compressed imagefile to current or to-be-selected Disk

Menu item screenshot(s)

    This will RESTORE an imagefile or COMPARE an imagefile to (all or part of)
    a physical or virtual disk, to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

to a Partition

From main menu: Actions -> Restore/Compare imagefile(s) -> to a Partition

Restore RAW or Compressed imagefile to current or to-be-selected Partition

    This will RESTORE an imagefile or COMPARE an imagefile to (all or part of)
    a partition, to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

to a Volume (diskette)

From main menu: Actions -> Restore/Compare imagefile(s) -> to a Volume (diskette)

Restore RAW or Compressed imagefile to current or to-be-selected Volume

    This will RESTORE an imagefile or COMPARE an imagefile to (all or part of)
    a volume (like a diskette), to be selected in the next dialog ...

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

to Current object

From main menu: Actions -> Restore/Compare imagefile(s) -> to Current object

Restore RAW or Compressed imagefile to currently opened object, of any type

    This will RESTORE an imagefile or COMPARE an imagefile to (all or part of)
    the currently selected object

    Context sensitive help within the dialog will be related to the FILE
    dialog when in that area, and specific to imaging in the rest ...

Verify compressed image ...

From main menu: Actions -> Verify compressed image ...

Verify the integrity of a (DFSee) compressed imagefile with verbose report

Menu item screenshot(s)

    This will VERIFY the structural integrity of an imagefile, without
    actually restoring or comparing against any selected object.
    Internal structures including 32-bit CRC values are verified.

Show info for an image ...

From main menu: Actions -> Show info for an image ...

Show embedded header information for an IMZ compressed image, or size of RAW

Menu item screenshot(s)

    This will display information from the embedded header for a
    DFSee IMZ compressed imagefile (single or one of a multi-file).

    For other files, like RAW images, it will just show the size

File and sector List

From main menu: Actions -> File and sector List

Operate on the list of files/sectors, including display and file-recovery

    This submenu contains several actions upon the list of sectors,
    often each sector representing a single file or an important
    partitioning related sector.

    The list can be imported, exported, displayed in several ways
    and when containing file references, the files can be recovered.

Export sector-list ...

From main menu: Actions -> File and sector List -> Export sector-list ...

Export the list of sectors to an ASCII file for later use (or for import)

Menu item screenshot(s)

    This will write the DFSee sector-list to an ASCII file
    (.SN?/.LSN) containing one sectornumber on every line.

    When you select the checkbox for 'Export each DATA sector ...'
    the data for those sectors is written to a related binary file
    as well (.BN?/.BIN) so you can later restore that to the same
    location using the corresponding import menu-selection.

Import sector-list ...

From main menu: Actions -> File and sector List -> Import sector-list ...

Import ASCII file with sectornumbers to the DFSee sector list (exported)

Menu item screenshot(s)

    This will restore the DFSee sector-list from an ASCII file
    (.SN?/.LSN) containing one sectornumber on every line.

    Each line may contain other text after the sectornumber, to
    allow importing from a logfile with more verbose find results
    like a DELFIND of FILEFIND action.

    When you select the checkbox for 'Import each DATA sector ...'
    the data for those sectors is restored from the related binary
    file (.BN?/.BIN) as well

Show sectornumbers only

From main menu: Actions -> File and sector List -> Show sectornumbers only

Show values in the list with sector numbers in the most compact format

    This will display the DFSee sector-list in the most compact format,
    with 8 sectornumbers per line in hexadecimal format (list -w)

Compact show list, 1-liners

From main menu: Actions -> File and sector List -> Compact show list, 1-liners

Show values in the list with sector numbers in a default compact format

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format, suited
    to the data contained in the list

    This usually is a 'list -f' or a 'list -s' variant.

Verbose show list, contents

From main menu: Actions -> File and sector List -> Verbose show list, contents

Show contents of the sectors in the list in verbose-data or filename format

Menu item screenshot(s)

    This will display the DFSee sector-list in a more verbose format,
    suited to the data contained in the list. This could be in the form
    of one path+filename on a line for lists representing filenames, to
    detailed sector-dumps for lists related to partitioning information.

    This usually is a 'list -d' or a 'list -b' variant.

Allocation and SLT identify

From main menu: Actions -> File and sector List -> Allocation and SLT identify

Show allocation status, path+filename/sectortype + related info from the SLT

    This will display the Free/Allocated status for each sectornumber
    in the list, and when available, it will display additional info
    by using the 'Sector Lookup Table' (SLT)

    When the sector is related to a file, the filename and some related
    information like the directory it is in will be displayed, otherwise
    a filesystem-area or freespace area is indicated.

    The SLT will be built when using a 'CHECK xxx filesystem' selection
    or when the 'Show Sector-Lookup-Table' menu selection is used.
    (or the SLT or CHECK commands from the commandline)

FS-mode aware list 1-liners

From main menu: Actions -> File and sector List -> FS-mode aware list 1-liners

Show list with sector numbers as 1-liners, using a recorded filesystem-mode

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format,
    suited to the data contained in the list, when known

    This usually is a 'list -f' or a 'list -s' variant.

    The FS-mode, reflected by the 'Mode=xxxx' menu and the 'mode=xxxx'
    display in the DFSee status line, will be temporarily set to the
    mode it was during creation of the list, to make sure any additional
    intelligence or formatting of the list is preserved.

FS-mode aware list contents

From main menu: Actions -> File and sector List -> FS-mode aware list contents

Show contents of the sectors in the list, using a recorded filesystem-mode

Menu item screenshot(s)

    This will display the DFSee sector-list in a more verbose format,
    suited to the data contained in the list. This could be in the form
    of one path+filename on a line for lists representing filenames, to
    detailed sector-dumps for lists related to partitioning information.

    This usually is a 'list -d' or a 'list -b' variant.

    The FS-mode, reflected by the 'Mode=xxxx' menu and the 'mode=xxxx'
    display in the DFSee status line, will be temporarily set to the
    mode it was during creation of the list, to make sure any additional
    intelligence or formatting of the list is preserved.

Recover files from list ...

From main menu: Actions -> File and sector List -> Recover files from list ...

Recover (selected) files from the list to a supplied recovery directory

    This will allow you to recover (copy) one or more of the files in the
    list to any local or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. All files recovered in one go, will be recovered to
    this same directory, with their original path appended to retain the
    directory structure whenever possible.

    It will also prompt for a selection specification in the form of a
    full PATH+FILENAME wildcard and an optional allocation-percentage.

    As an example, the specification:

       '*mydoc*\*project_x*.doc%100'

       will recover all files that have 'mydoc' somewhere in the PATH,
       'project_x' in the filename and have an extension of '.doc' that
       seem to be 100% recoverable. (100% allocation-OK ranking).

Wipe all sectors in list

From main menu: Actions -> File and sector List -> Wipe all sectors in list

Wipe all sectors in the sectorlist to ZEROES (as listed by 'list -w')

Menu item screenshot(s)

    This will WIPE every sector in the sector-list to ZEROES.

    There are several possible uses for this function, like:

       - Erasing filenodes (HPFS) for deleted files
         This will exclude the files from subsequent searching
         for deleted files, making UNDELETE impossible.

           Create list using: Mode=HPFS -> Search deleted files => list

       - Erasing all partitioning related sectors from a disk
         This will make sure new partitioning will not inherit
         ANYTHING from the previous setup of the same disk.

           Create list using: Mode=FDISK -> Search partitioning sectors

SLT errors to sector-list

From main menu: Actions -> File and sector List -> SLT errors to sector-list

Copy sectors marked with errors in the SLT, to the sector-list for analysis

    Copy sector numbers for sectors marked with errors
    to the sector-list for further analysis

    All sectors marked with any error except 0x01 are copied.

    After being copied to the sector-list they can be listed,
    and more important they can be EXPORTED including data, so
    the sectors can be analysed remotely (support)

    When a finer selection of sectors is required, the SLT2LIST
    command may be used directly with the appropriate parameters

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Unknown/Unsupported File System]

Mode=AUX Menu: [Unknown/Unsupported File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Make THIS partition Active

From main menu: Mode=AUX -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=AUX -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Wipe filesystem Bootsector

From main menu: Mode=AUX -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Reselect whole disk, FDISK

From main menu: Mode=AUX -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Show partitions, disks, LVM-info, lists]

Display Menu: [Show partitions, disks, LVM-info, lists]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Disk overview map

From main menu: Display -> Disk overview map

Compact map display of all partitionable media, showing the partitions

Menu item screenshot(s)

    This will display an overview of the partitionable media.

    For each disk a pseudo-graphical map will be shown, with each
    partition or freespace area sized and colored according to its
    real size and type of filesystem being used.

    Some key information for each area will be shown inside each
    partition or freespace area displayed.
    Note that a 'disk' can be any partionable media supported by
    DFSee, like physical disks, virtual-disks and others ...

Disk/filesystem Usage F9

From main menu: Display -> Disk/filesystem Usage F9

Screen-size map of disk or filesystem usage, allocated versus freespace info

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

Volume overview F7

From main menu: Display -> Volume overview F7

Show list of available volumes/driveletters (updates submenu VOL list too)

Menu item screenshot(s)

    This will display a simple list of all volumes (driveletters)
    that are known by the current active operatiung system.

    This list is the same as used by the file-dialogs and the
    'open-volume' menu selection, in a slightly different format.

Partition overview F5

From main menu: Display -> Partition overview F5

Display a compact table with the most important partition information

Menu item screenshot(s)

    This will present an overview of all available partitions
    on all disks, in the default format.

    This is the same list as used in the 'open partition' menu.

Other partition views

From main menu: Display -> Other partition views

Submenu with several partition views and check-actions on the current object

Menu item screenshot(s)

    Various formats and detail displaying the partition data:

     - Partition extended   view
     - Partition decimal    view
     - Partition numeric    view
     - Partition complete   view
     - Warning only         view
     - Partition verbose    view
     - Partition allocation view
     - Partition sector(s)  view

     - FS-check all partitions

Part extended view

From main menu: Display -> Other partition views -> Part extended view

Compact table with partitions and ext-containers 114 cols (part -r -e )

Menu item screenshot(s)

       As the standard overview but with an extra line of info for
       every extended-container (often type 0x05 or 0x0f).

       Recommended screen width: 80 columns, up to 114 for LVM systems

Part decimal view s-F5

From main menu: Display -> Other partition views -> Part decimal view s-F5

Compact table with decimal cylinders, begin/end/size 90 cols (part -b:1 )

Menu item screenshot(s)

       As the standard overview but with decimal info on the
       start and end-cylinder, start and end-sector, size in
       sectors and in megabytes (default format on Linux)

       Recommended screen width: 90 columns or more

Part numeric view a-F5

From main menu: Display -> Other partition views -> Part numeric view a-F5

Compact table with partitions, numeric cyls/sizes 80 cols (part -n )

Menu item screenshot(s)

       As the standard overview but with numeric values instead
       of the various label fields

       Recommended screen width: 80 columns, up to 114 for LVM systems

Part combined view c-F5

From main menu: Display -> Other partition views -> Part combined view c-F5

Compact table with numeric info plus ext-containers 80 cols (part -n -e )

Menu item screenshot(s)

       As the extended overview but with full numeric info.

       Recommended screen width: 80 columns or more

Part complete view, CS

From main menu: Display -> Other partition views -> Part complete view, CS

One line per partition, many fields, comma separated 218 cols (part -r -s )

Menu item screenshot(s)

       This is a table with one line per partition, but nearly ALL
       available fields present in a COMMA SEPARATED format.
       It can be used to get transport this information to other
       applications by means of the logfile, with more complete
       info than the standard feature 'dfsee -query'.

       Recommended screen width: huge, information is 218 columns

Warning only view

From main menu: Display -> Other partition views -> Warning only view

Display ALL warnings for all partitions, no table 80 cols (part -w -t-)

Menu item screenshot(s)

       This is a list of ALL warnings, minor and major for ALL
       partitions on all disks. There is NO table with other info
       and no other detailed info about the partitions either.

       Recommended screen width: 80 columns or more

Part verbose view

From main menu: Display -> Other partition views -> Part verbose view

Verbose list of basic partition info for all partitions (part -r -v )

Menu item screenshot(s)

       A full page of detailed partition information for every partition.

       Recommended screen width: 80 columns or more

Part allocation view

From main menu: Display -> Other partition views -> Part allocation view

Verbose list of partition info, allocation-maps, contents (part -a -V )

Menu item screenshot(s)

       Like verbose, but with the allocation map for the partition added
       and some contents. This is often the root-directory, depending on
       the filesystem being listed.

       Recommended screen width: 80 columns or more

Part sector(s) view

From main menu: Display -> Other partition views -> Part sector(s) view

Verbose list of MBR/EBR, PBR, LVM sectors on all partitions (pt * -related )

Menu item screenshot(s)

       Detailed display of all sectors that are related to each partition:
       - MBR or EBR with the partition-table entry for the partition
       - PBR (bootsector) for the partition
       - On LVM systems, the LVM-info sector (DLAT in IBM terms)
       - On LVM systems, LVM/JFS partitions, the LVM-signature sector

       Recommended screen width: 80 columns or more

       This is an 'all partitions/all disks' version of menu item:

                   Display -> Sectors for partition -> ... select ...

FS-check all partitions

From main menu: Display -> Other partition views -> FS-check all partitions

Perform filesystem check on all partitions, verbose display (part -r -c )

Menu item screenshot(s)

    This is a form of the verbose partition list, that will include
    a 'check' of the filesystem in every partition, if that is
    supported in DFSee for the filesystem in question.

    Note that this is similar in function to the familiar CHKDSK on,
    Dos, Windows or OS/2 but is does checking only, there is NO writing
    to the disk at all, and found errors will NOT be repaired!

    Some of the reported errors can be fixed by using other 'FIX...'
    commands available in DFSee, othere will have to be fixed by
    other means, for example: 'CHKDSK /f'.

Base, LSN first..last

From main menu: Display -> Base, LSN first..last

Show the 'Base' values, corresponding to the first LSN (0) and the last one

Menu item screenshot(s)

    This will display the sectornumbers (PSN) for the first valid LSN (0)
    and the last valid one (end of partition/volume/image).

    The disk-number that is active will be displayed when applicable,
    a disk-number of 0 will be used for non-disk objects like images.

Currently open object(s)

From main menu: Display -> Currently open object(s)

Show what object (disk/partition ...) is currently open for working with it

Menu item screenshot(s)

    This will display details about the currently opened object(s), if any.

    This will show some information about the object that has been opened
    to work with it. This could be after an explicit 'Open ..' selection
    from the 'File' menu, or an implicit open by some other command or menu
    selection made previously.

    The display show information kept for all open objects in the 'STORE'
    administration that can hold information about three simultaniously
    open objects (see 'STORE' command documentation).

    Normally, only a single object will be opened, using the CURRENT store, but commands like 'CLONE' will use the second 'ALTERNATE' store as well
    keeping information about the source of the clone ...

Partitionable Media

From main menu: Display -> Partitionable Media

Show mapping of DFSee disk-id to Partitionable Media like disks and devices

Menu item screenshot(s)

    This will display a table showing the relationship between:

      Disk-id         The disk-id as used in many DFSee commands
      DFSee-type      Type of medium for DFSee, physical, virtual ...
      disk number     Real disk number, specific to the type of medium
      Description     The (Linux) device name for this disk device,
                      an Image filename and/or details on the medium

    All entries in this table can be used as a 'disk' in the many
    DFSee commands that deal with them, and these are also listed
    in the default partition and MAP displays in DFSee.

    Note that the 'Disk-id' is really a 'Partionable Medium Id',

LVM info for partition(s)

From main menu: Display -> LVM info for partition(s)

List the LVM information (DLAT and BBR areas) for selected partition(s)

Menu item screenshot(s)

    This will display the LVM information for the selected partition(s)

    It will display the LVM-info sector (DLAT), and for type 0x35
    partitions the LVM-signature sector (BBR area) as well.

    The info is displayed formatted on a sector-by-sector basis.

Selection of this item leads to a dynamic created submenu, to select a partition to be used , including 'ALL partitions'

Raw partition table Walk

From main menu: Display -> Raw partition table Walk

List all partition-table info for one disk, in raw format (WALK MBR/EBR)

Menu item screenshot(s)

    This will display all partition-tables for the selected disk, starting
    with the MBR for the PRIMARY partitions and the EXTENDED container.

    When logicals are present, this is followed by walking the linked EBR
    sectors that each define a single LOGICAL partition and the link to
    the next one, if any.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Sectors for partition

From main menu: Display -> Sectors for partition

Show part-table (MBR/EBR), bootsector (PBR) and LVM-info for one partition

Menu item screenshot(s)

    This will display all partitioning related sectors for a partition,
    the MBR or EBR sector, the bootsector (PBR) and LVM sectors, if any.

    This is the quickest way to get all partitioning related information
    displayed for one partition.

    It uses the 'pt  PID  -r' command to show the partition-table entry
    and all related sectors for the selected partition 'PID'.

    To display this related sector(s) information for all partitions, use:

          Display -> Other partition views -> Part sector(s) view

    Note: If you have a partition, volume or device selected, and are NOT
          in FDISK mode, this selection will switch to that automatically
          invalidating your current selection!

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Partition Table sector

From main menu: Display -> Partition Table sector

Show just the partition-table sector (MBR/EBR) for one partition

Menu item screenshot(s)

    This will display the sector with the partition-table for a partition,

    It uses the 'pt  PID' command to show the partition-table entry.

    Note: If you have a partition, volume or device selected, and are NOT
          in FDISK mode, this selection will switch to that automatically
          invalidating your current selection!

Selection of this item leads to a dynamic created submenu, to select a partition to be used

GoTo sector (nr) ... c-G

From main menu: Display -> GoTo sector (nr) ... c-G

Display sector with specified sectornumber; LSN default 0 (bootsect/MBR)

Menu item screenshot(s)

    This will allow you to display any sector on the current opened store
    by specifying the sectornumber in hexadecimal format.

    The display will use the DEFAULT format for the type of sector found.

Related sectors

From main menu: Display -> Related sectors

Display some related sectors (up,xtra,next) or 'this' in HEX/ASCII format

    HEX and ASCII formats for 'this' sector, and default display for:

     - Next   Related sector most likely to be displayed as next

     - Up     Related sector, probably upwards in (directory) hierarchy

     - Xtra   Related sector, somehow linked to the 'this' sector

     - This   The current sector, 'this' redisplay in default format

Next likely sector number c-N

From main menu: Display -> Related sectors -> Next likely sector number c-N

Display most likely desired 'next' sector (in hierarchy) in default format

Menu item screenshot(s)

    This will display the 'next likely' sector on the current opened store
    by using the 'next' value set by any previous display of a sector.

    Displaying the 'next' sector (Ctrl+N) on an opened filesystem will
    show the most interesting sectors like bootsector, superblocks etc.

    In general, each display function will set this 'next' value to the
    sector that is the most 'desirable' to be visited/displayed next.

Up linked sector c-U

From main menu: Display -> Related sectors -> Up linked sector c-U

Display related, referencing, 'up' sector (in hierarchy) in default format

Menu item screenshot(s)

    This will display the 'up' sector on the current opened store
    by using the 'up' value set by any previous display of a sector.

    In general, each display function will set this 'up' value to a
    sector that is related, and probably 'upwards' in the hierarchy
    from the current sector.
    As an example, when displaying an HPFS file FNODE, the 'up' will
    take you to the directory FNODE of the directory holding the file.

Xtra linked sector c-X

From main menu: Display -> Related sectors -> Xtra linked sector c-X

Display related (somehow :-) 'xtra' sector in default format

Menu item screenshot(s)

    This will display the related 'eXtra' sector on the current opened store
    by using the 'xtra' value set by any previous display of a sector.

    In general, each display function will set this 'xtra' value to a
    sector that might be of interest.

    As an example, when displaying a partition-table sector, the 'xtra'
    will take you to the related LVM DLAT sector for that partition.

This +1 sector, go Forward

From main menu: Display -> Related sectors -> This +1 sector, go Forward

Display the sector just AFTER 'this' one (sectornr +1) in default format

Menu item screenshot(s)

    This will display the sector AFTER the current one (this),
    in the default format for the type of sector found there.

This -1 sector, go Backward

From main menu: Display -> Related sectors -> This -1 sector, go Backward

Display the sector just BEFORE 'this' one (sectornr -1) in default format

Menu item screenshot(s)

    This will display the sector BEFORE the current one (this),
    in the default format for the type of sector found there.

This sector, Default fmt

From main menu: Display -> Related sectors -> This sector, Default fmt

Display the current 'this' sector in the default, best matching format

    This will (re-) display the current sector in the default format for
    the type of sector found at the 'This' location.

This sector, Bin/HexDump c-B

From main menu: Display -> Related sectors -> This sector, Bin/HexDump c-B

Display the current 'this' sector as BINARY /HEX dump, including ASCII

Menu item screenshot(s)

    This will display the FULL current sector in a hexadecimal format,
    often referred to as 'HEXDUMP' style.

    This contains a hexadecimal value for each byte in the sector, with
    sixteen bytes per display line, plus the ASCII representation of
    these same bytes if printable, and dots otherwise.

This sector, Text as Ascii c-T

From main menu: Display -> Related sectors -> This sector, Text as Ascii c-T

Display the current 'this' sector as ASCII text (garbage for non-ASCII!)

Menu item screenshot(s)

    This will attempt to display the complete sector as an ASCII text

    It may produce garbage displays when the data is not (completely)
    suitable to be displayed in ASCII.

    This display might be useful to display (ASCII) sectors from a file.

I/O speed Read-only

From main menu: Display -> I/O speed Read-only

Measure and display the RAW I/O speed for 10 seconds Read-only access

Menu item screenshot(s)

    This will measure and display the I/O speed for a 10 second interval

    The current objecty (disk, partition etc) will be read only, using
    the default or specified buffer size.

    After completing the 10 second interval, or reaching the end of the
    object, the througput will be displayed.

I/O speed Read/Write

From main menu: Display -> I/O speed Read/Write

Measure and display the RAW I/O speed for 10 seconds Read-Write access

Menu item screenshot(s)

    This will measure and display the I/O speed for a 10 second interval

    The current objecty (disk, partition etc) will be Read and Written
    to using the default or specified buffer size.

    After completing the 10 second interval, or reaching the end of the
    object, the througput will be displayed.

    Because reading and directly writing the SAME area will have a very
    high impact on performce (cache, head-movement), expect a Read/Write
    throughput at least 10 times less than Read-only!

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Edit partition-tables, LVM info, sectors]

Edit Menu: [Edit partition-tables, LVM info, sectors]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Partition tables ... F6

From main menu: Edit -> Partition tables ... F6

Edit a partition table in an MBR/EBR sector using the P-Table-Editor dialog

Menu item screenshot(s)

    This will start the interactive partition-table editor,
    positioned on the starting-partition selected from a list.

    It will allow direct updating of the various fields in the table
    and update related fields in the same table accordingly.

LVM information ... F8

From main menu: Edit -> LVM information ... F8

Edit LVM information related to disk partitions, LVM-volumes and BMGR-menu

Menu item screenshot(s)

    This will start the interactive LVM-information editor,
    positioned on the starting-partition selected from a list.

    It will allow direct updating of most of the LVM entities:

            - volumename
            - partitionname
            - driveletter
            - bootable flag
            - installable flag

File in Binary editor ...

From main menu: Edit -> File in Binary editor ...

Start interactive sector-editor on the selected file, allow HEX/ASCII edit

Menu item screenshot(s)

    This will allow full editing of a (binary) file using a sector
    editor interface with an HEX-pair and an ASCII edit area.

    The exact size of the file (in bytes) will be preserved,
    DELETE or INSERT of data in the file is NOT possible.

Sector, HEX/ASCII ... F2

From main menu: Edit -> Sector, HEX/ASCII ... F2

Start interactive sector-editor on the current sector, allow HEX/ASCII edit

Menu item screenshot(s)

    This will allow full editing of sector values using an interactive
    sector editor interface with an HEX-pair and an ASCII edit area.

    From the HEX-editor you can switch to the disassembler with <F2>

Sector, Disassembler ...

From main menu: Edit -> Sector, Disassembler ...

Start interactive disassembler on the current sector, coupled with HexEdit

Menu item screenshot(s)

    This will show the current sector as disassembled x86 code.

    Full navigation is possible using the cursor and PgUp/PgDn key,
    and the disassembler is coupled with the HEX-editor in the
    positioning and navigation

    You can export the disassembled code to an ASCII file for
    further processing.

    On exit, the HEX-editor will be positioned on the same location
    and the current instruction will be highlighted.

Sector, String replacement

From main menu: Edit -> Sector, String replacement

Replace data in current sector using HEX/ASCII/UNICODE replacement strings

    This will allow partial editing of sector values using dialogs
    to specify an edit-offset and a replacement string in HEX, ASCII
    or UNICODE to replace the data at the specified offset.

Sector in HEX ... a-F2

From main menu: Edit -> Sector, String replacement -> Sector in HEX ... a-F2

Replace some data in the current sector with supplied offset and HEX pairs

Menu item screenshot(s)

    This will allow some direct editing of sector values,
    using hexadecimal specified replacement values.

    The position in the sector to be updated will be requested,
    and the current values for 16 hexadecimal pairs will be
    displayed for reference and double-checking.

    The replacement value can be typed in in hexadecimal pairs,
    and on completion the sector can be written back to the same
    or a different sector-number.

    Up to a maximum of 120 hexadecimal pairs can be specified.

Sector in ASCII ... s-F2

From main menu: Edit -> Sector, String replacement -> Sector in ASCII ... s-F2

Replace some data in the current sector with supplied offset and ASCII str

Menu item screenshot(s)

    This will allow some direct editing of sector values,
    using a plain ASCII specified replacement string.

    The position in the sector to be updated will be requested,
    and the current string of 16 ASCII characters at that
    position are displayed for reference and double-checking.

    The replacement value can be typed in as a regular string,
    and on completion the sector can be written back to the same
    or a different sector-number.

    A string of up to 255 characters can be specified.

Sector in UNICODE ... c-F2

From main menu: Edit -> Sector, String replacement -> Sector in UNICODE ... c-F2

Replace some data in the current sector with supplied offset and UNICODE str

Menu item screenshot(s)

    This will allow some direct editing of sector values,
    using a UNICODE specified replacement string.

    The position in the sector to be updated will be requested,
    and the current string of 8 UNICODE characters at that
    position are displayed for reference and double-checking.

    The replacement value can be typed in as a regular string,
    and on completion the sector can be written back to the same
    or a different sector-number.

    A string of up to 255 characters can be specified.

Find sector data ... c-F

From main menu: Edit -> Find sector data ... c-F

Search for Ascii/Unicode/Hex data in all sectors for currently open object

Menu item screenshot(s)

    This will search for the specified string in sectors for the
    currently opened object, starting at the current sector (this).

    You can specify the string to be searched in the FIND dialog.
    Many options to change the search criteria can be specified in
    that dialog as well. For a more detailed explanation of those
    options than available here, check the regular documentation
    on the corresponding options for the FIND command (DFSCMDS.TXT)

    The string(s) can be specified as ASCII, UNICODE, HEXadecimal or
    even a MIX of those by checking the corresponding radiobutton.

    The available options with their defaults are:

    () Ascii            : interpret search string(s) as regular ASCII
    ( ) Unicode          : interpret search string(s) as UNICODE data
    ( ) Hex pairs        : interpret as (pairs of) HEXADECIMAL data
    ( ) Mixed string     : interpret as 'mixed-string' format, see DOC
    [ ] Verbose output   : Display each found sector in default format
    [ы] Show arguments   : Display a single line per found sector only

    () Repeat, 1 hit/sector : Repeat the search, add sectors to list
    ( ) Repeat multiple hits : Repeat allowing multiple hits per sector
    ( ) Search once, display : Just search a single time, verbose display
    [ ] Case-sensitive match : Require exact case match on primary string
    [ ] Search backwards     : Search towards LOWER sector numbers
    [ ] NOT containing ...   : Find sectors NOT containing the string(s)

    () Search in every sector  : Search every sector in opened object
    ( ) On Cylinder boundaries  : Search specific sectors per cylinder
    ( ) In freespace (undelete) : Search in filesystem freespace only
    ( ) In allocated (filegrep) : Search in filesystem allocated area
    [ ] Start at NEXT/PREV sect : Skip 'this', start at NEXT/PREV sector
    [ы] No sector span (faster) : Will not find search string(s) that
                                  cross a sector (512 bytes) boundary

    [...] StartOffset     : Offset from begin of object to start search
                            mcs-number, default is the current sector
    [...] @Position       : Position in sector for primary string
    [...] Types           : Sector types considered (default ALL)
    [...] Secondary ...   : Secondary search string, AND with 1st

    When specifying a StartOffset, the default unit is MEGABYTES!
    When using a hexadecimal sectornumber, make sure to include the
    '0x' prefix on the mcs-number and the ',s' unit postfix.
    For KiB and GiB use the ',k' and ',g' postfix respectively.

    When specifying the '@Position' value, only sectors that have the
    primary string AT that position in a sector will be considered.
    The position is a DECIMAL value in the range 0..511.

    When specifying a 'Types' string, only sectors of that type will be
    considered in the search, to show available types for the current
    filesystem, use the '???' command or Help -> Available sector types

    To search for 2 strings (sectors containing string1 AND string2),
    you can specify the 2nd search argument, which will have the
    same data interpretation (ascii/unicode/hex) as the primary one,
    but will always be considered CASE-SENSITIVE!

Find Again ... c-A

From main menu: Edit -> Find Again ... c-A

Repeat the last search specified through the dialog, exact same arguments

Menu item screenshot(s)

    This will repeat the previous search specified in a FIND dialog
    using exactly the same search parameters.

    When no valid search parameters are available yet, the FIND
    dialog will be presented as with a regular FIND action.

Set Read-Only, no writes

From main menu: Edit -> Set Read-Only, no writes

NO writing to opened objects for safety, do allow writing log or image-files

Menu item screenshot(s)

    This will toggle the 'Read-Only' status for ALL objects that
    might be opened using DFSee. The current status is indicated
    in the menu itself, in the first column for the menu-item.

    When set to Read-Only, no changes are allowed that write to
    the opened object. This will save you from unintended actions
    that could cause problems.

    Writing to normal files like logfiles and imagefiles is still
    possible, so you can make imagebackups, or PSAVE backups  even
    when working Read-Only.

Auto GPT partition handling

From main menu: Edit -> Auto GPT partition handling

Automatic interpretation of GPT-style disks, hiding the 0xEE protective MBR

Menu item screenshot(s)

    This will toggle the 'gptAuto' setting, that controls the way
    the partitiontables for GPT style disks are interpreted by DFSee.

    When 'checked' gptAuto is ON, and the actual GPT-style partitions
    will be retrieved from the GPT database and displayed in DFSee.
    This is the most useful way of looking at it, and is the default.

    When 'unchecked', gptAuto is OFF, and the GPT databse in ignored!
    Instead the 'protective MBR' entry in the regular tables is shown.

    The startup default (gptAuto ON) can be changed using the
    startup '-gptauto-' switch, and can be modified on-the-fly
    using the 'SET GPTAUTO on/off' command, as this menu does.

    You can put a command like 'set gptauto OFF' in your profile.dfs to
    disable this feature without a startup-switch when starting DFSee.

Set Geometry contents based

From main menu: Edit -> Set Geometry contents based

Get disk geometry from disk contents (tables and LVM) instead of the OS/BIOS

Menu item screenshot(s)

    This will toggle the 'geocalc' setting, that controls the way
    the disk geometry to use for each disk is determined by DFSee.

    When 'checked' geocalc is ON, and disk geometry is calculated
    from the actual disk contents like partition tables and LVM info.
    This is often the most reliable way, and is the default.

    When 'unchecked', geocalc is OFF, and disk geometry is queried
    directly from the operating system (or the BIOS for DFSDOS).
    You may need this in situations where the disk-contents does NOT
    represent the desired disk geometry, including the disk size.
    This may happen with disk damage (garbage contents) or when
    the disk is cloned/imaged from a different size disk.

    Note: Unchecking the 'geocalc' setting, and using the menu item:

          Mode=FDISK ->
           OS/2 LVM and BootManager ->
            Set LVM-Geo to DFSee L-Geo ->
             ... select disk to be updated

          Will update the new disk size after a disk-to-disk clone for
          disks that have LVM information on them (in eCS, OS/2 4.50).

    The startup default (geocalc ON) can be changed using the
    startup '-geocalc-' switch, and can be modified on-the-fly
    using the 'SET GEOCALC on/off' command, as this menu does.

    You can put a command like 'set geocalc OFF' in your profile.dfs to
    disable this feature without a startup-switch when starting DFSee.

Keep LVM Engine synchronised

From main menu: Edit -> Keep LVM Engine synchronised

Always sync LVM Driveletters to LVM Engine; Avoids reboot, may cause traps!!

Menu item screenshot(s)

    This will toggle the 'SyncLVM' setting, that controls the automatic
    synchronisation of the OS/2 LVM-Engine with new DFSee information.

    When 'checked' SyncLVM is ON, and all changes to driveletters etc
    are passed on to the LVM-Engine dynamically, without the need to
    reboot the system to make changes visible.

    WARNING: Synchronising LVM information from DFSee to the LVM Engine
             is known to cause TRAPS on some systems, most often when
             REMOVABLE media are present (like USB disks/memory sticks)

             Because of this, using it is NOT RECOMMENDED!

    When 'unchecked', SyncLVM is OFF, and you need a system reboot before
    any change to driveletters of volumenames is visible in LVM and the
    rest of the operating system. For safety reasons, this is the default.

    The startup default (SyncLVM OFF) can be changed using the
    startup '-synclvm' switch, and can be modified on-the-fly
    using the 'SET SYNCLVM on/off' command, as this menu does.

    You can put a command like 'set synclvm ON' in your profile.dfs to
    enable this feature without a startup-switch when starting DFSee.

Automatic logfile Numbering

From main menu: Edit -> Automatic logfile Numbering

Automatically number logfiles as name001..999, added to filename from dialog

Menu item screenshot(s)

    This will toggle the 'logAuto' setting, that controls the way the
    name for the logfile specified in the LOG dialog screen is handled.

    When 'checked' logAuto is ON, and a sequence number from 001 to 999
    will be appended to the specified filename, incrementing it each time
    a log is started (typically at DFSee startup).

    When 'unchecked', logAuto is OFF, and the filename is unchnaged.

    The startup default (logAuto OFF) can be changed using the
    startup '-logauto' switch, and can be modified on-the-fly
    using the 'SET LOGAUTO on/off' command, as this menu does.

    You can put a command like 'set logauto ON' in your profile.dfs to
    enable this feature without a startup-switch when starting DFSee.

Force operation Mode=xxx

From main menu: Edit -> Force operation Mode=xxx

Force specific Mode=xxx (Fdisk or FS) Can be dangerous, for expert use only!

Menu item screenshot(s)

    This allows a specific mode to be forced when automatic setting
    of that mode does not work correctly.

    This might be needed on damaged or unformatted disks.

    Be carefull though using any FIX or other commands that write to
    the disk or partition unless you are REALLY sure the selected
    mode is the correct one.

FDISK + LVM disk level Mode

From main menu: Edit -> Force operation Mode=xxx -> FDISK + LVM disk level Mode

Create, update, display, recover or fix partition-tables or LVM information

Menu item screenshot(s)

   This is the default operation mode for DFSee and enables commands
   and menus that are working at the DISK level (like Fdisk and LVM)
   with partitioning, LVM as well as imaging and cloning functions.

   FDISK is the classic disk-partitioning tool as used with DOS.
   It is used to create primary partitions, extended partitions
   and logical volumes in the extended partition.

   LVM, the Logical Volume Manager, is an 'FDISK-like' program plus
   some related drivers on all OS/2 kernel versions starting at 4.50,
   including eComStation. It allows more flexible naming and usage of
   partitions and drive-letters, including joining multiple partitions
   on more than one disk into a single volume.
   DFSee respects the drive-letters as assigned with LVM and has
   special display options like the 'PLIST LVM' command in FDISK
   mode. Also the 'part' display will show volume and partition

EXT2_3 Linux std/journ FS

From main menu: Edit -> Force operation Mode=xxx -> EXT2_3 Linux std/journ FS

Check, analyse, display or fix EXT2 or EXT3 filesystem, used on Linux

   This will enable all EXT2_3-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   The 2nd extended filesystem for Linux is the default FS on almost
   all modern Linux distributions. The standard version is EXT2 while

FAT12, FAT16 or FAT32 FS

From main menu: Edit -> Force operation Mode=xxx -> FAT12, FAT16 or FAT32 FS

Check, analyse, display or fix FAT12, FAT16 or FAT32 filesystems

   This will enable all FAT-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   File Allocation Table, the most important structure in the
   classic DOS filesystem that also gave it its name.
   It is a table of cluster-numbers that indicates the cluster
   that holds the next part of the current file or directory,
   or indicates that this was the last cluster.
   The first cluster of a file is pointed to by the directory
   entry that also has the filename, size and the flags.
   This way the location of each cluster of a file can be easily
   found by following this 'allocation-chain'.

   The size of one entry in this FAT is usually 2 bytes (16bit),
   and clusters of maximum 32KiB, resulting in the largest FAT16
   filesystem of 2GiB. (4GiB on Win-NT with 64KiB clusters)

   On small disks (and diskettes) a 12-bit FAT is used, and for
   really large disks the FAT32 filesystem was introduced.

   DFSee supports 12, 16 and 32-bit FAT filesystems.

   The FAT32 version of the filesystem uses 4-byte = 32-bit FAT
   entries. This makes the maximum size of a FAT32 filesystem
   nearly unlimited. The FAT structure itself does take up a lot
   of space on the disk, and in memory when using the filesystem.

   FAT32 was introduced with Windows95, and is also supported on
   the other newer Windows versions (98, ME, 2000 and XP).

   OS/2 and eCS also support it through the 3rd-party installable
   filesystem FAT32.IFS made by Henk Kelder.

   The FAT has no redundancy and is sensitive to errors like:
   - lost clusters   where no directory entry points to the chain
   - cross links     where two allocation chains point to the same
                     cluster at some point.

    The lack of redundancy also makes it VERY hard to undelete files
    in a reliable way. At this point DFSee does NOT support undelete

HFS+, MAC journalled FS

From main menu: Edit -> Force operation Mode=xxx -> HFS+, MAC journalled FS

Check, analyse, display or fix the HFS+, journalled filesystem for the MAC

   This will enable all HFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   The original HFS was used with the MAC for several years, and was
   enhanced with journalling and several other improvements in HFS+

HPFS, OS/2 std native FS

From main menu: Edit -> Force operation Mode=xxx -> HPFS, OS/2 std native FS

Check, analyse, display, undelete or fix HPFS or HPFS386 filesystems

Menu item screenshot(s)

   This will enable all HPFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   High Performance FileSystem
   Offered as a real improvement over the classic FAT filesystems
   with the OS/2 and eCS Operating System. Its main advantages are
   faster access, more reliable error recovery and better handling
   of large disks. There is also a (server) version called HPFS386

JFS, OS/2 journalled FS

From main menu: Edit -> Force operation Mode=xxx -> JFS, OS/2 journalled FS

Check, analyse, display or fix JFS filesystem, IBM OS2/eCS or Linux flavour

   This will enable all JFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   Journalling File System
   A filesystem originally developed by IBM for the AIX operating
   system sharing a lot of features with other UNIX filesystems
   and adding journalling on all filesystem metadata operations.
   This greatly reduces the time to check and repair any damage
   after crashes or other disasters (CHKDSK).
   First offered for OS/2 with WSeB and now also available in eCS
   and the Convenience Packs 1 & 2 for the desktop.

NTFS, NT/W2K/XP native FS

From main menu: Edit -> Force operation Mode=xxx -> NTFS, NT/W2K/XP native FS

Check, analyse, display, undelete or fix NTFS filesystem (NT/W2K/XP)

   This will enable all NTFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   New Technology File System
   The new (journalling) filesystem introduced with Windows-NT.
   It has many of the same improvements over FAT as HPFS, but has
   a totally different internal structure. It also adds security
   information and compression and is expandable by defining new
   stream-types. Several versions exist that added specific

Reiser Linux journalled FS

From main menu: Edit -> Force operation Mode=xxx -> Reiser Linux journalled FS

Check, analyse, display or fix ReiserFS, journalled filesystem on Linux

   This will enable all ReiserFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   The ReiserFS, designed by Hans Reiser, is one of the newer file
   systems used with Linux (and Unix) and is known for high performance.
   It implements journalling as well and uses database-like structures.

XFS, Linux journalled FS

From main menu: Edit -> Force operation Mode=xxx -> XFS, Linux journalled FS

Check, analyse, display or fix the XFS, journalled filesystem on Linux

   This will enable all XFS-specific commands and menus

   Forcing the FS-mode in itself is not dangerous in any case, however,
   FS-specific commands like 'fixboot' in an incorrect mode CAN be!

   The original XFS design was circulated within SGI in October 1993
    as 'xFS: the extension of EFS'. XFS was first released in IRIX 5.3.
   The port to Linux began in 1999 against 2.3.40. It was accepted into
   the mainline in the 2.5 kernel in 2002, and the 2.4 kernel in 2004.

Swap Linux SWAP space

From main menu: Edit -> Force operation Mode=xxx -> Swap Linux SWAP space

Check, analyse, display a Linux SWAP space area, enabling 'smart' imaging

   This will enable all SWAP-specific commands and menus

   The main reason for a seperat 'swap' mode is allowing
    smart disk imaging and cloning, using the available
    logic to skip all SWAP blocks except the first one.

Auxiliary mode unknown FS

From main menu: Edit -> Force operation Mode=xxx -> Auxiliary mode unknown FS

Generic analysis and display for any filesystem unknown to DFSee

   This will disable all FS-specific commands and menus

Properties and settings

From main menu: Edit -> Properties and settings

Modify several DFSee program settings and TxWin user-interface properties

    This menu contains a few selections that change the
    appearance and behaviour of the DFSee user interface.
    Changes made in this menu will only affect the current
    DFSee session. On the next startup of the program the
    default settings will be active again.

Select window color scheme

From main menu: Edit -> Properties and settings -> Select window color scheme

Select and activate any of the available window-color schemes

Menu item screenshot(s)

    This will present a menu with the available color schemes to be used
    for all the windowing parts of the user interface.

    It does NOT change the colors used in the main output window!

    The current color scheme will be highlighted on opening the menu.

    Use the '-scheme:xxx' EXE switch to start with a specific scheme.

Selection of this item leads to a dynamic created submenu, to select a colorscheme to be used

Inverted output-screen

From main menu: Edit -> Properties and settings -> Inverted output-screen

Use inverted colors on the scrollable output screen

Menu item screenshot(s)

    This will invert ALL colors used in the text-output window.
    Both background and foreground colors are affected.

    The resulting colors also depend on other settings like the
    background black/blue and the bright-foreground setting.

    Note that the colors used in the rest of the application like
    menus and dialog windows does NOT change with this setting.

Bright Foreground-text

From main menu: Edit -> Properties and settings -> Bright Foreground-text

Use bright foreground colors only on the scrollable output screen

Menu item screenshot(s)

    This will make any low-intensity color used as foreground to
    be changed to high-intensity (bright colors).

    The setting is most useful on lighter (inverted) backgrounds.

    Note that the colors used in the rest of the application like
    menus and dialog windows does NOT change with this setting.

Blue/Brown background

From main menu: Edit -> Properties and settings -> Blue/Brown background

Use blue (or brown inverted) background instead of classic black or white

Menu item screenshot(s)

    This toggles between a default Black or Blue background color.
    The default foreground color in both cases will remain white.

    When combined with the 'Inverted output-screen' setting, it will
    toggle between white (inverted black) and brown (inverted blue).

    Note that the colors used in the rest of the application like
    menus and dialog windows does NOT change with this setting.

Use 7-bit ASCII only

From main menu: Edit -> Properties and settings -> Use 7-bit ASCII only

Use 7-bit ASCII character only, avoid non-standard 'drawing chars'

Menu item screenshot(s)

    This will restrict the use of ASCII characters to the range
    of 0 through 127 decimal.  This may avoid problems re-using
    the text through cut-and-paste (to email or word-processor).

    The setting is NOT needed to get a 'clean' logfile, since the
    logfile in DFSee is 7-bit ASCII by default.

ANSI colored texts

From main menu: Edit -> Properties and settings -> ANSI colored texts

Use ANSI-like colored text string on the scrollable output screen

Menu item screenshot(s)

    This will avoid the use of ANSI escape-sequences to be used
    in the output-screen, avoiding possible problems when re-using
    the text via the clipboard or otherwise.

    The setting is NOT needed to get a 'clean' logfile, since the
    logfile in DFSee is cleaned from ANSI sequences by default.

Status prompt after each CMD

From main menu: Edit -> Properties and settings -> Status prompt after each CMD

Display two-line status prompt after all command-line and most menu commands

    This toggles the display of the 3..4 line prompt after every command
    executed from the command-line or from most of the menu selections.

    These lines contain the returncode for the last command executed,
    and some related sector numbers for 'likely interesting' sectors.

    When switched off, there are 3 to 4 more lines of information that
    fit on the screen, which could be very useful to show larger amounts
    of data (like whole sector HEX-dumps) without having to scroll back.

Automatic menu Dropdown

From main menu: Edit -> Properties and settings -> Automatic menu Dropdown

Automatically open menu pulldown on selecting menu-heading in the MenuBar

    This toggles the automatic opening of pulldowns from the main menu.

    When ON, each menu-heading selected on the menubar will automatically
    be opened, expanding to a list of menu-choices.

    When OFF, the menu-heading selected will be highlighted but requires
    another <Enter> or <Down> key to open.
    This can be set at startup using the '-M:2' switch.

Adapt to new Window-size

From main menu: Edit -> Properties and settings -> Adapt to new Window-size

Re-initialize the DFSee windowing system to use the full (resized) window

    This will re-initialize the windowing component in DFSee to take
    advantage of a new, probably larger, OS window size.
    It is useful after changing window 'properties' on NT/W2K/XP

    You can also resize and initialize in one go by using a command like:

            mode  90,45

    directly from the DFSee command-line.

Change to Non-windowed UI

From main menu: Edit -> Properties and settings -> Change to Non-windowed UI

Re-initialize DFSee, using a simple command-driven non-windowed interface

Menu item screenshot(s)

    This will change the user-interface to e very simple command-driven
    one without any output scrolling. Commands may be typed, and resulting
    output will be displayed but scrolls off the screen eventually.

    You can also startup in this mode by using the switch '-w-'.

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Linux 2nd extended/jrnl File System]

Mode=EXT2_3 Menu: [Linux 2nd extended/jrnl File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=EXT2_3 -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

Make THIS partition Active

From main menu: Mode=EXT2_3 -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=EXT2_3 -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Display/Edit UUID string

From main menu: Mode=EXT2_3 -> Display/Edit UUID string

Display and optionally edit the (Linux) UUID string value in the superblock

    This will display and optionally update the UUID string in
    the filesystems superblock.

Display Superblock

From main menu: Mode=EXT2_3 -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Wipe filesystem Bootsector

From main menu: Mode=EXT2_3 -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Reselect whole disk, FDISK

From main menu: Mode=EXT2_3 -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Generic FAT12/FAT16/FAT32 File System]

Mode=FAT Menu: [Generic FAT12/FAT16/FAT32 File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=FAT -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

File Find/Recover/HEXedit

From main menu: Mode=FAT -> File Find/Recover/HEXedit

Find deleted/normal files, list and possibly recover them. HEX edit dir/file

    This submenu offers selections to search for normal or deleted
    files, display the resulting lists and possibly recover files.

Find sub-directories => list

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Find sub-directories => list

Search data area for any sub-directory sectors with the '..' entry

Menu item screenshot(s)

    This will find all sectors in the partition that appear to be
    the first sector of a subdirectory (containing the '..' name).

    This can be useful if the root-directory is damaged, and data
    needs to be recovered anyway.

Find subdirs in ROOT => list

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Find subdirs in ROOT => list

Search data area for subdirs with '..' entry cluster 0 => subdir from ROOT

    This will find all sectors in the partition that appear to be
    the first sector of a subdirectory (containing the '..' name)
    and that have a cluster-value of 0.

    This should be subdirectories of the ROOT directory.

    This can be useful if the root-directory is damaged, and data
    needs to be recovered anyway.

Find subdirs non ROOT => list

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Find subdirs non ROOT => list

Search data area for subdirs with '..' entry non-zero, => subdir, non ROOT

    This will find all sectors in the partition that appear to be
    the first sector of a subdirectory (containing the '..' name)
    and that have a cluster-value that is non-ZERO.

    This should be subdirectories that are NOT a ROOT subdirectory.

Search Deleted files => list

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Search Deleted files => list

Search data area for deleted files ('Recover from list' NOT POSSIBLE YET)

Menu item screenshot(s)

    This will search the whole partition for DIR-entries of DELETED
    files that match the partial filename (wildcard) specified.

    The sectornumbers of the found DIR-entries will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can NOT be RECOVERED yet, due to the
    missing or incomplete allocation information for deleted files on FAT.
    RECOVER will be unreliable by definition, but there might be some
    'best-we-can-do' type of recovery offered in future versions ...

Search Normal files => list

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Search Normal files => list

Search data area for non-deleted files, for 'Recover from list'

Menu item screenshot(s)

    This will search the whole partition for DIR-entries of non-deleted
    regular files that match the partial filename (wildcard) specified.

    You can also search for specific file-extensions by using a syntax
    like '*.ext' or '*.c*' for the partial filename

    The sectornumbers of the found Dir-entries will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Display files from List ...

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Display files from List ...

Display (selected) files from the list, using a PATH+FILENAME wildcard

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format, suited
    to the data contained in the list

    This usually is a 'list -f' or a 'list -s' variant.

Recover files from list ...

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Recover files from list ...

Recover (selected) files from the list to a supplied recovery directory

    This will allow you to recover (copy) one or more of the files in the
    list to any local or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. All files recovered in one go, will be recovered to
    this same directory, with their original path appended to retain the
    directory structure whenever possible.

    It will also prompt for a selection specification in the form of a
    full PATH+FILENAME wildcard and an optional allocation-percentage.

    As an example, the specification:

       '*mydoc*\*project_x*.doc%100'

       will recover all files that have 'mydoc' somewhere in the PATH,
       'project_x' in the filename and have an extension of '.doc' that
       seem to be 100% recoverable. (100% allocation-OK ranking).

Find ONE file/dir by Path

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Find ONE file/dir by Path

Find info (FNODE/MFT-record etc) for ONE specified file/directory path

    This uses the specified path from the root-directory to locate
    detailed information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information will be displayed in the standard
    format as defined for the filesystem that is active.
    You can display related information like the directory entry
    or the actual file data from there using the U and D commands.

    You can also use the 'saveto' command or corresponding menu
    item 'Recover THIS file' to create a copy of this found file
    on the specified or default recovery destination
    (or use the combined menu option instead of this find :-)

Find and Recover ONE file

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> Find and Recover ONE file

Find ONE file by full path+filename, and recover it to a recovery directory

    This uses the specified path starting from the ROOT to locate
    ONE specific file, and when found will issue a SAVETO command
    to recover the contents of this file to a recovery directory.

    The path and filename may contain spaces.

    Note:
    The recovered file will be placed directly in the specified
    recovery directory without the full original path, but with
    the proper filename retained (even on JFS :-).

HEX edit file/dir Info (1)

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> HEX edit file/dir Info (1)

Find + edit FAT dir entry / HPFS fnode / JFS inode / NTFS MFTrec+small files

    This uses the specified path from the root-directory to locate
    information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information at THAT level (1st, direct)
    will be opened in the standard HEX editor

    This will often be META-data about the file or directory,
    with a layout strongly defined by the filesystem type

HEX edit file/dir Data (2)

From main menu: Mode=FAT -> File Find/Recover/HEXedit -> HEX edit file/dir Data (2)

Find and the HEX edit most HPFS / JFS / NTFS file-data or directory contents

Boot area fixes/updates

From main menu: Mode=FAT -> Boot area fixes/updates

Fix bootsector, HiddenSectors/GEO, BOOT.INI and NTLDR imaging and fixing

    This submenu offers selections for fixes related to booting like
    fix the bootsector itself, fixing the HiddenSectors and geometry
    fields in the bootsector plus BOOT.INI display and FIX of an
    incorrect BOOT.INI entry

Fix the Bootsector

From main menu: Mode=FAT -> Boot area fixes/updates -> Fix the Bootsector

Fix bootsector by replacing from spare (FAT32) or create new

    This will create a new FAT/FAT32 bootsector for the partition, using
    information from the partition-tables, or for FAT32 by replacing it
    with the spare-copy found at LSN 7

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

    You can specify the desired type for the bootsector in the
    prompt dialog, with a default of M = MS-DOS, select from:

           I or P  IBM/PC-DOS with IBMBIO/IBMDOS.COM
           M       MSDOS      with IO/MSDOS.SYS
           O       OS/2       with OS2BOOT
           N       Win-NT     with NTLDR       (FAT16)
           9       Win-9x     with WINBOOT.SYS (FAT32)

Wipe filesystem Bootsector

From main menu: Mode=FAT -> Boot area fixes/updates -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Display Windows BOOT.INI

From main menu: Mode=FAT -> Boot area fixes/updates -> Display Windows BOOT.INI

Find (first) BOOT.INI, display the default line and partition-index to boot

    This will search for the first occurence of a 'BOOT.INI' file in
    the currently opened filesystem (FAT, FAT32 or NTFS).

    When found, some info of the file will be displayed, and the line
    containing the DEFAULT partition to be booted will be displayed
    including the 'partition(W)' partition index. It should look like:

        default=multi(0)disk(0)rdisk(0)partition(2)\WINDOWS

    Below that line, the partition-index for the CURRENT partition
    as calculated by DFSee will be shown. From these two values you
    can see if the BOOT.INI default entry is correct for booting the
    Windows contained in the current selected partition (if any).

    Note that DFSee can only calculate the correct value when the
    filesystem was opened as a PARTITION, not as a volume ...

Fix BOOT.INI partition index

From main menu: Mode=FAT -> Boot area fixes/updates -> Fix BOOT.INI partition index

Find (first) BOOT.INI, update default partition-index to fix a boot failure

    This will prompt for a replacement value for the partition-index
    to be used in the 'default' boot line in the BOOT.INI file.

    Specify '*' or 'fix' to use the value calculated by DFSee,
    or fill in a numeric value if you want to try another one.

    Add a ' -2' after this value to force BOTH occurences in the
    BOOT.INI file to be updated at the same time. Updating just one
    might be safer, since the old value is still there too, but it
    will result in a the Windows BOOTMANAGER menu toi be displayed
    with these two (now different) partitions selected.
    The corrected one will be the 'default' line ...

    In some situations, it might be needed to try out a few values
    to find the one that will allow Windows to boot again ...

    It will then search for the first occurence of a 'BOOT.INI' file
    in the currently opened filesystem (FAT, FAT32 or NTFS).

    When found, some info of the file will be displayed, and the line
    containing the DEFAULT partition to be booted will be displayed
    including the 'partition(W)' partition index. It should look like:

        default=multi(0)disk(0)rdisk(0)partition(2)\WINDOWS

    Below that line, the partition-index calculated by DFSee is shown.

    Incorrect values for the default partition-index will lead to
    boot failures with messages like:

        Invalid Boot.ini

    or

        Windows could not start because the following file
        is missing or corrupt: Windows\system32\Hal.dll

    The specified or calculated value will be substituted for the
    partition-index in the default line.

    Of course you need to reboot to test if this fix worked ...

    Note:
    Unless you specify the ' -2' option with the value,
    this is NOT a full 'REPAIR' of your BOOT.INI file!
    It is just the minimum update to allow booting Windows again!
    You must properly edit boot.ini once Windows is running again,
    or use 'bootcfg /rebuild' from the recovery-console that can
    be started from regular Windows installation CDs.

    When there is damage to the BOOT.INI file beyond an incorrect
    partition-index, fixing it this way might not be possible.

Fix HiddenSectors/Geo value

From main menu: Mode=FAT -> Boot area fixes/updates -> Fix HiddenSectors/Geo value

Fix bootsector HiddenSectors and geometry fields to match partition tables

    This will update the 'hidden sectors' field in the bootsector
    to match the offset to the partition-table the partition is
    defined in and update the geometry Heads and Sectors field to
    match the current disk geometry.

    This could be REQUIRED for some operating systems like OS/2
    to accept and mount the partition as a driveletter!

Set Volume Serial Number

From main menu: Mode=FAT -> Boot area fixes/updates -> Set Volume Serial Number

Change the volume serial number, making this volume unique (after clone :-)

    This will update the 'volume serial number' in the bootsector

    This could be REQUIRED for some operating systems after cloning
    a filesystem, to make sure the volume serial numbers are unique.

Reset bad sectors

From main menu: Mode=FAT -> Reset bad sectors

Reset the bad-sector administration to show ZERO bad-sectors or clusters

    This will check for bad-sectors being present in the
    filesystem and when present, reset to NO bad sectors.

     FAT:  Reset all 'BAD' values in the FAT to FREE
     NTFS: Update $BadClus and $BitMap to reset bad-clusters
     HPFS: Make the bad-sector-list in the spare-block empty

    This can be very useful after cloning or imaging a partition
    or disk that includes bad-sectors to a new replacement one.

Find FAT32 Root directory

From main menu: Mode=FAT -> Find FAT32 Root directory

Find and list possible FAT32 Rootdirectory clusters/sectors

    This will try to find directory-sectors that would qualify as a
    valid root-directory (first dir-sector but no '..' entry).

    This can be useful if the root-directory reference in the FAT32
    was damaged and is not recoverable in another way (fixboot).

Make THIS partition Active

From main menu: Mode=FAT -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=FAT -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Set FAT status Clean

From main menu: Mode=FAT -> Set FAT status Clean

Update FAT status field in the bootsector to indicate filesystem is CLEAN

    This will update the fileystem-status field in the FAT bootsector
    to indicate that filesystem is CLEAN.

    This can be useful to avoid an automatic CHKDSK after a system-crash

    Note: The filesystem itself is NOT cleaned in any way, it is just the
          statusflag that is modified.

Set FAT status Dirty

From main menu: Mode=FAT -> Set FAT status Dirty

Update FAT status field in the bootsector to indicate filesystem is DIRTY

    This will update the fileystem-status field in the FAT bootsector
    to indicate that filesystem is DIRTY.

Check FAT filesystem

From main menu: Mode=FAT -> Check FAT filesystem

Check filesystem for inconsistencies and errors (Readonly, no fixing!)

    This will perform a CHECK of the filesystem, somewhat like the
    well-known CHKDSK but without automatically fixing anything.

    The result of the check is a sector-lookup-table (SLT) that contains
    information about all recognized filesystem areas that are in use.

    Any error recognized will be flagged in the default display of
    this SLT that is performed automatically by the CHECK command.

Identify sectors (SLT)

From main menu: Mode=FAT -> Identify sectors (SLT)

Create Sector Lookup Table (SLT) if needed, display as table or sector info

    This submenu contains all menu-items related to OPENING an object
    to analyse, fix or otherwise work with using other DFSee commands
    and menu selections. The opened object will be the CURRENT one.

Show object layout (SLT)

From main menu: Mode=FAT -> Identify sectors (SLT) -> Show object layout (SLT)

Show layout of current object by displaying parts of the Sector Lookup Table

    This will display part of the sector-lookup-table (SLT)

    You wil be presented with an option dialog first, where you
    specify the desired format and part of the SLT to be displayed.

    The SLT will be built automatically if not done yet, and it will
    have been built by any previous CHECK command too.

    Building the SLT will take place in the background while the
    dialog can be used freely to specify any options for displaying.
    After the dialog has been ended, and the SLT is ready, it will
    be displayed as requested.

    Typically the SLT will contain at least one entry for every file
    on the filesystem, so there could be hundreds of thousands lines!

Identify specific sector

From main menu: Mode=FAT -> Identify sectors (SLT) -> Identify specific sector

Show identification for specified (or current) sector, using the SLT

    This will display information about the specified sector that is
    available in the sector lookup table (SLT)

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available

Identify Last used sector

From main menu: Mode=FAT -> Identify sectors (SLT) -> Identify Last used sector

Show identification for the last sector used, dictating the minimum FS size

    This will display information about the sector that is the last
    one being used (allocated) in the filesystem, and because of that
    dictates the MINIMUM size for the filesystem for a RESIZE.

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available,
    just as the required allocation information (alloc).

Reselect whole disk, FDISK

From main menu: Mode=FAT -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [FDISK and LVM partition management]

Mode=FDISK Menu: [FDISK and LVM partition management]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Disk and media overview

From main menu: Mode=FDISK -> Disk and media overview

Display of mounted partitionable media, disk geometry and partition maps

Menu item screenshot(s)

    This will display an overview of the partitionable media in table
    form, plus extensive geometry and size information for each disk.

    For each disk a pseudo-graphical map will be shown, with each
    partition or freespace area sized and colored according to its
    real size and type of filesystem being used.

    Some key information for each area will be shown inside each
    partition or freespace area displayed.
    Note that a 'disk' can be any partionable media supported by
    DFSee, like physical disks, virtual-disks, images and others ...

Show/Set disk Geometry

From main menu: Mode=FDISK -> Show/Set disk Geometry

Display and optionaly set a new geometry to be used for the selected disk

Menu item screenshot(s)

    From menu: selects a disk, then starts a standard geometry dialog.

    The geometry dialog shows, and lets you set, the used geometry
    for the currently selected object, usually a disk. The geometry
    and size values for the current object are shown, and a custom
    or one of several pre-defined geometries can be selected and set:

     ( ) Reset to system geometry          Visible if L-Geo was set
     () Custom geometry, values:          Specify values manually
     ( ) Classic 255/63, desktop/3.5"      Most used disk geoemtry
     ( ) Classic 240/63, laptops/2.5"      As often used on laptops
     ( ) MiB Cyl. 64/32, SSD/4K sect       Used with GPT-style disks,
                                           SSD (flash) and 4K sectors
     ( ) OS2/eCS 255/127, 1 Tb limit       Works around 64K cyl limit
     ( ) OS2/eCS 255/255, 2 Tb limit       in OS/2 and eCS kernels

    Note that setting a geometry for a disk is NOT modifying the disk!
    It just changes the way DFSee lays out partions, or shows warnings
    about the layout of existing partitions (cylinder alignment).

       ==> GEOMETRY is in the eye of the beholder <==

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Search partition + FS info

From main menu: Mode=FDISK -> Search partition + FS info

Search partition-tables, LVM or FS-superblocks on cylinder boundaries (FAST)

Menu item screenshot(s)

    This submenu has several selections that will find partition related
    sectors on the current disk using the 'bsfind' command.

    You can search for partition-tables (MBR/EBR/bootsector) plus LVM,
    or filesystem-specific superblock sectors, or a combination.

    The search is quite fast because it searches on cylinder boundaries
    where 99.99% of those type of sectors will be located anyway.
    This method of searching can be more than 200 times faster than
    simply searching every sector on the disk ...

Partition tables + LVM only

From main menu: Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only

Find all partitiong (MBR, EBR), LVM and bootsectors, on cylinder boundaries

Menu item screenshot(s)

    This will search ALL partitioning and LVM related sectors on the
    current disk using the 'bsfind' command.

    This is the same search as used in the DFSDISK procedure for UNFDISK
    analysis purposes, and might be useful to allow operations on these
    sectors like exporting them, or even wiping them all clean.

    The search is very similar to other analysis and recovery tools like
    FINDPART and TESTDISK and is the basis for partition recovery.

Search FS superblocks only

From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only

Find all superblocks for ANY or selected filesystem, on cylinder boundaries

    This will search the disk for superblocks related to one or ALL of
    the supported filesystems (selected from the next sub-menu list).

ANY FS
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> ANY FS

Find superblocks for ANY supported FS on current disk on cylinder boundaries

    This will search ALL superblocks for any of the supported filesystems
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

HPFS
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> HPFS

Find HPFS superblocks only, on the current disk and on cylinder boundaries

    This will search ALL HPFS superblocks (sector 0x10 = 16 in a partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

JFS
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> JFS

Find JFS superblocks only, on the current disk and on cylinder boundaries

Menu item screenshot(s)

    This will search ALL JFS superblocks (sector 0x40 = 64 in a partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

HFS+
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> HFS+

Find HFS+ superblocks only, on the current disk and on cylinder boundaries

    This will search ALL HFS superblocks (3rd sector in a partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

EXT
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> EXT

Find EXT2_3 superblocks only, on the current disk and on cylinder boundaries

    This will search ALL EXT2_3 superblocks (2nd sector in a partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

XFS
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> XFS

Find XFS superblocks only, on the current disk and on cylinder boundaries

    This will search ALL XFS superblocks (1st sector in a partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

ReiserFS
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> ReiserFS

Find Reiser superblocks only, on the current disk and on cylinder boundaries

    This will search ALL ReiserFS superblocks, sector 0x80 = 128 in a
    partition, on the current disk using the 'bsfind' command,
    searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

NTFS LDR
From main menu: Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> NTFS LDR

Find NTFS NTLDR sectors only, on the current disk and on cylinder boundaries

    This will search ALL NTFS first sectors of NTLDR (2nd in partition)
    on the current disk using the 'bsfind' command, searching on cylinder
    boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

Superblocks + partitioning

From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning

Find all FS superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS ALL
    superblocks related to one or ALL of the supported filesystems.
    (selected from the next sub-menu list)

ANY FS
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ANY FS

Find -any- superblocks, partitioning+LVM+bootsectors on cylinder boundaries

Menu item screenshot(s)

    This will search ALL partitioning and LVM related sectors PLUS ALL
    superblocks for ANY supported filesystem on the current disk using
    the 'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

HPFS
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> HPFS

Find HPFS superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    HPFS superblocks (sector 0x10 = 16) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

JFS
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> JFS

Find JFS superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    JFS superblocks (sector 0x40 = 64) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

HFS+
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> HFS+

Find HFS+ superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    HFS superblocks (3rd sector) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

EXT
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> EXT

Find EXT2_3 superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    EXT2_3 superblocks (2nd sector) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

XFS
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> XFS

Find XFS superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    XFS superblocks (1st sector) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

ReiserFS
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ReiserFS

Find Reiser superblocks, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    ReiserFS superblocks (sector 0x80 = 128) on the current disk using
    the 'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

NTFS LDR
From main menu: Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> NTFS LDR

Find NTFS NTLDR sectors, partitioning+LVM+bootsectors on cylinder boundaries

    This will search ALL partitioning and LVM related sectors PLUS any
    NTFS 1st NTLDR sectors (sector 0x01) on the current disk using the
    'bsfind' command, searching on cylinder boundaries only.

    Searching on cylinder boundaries only can be over 200 times FASTER
    than simply searching each sector on the disk.

Display List of sectors

From main menu: Mode=FDISK -> Search partition + FS info -> Display List of sectors

Show list with sector numbers as 1-liners, using a recorded filesystem-mode

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format,
    suited to the data contained in the list, when known

    This usually is a 'list -f' or a 'list -s' variant.

    The FS-mode, reflected by the 'Mode=xxxx' menu and the 'mode=xxxx'
    display in the DFSee status line, will be temporarily set to the
    mode it was during creation of the list, to make sure any additional
    intelligence or formatting of the list is preserved.

Display Sector contents

From main menu: Mode=FDISK -> Search partition + FS info -> Display Sector contents

Show contents of the sectors in the list, using a recorded filesystem-mode

Menu item screenshot(s)

    This will display the DFSee sector-list in a more verbose format,
    suited to the data contained in the list. This could be in the form
    of one path+filename on a line for lists representing filenames, to
    detailed sector-dumps for lists related to partitioning information.

    This usually is a 'list -d' or a 'list -b' variant.

    The FS-mode, reflected by the 'Mode=xxxx' menu and the 'mode=xxxx'
    display in the DFSee status line, will be temporarily set to the
    mode it was during creation of the list, to make sure any additional
    intelligence or formatting of the list is preserved.

Create new partition

From main menu: Mode=FDISK -> Create new partition

Create a new partition defined by freespace selection and prompted values

Menu item screenshot(s)

    When any freespace area exists that could be used to create a new
    partition, this will present you with a list of freespace areas.

    When a specific freespace area is selected, the actual CREATE dialog
    will be presented that allows further specification of the partition
    to be created.

    In the selection list, freespace areas that are either too small, or
    located such that no partition could be created there, are listed
    but cannot be selected (they are disabled, black text).

    If all entries are disabled, no partitions can be created at all.

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Delete partition

From main menu: Mode=FDISK -> Delete partition

Delete a partition from the partition-tables and (primary) LVM-information

Menu item screenshot(s)

    A partition can be selected here that will be DELETED from the
    partition-tables. This will result in the space occupied by the
    partition becoming FREESPACE that can be used again to create
    new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Change partition Type

From main menu: Mode=FDISK -> Change partition Type

Change the type for a partition using a selection-list or a custom HEX value

Menu item screenshot(s)

    A partition can be selected here for which the PARTITION-TYPE can
    be changed to a predefined value from a list, or a custom value
    specified as a hexadecimal number.

    The type usually represents the type of filesystem that is used
    for the partition, although some types are used for more than
    one filesystem (0x07 = HPFS or NTFS and  0x83 is EXT2 or EXT3).

    The most used values are predefined and selectable from a list
    with a short description, and a full line of extra description
    in the statusline at the bottom of the screen.

    To change the type of an extended container (05 / 0f), use the
    'fixext' command, or menu 'Fix EXT container type' instead.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Set partition Status to

From main menu: Mode=FDISK -> Set partition Status to

Set partition properties: ACTIVE, HIDDEN, VISIBLE, MULTIPLE-VISIBLE-PRIMARY

    Set one of a few related properties for a partition:

     - ACTIVE
       This will set the selected partition the ACTIVE (startable)
       one, so it will be the one booted by the BIOS for this disk.
       There should only be ONE active partition on each disk,
       and this should be a PRIMARY partition

     - HIDDEN
       A partition can be selected here that will be HIDDEN for the
       operating system by manipulating the partition-type.

     - VISIBLE
       A partition can be selected here that will be made VISIBLE for
       the operating system by manipulating the partition-type.
       Other visible primaries on the same disk will be hidden.

     - MULTI-VIS
       A partition can be selected here that will be made VISIBLE for
       the operating system by manipulating the partition-type.

Active, BIOS-startable

From main menu: Mode=FDISK -> Set partition Status to -> Active, BIOS-startable

Make partition the ACTIVE (startable) one, started by default by the BIOS

Menu item screenshot(s)

    A PRIMARY partition can be selected here that will be made
    the ACTIVE one for the disk, meaning the BIOS would start
    the operating system in this partition at boot time.
    Selecting a LOGICAL will result in an error message.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Not active, clear flag

From main menu: Mode=FDISK -> Set partition Status to -> Not active, clear flag

Make partition NOT ACTIVE, clearing the status flag, NOT booted by the BIOS

    A PRIMARY partition can be selected here that will be made
    NOT ACTIVE, meaning it will NOT be started by the BIOS.
    Selecting a LOGICAL will result in an error message.

    There should be at most ONE active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Hidden, using part-type

From main menu: Mode=FDISK -> Set partition Status to -> Hidden, using part-type

Make partition HIDDEN by manipulating the partition-type (non-LVM method)

Menu item screenshot(s)

    A partition can be selected here that will be HIDDEN for the
    operating system by manipulating the partition-type.

    The type is changed by adding 0x10 to the value (0x06 ==> 0x16)
    and will result in the partition not being seen anymore by most
    operating systems.

    This method will work for partition-types 0x01 through 0x0e only,
    with the 'hidden' values being in the range 0x11 through 0x1e

    Operating systems like Windows-XP and LVM-aware OS/2 and eCS will
    still see those partitions however, since they use a different
    mechanism to hide and show partitions.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Visible, allow just one

From main menu: Mode=FDISK -> Set partition Status to -> Visible, allow just one

Make partition VISIBLE by manipulating the partition-type (non-LVM method)

    A partition can be selected here that will be made VISIBLE for the
    operating system by manipulating the partition-type.

    The type is changed by subtracting 0x10 from the value (0x16 ==> 0x06)
    and will result in the partition being seen again.

    This method will work for partition-types 0x01 through 0x0e only,
    with the 'hidden' values being in the range 0x11 through 0x1e

    If the partitions is a PRIMARY one, other primary partitions on the
    same disk will be hidden by default.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Visible, allow Multiple

From main menu: Mode=FDISK -> Set partition Status to -> Visible, allow Multiple

Make partition VISIBLE, allow multiple visible primaries (non-LVM method)

    A partition can be selected here that will be made VISIBLE for the
    operating system by manipulating the partition-type.

    The type is changed by subtracting 0x10 from the value (0x16 ==> 0x06)
    and will result in the partition being seen again.

    This method will work for partition-types 0x01 through 0x0e only,
    with the 'hidden' values being in the range 0x11 through 0x1e

    When the partition is a PRIMARY, the other primaries on the same
    disk will NOT be affected. This may result in multiple-primary
    partitions being visible, which could be a problem for some older
    operating systems.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Open Partition to work on

From main menu: Mode=FDISK -> Open Partition to work on

Open partition selected by submenu, to work on the filesystem in a partition

Menu item screenshot(s)

    On selection this will open a submenu containing all partitions
    on all the disks known to DFSee.

    The partitions are grouped per physical/virtual disk

    Selecting one of these will open it for further use and set
    the 'base' values to the start and end of the partition.
    Logical sector number 0 (LSN 0) will represent the first
    sector in the real partition (bootsector)

    After opening the partition, its bootsector will be displayed.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Open whole Disk to work on

From main menu: Mode=FDISK -> Open whole Disk to work on

Open disk selected by submenu, to work on part-tables, LVMinfo or whole disk

Menu item screenshot(s)

    On selection this will open a submenu containing all physical
    and virtual disks known to DFSee.

    Selecting one of these will open it for further use and display
    the first sector of the disk, the MBR with a partition-table

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Set base to Freespace area

From main menu: Mode=FDISK -> Set base to Freespace area

Set base (LSN 0) to start of selected freespace area, allowing easy editing

    On selection this will open a submenu containing all freespaces
    on all the disks known to DFSee
    When the Mode=FDISK, freespaces larger than one track can be
    selected causing the base start and end sector to be set to
    the start and end of this freespace (LSN 0 is first sector).

    This is useful mainly to view those sectors, for example
    using the binary editor, that can be started with <F2>

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

BACKUP partition info

From main menu: Mode=FDISK -> BACKUP partition info

Save all partitioning information, including LVM to binary .PDx backup file

Menu item screenshot(s)

    After selecting ALL or one specific disk, this will present a save-as
    dialog allowing you to specify a (base) filename for the binary .PDx
    file(s) that will be a BACKUP of all partition-table, bootsector,
    and LVM-information sectors for the specified disk(s).

    This is a very compact backup for your partitioning scheme, that can
    be used to recover from virii, FDISK errors or other disasters that
    have damaged your partition tables or bootsectors.

    You can restore ALL information using the corresponding 'Restore ...'
    menu item, or you can selectively restore individual sectors by using
    the command 'PRESTORE' from the DFSee commandline.

    Note that these 'BACKUP' .PDx files do NOT contain any USER-DATA!

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

RESTORE partition info ...

From main menu: Mode=FDISK -> RESTORE partition info ...

Restore all partitioning info, including LVM from a binary .PDx backup file

Menu item screenshot(s)

    After selecting one .PDx file that contains a binary BACKUP of all
    partitioning information for a disk, the sectors contained in this
    file will be restored to the SAME disk-number as is was created for.

    If you specify just a BASE name for the file (without an extension),
    ALL files with that basename will be restored to the matching disks.
    (You can manually erase the extension in the Dialog filename field).

    This is a very quick restore of your partitioning scheme after damage
    from virii, FDISK errors or other disasters.

    The .PDx files can be created by running the DFSDISK or DFSTART
    procedures too, since these use the same 'PSAVE' command'.

    Be aware that the partition-scheme will be restored EXACTLY to the
    state it was when the backup .PDx file was created, so any changes
    to the partitioning, or even a FORMAT of a disk after creation of
    the .PDx file, will be lost

    You can also selectively restore individual sectors by using
    the command 'PRESTORE' from the DFSee commandline.

    Note that these 'BACKUP' .PDx files do NOT contain any USER-DATA!

Make partition scripts ...

From main menu: Mode=FDISK -> Make partition scripts ...

Generate DFSee partitioning script(s) to recreate partitions as they are now

Menu item screenshot(s)

    Generate a DFSee script (.DFS) that will (re)create partitions
    on the same or a different disk the way they currently are.

    It will present you with a dialog, where you can specify the disk(s)
    you want scripts generated for, as well as some options refining the
    way the script will create the partitions.

    You also need to specify the (base) filename for the script(s) to
    be generated, which may include a path component.

    You can also add a short description to identify the system of the
    disk involved, and this description will be presented in the first
    confirmation dialog when running the generated script later.

MBR or EBR area operations

From main menu: Mode=FDISK -> MBR or EBR area operations

Operations like NEWMBR, wipe disk-start/reserved sectors, edit NT-signature

Menu item screenshot(s)

    This submenu contains some selections that UPDATE the MBR
    sector or larger area for the selected disk(s), one of:

    - Write NEW MBR code, but KEEP the partition table intact.
      This is the standard 'NEWMBR' action as also done by several
      other partitioning tools like FDISK and LVM.

    - Write NEW MBR code, and ERASE the partition table to zeroes.
      This results in a totally EMPTY disk, with valid bootcode
      but NO partitions anymore!

    - Update the Windows NT-signature value in the MBR sector.
      This value is used by Windows disk-manager to identify disks

    - Wipe the first 10 megabytes of the disk to ZEROES

New MBR code, KEEP tables

From main menu: Mode=FDISK -> MBR or EBR area operations -> New MBR code, KEEP tables

Write new MBR bootcode to selected disk(s), but KEEP all partitions intact

Menu item screenshot(s)

    The boot-code in the master-boot-record (MBR) for the disk to be
    selected here will be refreshed to generic extended-int-13 aware
    bootcode by DFSee.

    This will get rid of any MBR virii, but would also remove MBR
    resident bootmanagers like LILO, GRUB or AirBoot as well as
    disk-translation software like Ontrack diskmanager.

    The partition-tables which are also in the same MBR sector are NOT
    affected by this action, so all partitions will still be there.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

New MBR code, ERASE tables

From main menu: Mode=FDISK -> MBR or EBR area operations -> New MBR code, ERASE tables

Write new MBR bootcode to selected disk(s) and DELETING all the partitions

Menu item screenshot(s)

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

New MBR code from an IMAGE

From main menu: Mode=FDISK -> MBR or EBR area operations -> New MBR code from an IMAGE

Write new MBR bootcode from a RAW imagefile to a disk, KEEP all partitions

Menu item screenshot(s)

    The boot-code in the master-boot-record (MBR) for the disk to be
    selected is refreshed to the code in the selected RAW imagefile.

    This will get rid of any MBR virii, but would also remove MBR
    resident bootmanagers like LILO, GRUB or AirBoot as well as
    disk-translation software like Ontrack diskmanager.

    The partition-tables which are also in the same MBR sector are NOT
    affected by this action, so all partitions will still be there.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Save MBR code, to an IMAGE

From main menu: Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE

Save MBR bootcode from a disk to a 1-sector RAW imagefile, for later restore

Menu item screenshot(s)

    The boot-code in the master-boot-record (MBR) for the disk to be
    selected is saved to a 1-sector RAW imagefile (512 bytes) so it
    can later be restored as is (RESTORE) or used to refresh only the
    MBR code for this or another disk (NEW MBR code from an IMAGE).

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Wipe MBR sector of a disk

From main menu: Mode=FDISK -> MBR or EBR area operations -> Wipe MBR sector of a disk

Wipe Master Boot record (MBR) on a disk, delete bootcode and partition-table

   This will wipe the Master Boot record (first sector) of the
   selected disk with all ZERO bytes.

   Normally you would use one of the NEWMBR options instead to retain,
   the MBR bootcode (and perhaps even the partition table) intact.
   that may confuse tools when trying to reformat.

Update NT-signature in MBR

From main menu: Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR

Display and optionally update the value for the Windows NT signature value

Menu item screenshot(s)

    The NT-signature value in the MBR sector, just before the tables,
    will be displayed in a dialog and can be updated to a new value.

    It is a 32-bit value used by Windows-NT and later version to allow
    identification of a disk by the disk-manager, even when the disk is
    moved to another controller, or has been temporarily removed.

    Related to this signature are paritions and driveletters.
    When an unknown disk is attached (no or unknown signature)
    the disk-manager will re-assign default driveletters.

    In this dialog, you can specify a new value of the signature,
    as an 8-digit hexadecimal value (32 bits)

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Wipe start of disk to ZERO

From main menu: Mode=FDISK -> MBR or EBR area operations -> Wipe start of disk to ZERO

Wipe the start (10 MiB) of the selected disk completely clean to all ZEROES

   This will WIPE the first 10 megabytes of the selected disk to
   all ZEROES, completely removing remains of MBR partition-tables
   as well as any bootmanagers living in the MBR area, LVM info and
   the partitions tables and bootsectors for the first partition.

   Useful when installing a new (picky) operating system that uses
   the old information in unexpected ways :-)

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Wipe MBR TRACK-1 sectors

From main menu: Mode=FDISK -> MBR or EBR area operations -> Wipe MBR TRACK-1 sectors

Wipe reserved sectors for disk in MBR track, keep first (MBR) and last (LVM)

Menu item screenshot(s)

    This will WIPE the reserved sectors in the FIRST track of the
    selected disk to all ZEROES, completely removing remains of
    hidden bootmanagers, raid-configuration, overlay-managers and
    similar stuff that may cause you problems

    Make VERY SURE your system does NOT RELY on any of these
    sectors to boot, or otherwise function properly!

    The MBR sector itself (sector 0), and for OS/2 LVM systems
    the LVM-info sector (DLAT, last sector) will be untouched.
    All sectors in between are wiped ...

    Useful when the remains cause problems with new installs,
    or otherwise interfere with normal operation.

    When the disk-geometry, or the alignment of the partition
    results in NO reserved sectors, a warning is displayed.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Wipe (EBR) TRACK-1 sectors

From main menu: Mode=FDISK -> MBR or EBR area operations -> Wipe (EBR) TRACK-1 sectors

Wipe reserved sectors for partition, in EBR for logical. Keep table and LVM.

    This will WIPE the reserved sectors in the FIRST track of the
    selected PARTITION to all ZEROES, completely removing remains
    anything bad hiding there

    When selecting a LOGICAL partition, this will wipe the area
    between the EBR sector and the LVM or partition boot sector.
    When selecting a PRIMARY it will wipe the sectors between the
    MBR sector and the first LVM sector, or end of the MBR track.

    The MBR/EBR sector itself (with the partition table), and for
    OS/2 LVM systems the LVM-info sector (DLAT, last sector in track)
    will be untouched. All sectors in between are wiped ...

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Part-table cleanup/repair

From main menu: Mode=FDISK -> Part-table cleanup/repair

Cleanup and repair operations on partition tables, CHS, Ext-type, Alignment

Menu item screenshot(s)

    This submenu contains some selections that do cleanup or repair
    operations on all partition tables, including the chain of logical
    partitions and their extended containers.

    - Cleanup multiple or incorrect ACTIVE flags and extended container
      sizes and offsets in partition tables for one or all disks.

    - Update CHS values in partition-tables to match disk-geometry
      and CHS-style in partition tables for one or all disks.

    - Fix type of EXT containers to be 0x05 (standard) or 0x0F (Win9x)

    - Align the extended container (1st logical) for one or ALL disks

    - Align the extended container for a single logical partition

Cleanup partition tables

From main menu: Mode=FDISK -> Part-table cleanup/repair -> Cleanup partition tables

Cleanup multiple/incorrect ACTIVE flags and EXT container sizes and offsets

    Partition-table flag values for PRIMARY partitions will be
    checked and corrected where needed, avoiding multiple AVCTIVE
    partitions and non-standard flag values. Both could cause
    boot-failures ...

    All, partition-table entries in the extended-container chain
    will be checked, recalculated and rewritten when needed.

    - Any EMPTY containers (EBR without a logical, just a link)
      will be removed from the chain.

      This will allow the freespace area that the EBR was in, to be
      used for new primary partitions, or as COPY/MOVE destination.

    - ACTIVE extended containers (status flag 0x80) will be RESET

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Fix CHS values to Geometry

From main menu: Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry

Update CHS values in partition-tables to match disk-geometry and CHS-style

Menu item screenshot(s)

    All CHS-values for the disk to be selected here will be checked
    against the current disk-geometry, and be corrected to match that
    geometry when needed.

    it will also make sure ALL partition-table entries on the selected
    disk(s) will use the SAME CHS-style IBM/PQ/MS for dummy entries.
    You may get an extra dialog allowing selection of the desired style,
    depending on previous selections made ...

    This may fix 'partition-tables on disk may be corrupt' messages
    from FDISK/LVM or errors and warnings by other tools.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Fix EXT container Type

From main menu: Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type

Fix type of EXT containers to be 0x05 (standard) or 0x0F (Windows specific)

    This submenu contains selections for cleaning up the chain of
    extended containers, to use the 0x05 or 0x0F type consistently.

    To change the type of a regular primary or logical partition, use
    the 'settype' command, or menu item 'Change partition Type'.

Make logical EXT types 05
From main menu: Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 05

Change all extended partitions types to be 0x05 (Industry-standard value)

    All partition-types for extended containers for the disk to be
    selected here will be changed to the industry-standard 0x05 value.

    This will allow older operating systems to see the logical partitions
    inside those containers.

    This may be needed when operating systems like Windows-9x or other
    tools have changed the type to 0x0f, to help Win9x operate properly.

    WARNING: Changing the type to 0x05 MAY CAUSE DATA CORRUPTION by
             Windows-9x if any Win9x partitions are located beyond
             the 1024 cylinder limit (usually at 8 GiB).

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Make logical EXT types 0F
From main menu: Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F

Change all extended partitions types to be 0x0f (Windows-9x requirement)

Menu item screenshot(s)

    All partition-types for extended containers for the disk to be
    selected here will be changed to the Windows-9x 0x0f value.

    This will ensure SAFE operation with Win9x on partitions beyond
    the 1024 cylinder boundary (usualy at 8 GiB).

    It may cause other operating systems to NOT FIND any logical
    partitions inside that extended container.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Align EXT container, Disk

From main menu: Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk

Align extended container (ALIGNEXT on first logical) for one or ALL disks

Menu item screenshot(s)

    Alignment correction for the FIRST logical partition on a disk.

    The alignment of the EBR partition-table sector will be corrected
    to match the current geometry (track-size), so the distance between
    the EBR and partition bootsector is exactly one track.
    This fixes problems with logical partitions mis-aligned by Linux
    or Windows partitioning tools, causing problems for OS2/eCS LVM
    or hiding whole areas of disk freespace.

    Note:
    Works  by DELETING then recreating a single logical partition,
    however its contents is NOT affected, all data is preserved!

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Align EXT container, Part

From main menu: Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Part

Align extended container (ALIGNEXT) for selected single LOGICAL partition

    Alignment correction for the a selected LOGICAL partition.

    The alignment of the EBR partition-table sector will be corrected
    to match the current geometry (track-size), so the distance between
    the EBR and partition bootsector is exactly one track.
    This fixes problems with logical partitions mis-aligned by Linux
    or Windows partitioning tools, causing problems for OS2/eCS LVM
    or hiding whole areas of disk freespace.

    Note:
    Works  by DELETING then recreating a single logical partition,
    however its contents is NOT affected, all data is preserved!

Selection of this item leads to a dynamic created submenu, to select a partition to be used

OS/2 LVM and BootManager

From main menu: Mode=FDISK -> OS/2 LVM and BootManager

Manage all OS/2 LVM and Bootmanager information, Add, Remove, Delete, Change

Menu item screenshot(s)

    This submenu has several selections to manage OS/2 or eCS
    LVM information and IBM BootManager configuration items

    You can Add, Remove, Delete, Change and Query information

Interactive Edit LVM info

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Interactive Edit LVM info

Edit LVM information related to disk partitions, LVM-volumes and BMGR-menu

Menu item screenshot(s)

    This will start the interactive LVM-information editor,
    positioned on the starting-partition selected from a list.

    It will allow direct updating of most of the LVM entities:

            - volumename
            - partitionname
            - driveletter
            - bootable flag
            - installable flag

LVM info for partition(s)

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> LVM info for partition(s)

List the LVM information (DLAT and BBR areas) for selected partition(s)

Menu item screenshot(s)

    This will display the LVM information for the selected partition(s)

    It will display the LVM-info sector (DLAT), and for type 0x35
    partitions the LVM-signature sector (BBR area) as well.

    The info is displayed formatted on a sector-by-sector basis.

Selection of this item leads to a dynamic created submenu, to select a partition to be used , including 'ALL partitions'

Delete LVM Volume (letter)

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter)

Delete volumename and driveletter from an LVM-volume, but KEEP the partition

Menu item screenshot(s)

    This will remove the volumename and driveletter from the
    selected partition, but KEEP other partition information
    and the partition definition in the partition tables.
    (Unlike LVM.EXE 'delete volume' that destroys partitions)

    This will effectively DELETE the Volume for LVM, and at the
    same time, make the partition 'available' again to be used
    to create a new volume 'from existing partition' in LVM.

    When this partition was one of a 'multiple-partition volume'
    ALL the partitions in that volume will become 'available'.

    Note that after deleting the LVM volume in DFSee and starting
    the LVM program (without rebooting) it will declare this disk
    as 'possibly corrupt' since it does not find the LVM volume
    information anymore for one of its active driveletters.
    That driveletter will stay accessible as well.

    Only after rebooting, or an exit with 'save changes' from
    LVM will it make the driveletter disappear completely, and
    the message about the 'corruption' in LVM disappear.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Recover/Init LVM DLAT info

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Recover/Init LVM DLAT info

Initialize LVM info (DLAT) to empty, and for type 35 recover from BBR sector

    This will initialize all fields in the LVM information sector
    (IBM term: DLAT) to empty, removing any existing information.

    Then for type 0x35 partitions only (LVM/JFS) when the redundant
    information sectors with Bad-Block-Relocation and Drive Linking
    information (IBM term: BBR) are present, it will use that to
    re-initialize the fields.

    The nett effect of this is that for:

    - Compatibility volumes  (any non LVM/JFS):
      Any old inconsistent remains of LVM info is gone,
      allowing for a fresh definition for this partition.

    - LVM volumes (JFS):
      The information in the DLAT sector and BBR sectors is
      consistent again, and the same serialnumbers for partitions
      and volumes are kept, so a multi-partition JFS volume will
      not be broken.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Add default LVM-info (VCU)

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Add default LVM-info (VCU)

Add default LVM-information to the selected disk(s), making it LVM-enabled

    This will create default LVM-information for all partitions on the
    selected disk(s) that do not have any LVM-info yet.
    This includes a default name for the whole disk.

    The functionality is similar to the standard IBM-utility 'VCU' or
    'Volume Conversion Utility' that is typically used on first-time
    installs of any LVM-aware IBM operating system.

    The VCU utility however is known to create severe disk-problems
    when the disk-drivers in use are not the correct ones.

    The 'VCU' command in DFSee has not caused such problems so far and
    is considered a safer way of converting a non-LVM system into an
    LVM-aware one in a single step.

    When the disk already contains LVM-information, the diskname will
    stay the same, but most partition and volume-names will be changed
    to the default ones generated by DFSee, any assigned drive-letters
    may get lost and need to be re-assigned (depending on current OS).
    The driveletters recognized by the DFSee program executing 'VCU'
    will be the ones that are assigned in the created LVM-information.

    Typically, a 'VCU' action will be followed by interactive or batch
    LVM operations to fine-tune the names and assign driveletters.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Refresh LVM-info (LVMREDO)

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Refresh LVM-info (LVMREDO)

Refresh all LVM info (DLAT), keep names and driveletters; JFS: recover BBR

    This will refresh/revise the LVM-information sectors, also known
    as DriveLetter Assignment Table (DLAT) for the selected disk(s),
    fixing possible corruption or inconsistencies.

    More specifically, for COMPATIBILITY volumes:
    (normally anything that is not JFS)

      Create a NEW DLAT sector with all default values including the
      serialnumbers for partition and volume and valid CRC value.
      Re-apply the remembered existing values for:

             - Partition name
             - Volume name
             - Disk name
             - Driveletter
             - BMGR-menu flag

    For JFS, type 0x35 partitions it will create a NEW DLAT sector
    from the information present in the BBR area, also known as
    the LVM signature information.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Remove LVM-info from disk

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Remove LVM-info from disk

Remove ALL LVM info (DLAT) and signature sectors (BBR) from selected disk(s)

    This will REMOVE all LVM-information for all partitions on the
    selected disk(s), reversing the effect of a VCU operation.

    This may be useful to allow other tools to create LVM information
    without being influenced by existing info, or to avoid confusing
    an LVM-aware tool (like DFSee) when LVM information was accidentally
    added to a disk mounted on a non-LVM system.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Change the LVM disk Name

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name

Change the name used by LVM for a complete disk (LVM-info must be present)

Menu item screenshot(s)

    This will change the name for a complete disk, as recorded in all
    the LVM-information sectors on that disk.

    Note that the name can only be CHANGED this way, there has to be
    valid LVM-information, created by DFSee 'VCU', a DFSee 'CREATE'
    or the regular OS/2 or eCS VCU or LVM tools.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Set LVM-Geo to DFSee L-Geo

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Set LVM-Geo to DFSee L-Geo

Force the disk-geometry in LVM to match the current DFSee logical geometry

Menu item screenshot(s)

    This will set the recorded geometry in all LVM DLAT sectors
    on the disk to match the current DFSee logical geometry.

    This will make sure that the recorded geometry is consistent
    over the whole disk, and also allows corrections if the used
    geometry is incorrect.

    An incorrect LVM geometry may lead to a failure to boot or
    to recognize any partition correctly since this info is one
    of the sources for geometry information for the disk-drivers
    like DANIS506.ADD and IBM1S506.ADD.

    You can display or set logical geometry using the 'geo' command.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

Bootmanager Install

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install

Install IBM BootManager in a new primary partition in the selected freespace

Menu item screenshot(s)

    This will create a primary partition for the IBM Bootmanager
    and install the Bootmanager code from 'DFSIBMGR.IMG' image
    into the new partition

    You can choose the location for the new Bootmanager by selecting
    from a list of applicable freespace areas (primary, 1 cylinder).

    When the selected freespace area is larger than one cylinder,
    you can select to put it at the START or END of that area.
    Installing it in the MIDDLE is not possible this way, but
    can be achieved by using the 'Create Partition' menu item
    and selecting the 'IBM BootManager' type there.

    Un-installing a Bootmanager is done using the 'Delete Partition'
    menu item and selecting its partition there, or by using a manual
    'delete xx' command.

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Bootmanager Query config

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Query config

Query and display the IBM Bootmanager configuration, including current menu

Menu item screenshot(s)

    This will display the current bootmanager menu entries (list)
    and the other configuration items like default boot-system and
    the timeout value

Bootmanager menu Add

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add

Add a partition to the IBM Bootmanager menu (setname and LVM 'on BM menu')

Menu item screenshot(s)

    This will add the selected partition to the IBM BootManager menu.

    A list with ALL partitions is presented, including the ones that
    are already on the menu.

    After selecting a partition, a dialog will be presented where
    you can specify the name for the partition as it should appear
    on the bootmanager menu. This will default to the volume name
    for an LVM-system, and the current menu-name for a classic one.

    Be aware that for an LVM system, the specified name will also
    be the VOLUME name, so it needs to be unique over all volumes.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Bootmanager menu Delete

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Delete

Delete a partition from IBM Bootmanager menu (setname and LVM 'on BM menu')

Menu item screenshot(s)

    This will remove the selected partition from the IBM Bootmanager
    menu, both for the LVM-enabled and classic bootmanager versions.

    A list with the partitions on the menu is presented.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Bootmanager Default boot

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Default boot

Set default selection for the IBM Bootmanager menu, including 'Last booted'

Menu item screenshot(s)

    This will set the default item for the IBM Bootmanager to be
    started after the timeout period has expired.

    The default can either be one of the available partitions on
    the Bootmanager menu, or it can be the special value:

                   Last-booted or BM-default

    This selection will cause the default to be whatever the LAST
    booted partition was on the previous Bootmanager run.

Selection of this item leads to a dynamic created submenu, to select a partition from the IBM BMGR menu to be booted

Bootmanager Timeout ...

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ...

Set timeout in seconds before the IBM Bootmanager default choice is made

Menu item screenshot(s)

    This will set the time in seconds before the Bootmanager
    will start the default selection (timeout value).

    Before this time has expired you can make an explicit choice
    from the menu, or hit the <Esc> key to cancel the timeout.

BMGR W2K, CHS and I13X fix

From main menu: Mode=FDISK -> OS/2 LVM and BootManager -> BMGR W2K, CHS and I13X fix

Update BMGR for W2K CHKDSK, fix BMGR-CHS values, and (re)set I13X dependancy

Menu item screenshot(s)

    The bootsector for IBM-bootmanager on the disk selected here will
    be updated to avoid damage by the CHKDSK program from Windows-2000.
    Without this, the W2K CHKDSK may incorrectly identify BMGR as a
    damaged FAT partition and will try to repair it, breaking it ...
    As an alternative, you could apply servicepack-2 to Windows-2000.

    This function will also verify and fix the CHS values recorded
    for the bootsector and configuration data sector for BMGR.

    Finally it will deactivate the explicit 'I13X' check in the BMGR
    code that results in a dependancy on the IBM MBR 'I13X' signature.
    After this deactivation, BMGR can be used with other MBR code
    like Linux GRUB as well (see 'bmfix' documentation too).

    Note: To allow booting OS/2 with non-I13X MBR code, you should
          also perform a 'fixboot' on any bootable HPFS partitions
          that are beyond the 1024 cylinder limit.

          The MBR used MUST be able to start partitions beyond the
          1024 cylinder limit, but does not need to set the 'I13X'
          signature normally required by OS/2
          The standard Windows (XP) MBR does NOT work beyond 1024!

          To reactivate the I13X dependancy use 'bmfix -I13X'

Selection of this item leads to a dynamic created submenu, to select a disk to be used

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [File operations and open disk/partitions]

File Menu: [File operations and open disk/partitions]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Next likely sector number c-N

From main menu: File -> Next likely sector number c-N

Display most likely desired 'next' sector (in hierarchy) in default format

Menu item screenshot(s)

    This will display the 'next likely' sector on the current opened store
    by using the 'next' value set by any previous display of a sector.

    Displaying the 'next' sector (Ctrl+N) on an opened filesystem will
    show the most interesting sectors like bootsector, superblocks etc.

    In general, each display function will set this 'next' value to the
    sector that is the most 'desirable' to be visited/displayed next.

This +1 sector, go Forward

From main menu: File -> This +1 sector, go Forward

Display the sector just AFTER 'this' one (sectornr +1) in default format

Menu item screenshot(s)

    This will display the sector AFTER the current one (this),
    in the default format for the type of sector found there.

This -1 sector, go Backward

From main menu: File -> This -1 sector, go Backward

Display the sector just BEFORE 'this' one (sectornr -1) in default format

Menu item screenshot(s)

    This will display the sector BEFORE the current one (this),
    in the default format for the type of sector found there.

Log new output to file ...

From main menu: File -> Log new output to file ...

Open a logfile for all screen output to come, append if file exists

Menu item screenshot(s)

    This will present a 'file-save-as' dialog with a suggested
    filename in the current directory.  You can change the name
    and navigate to other volumes, directories and even create
    a new directory for the logfile.

    All information that goes to the screen will be appended
    to the specified file as well.

    When the specified filename in the dialog ends in a '^' character,
    the program will automatically number new logfiles sequentially, by
    appending '001' .. '999' to that filename, and selecting the first
    one that does NOT exist yet (see automatic logfile numbering).

Trace to 9 cyclic files ...

From main menu: File -> Trace to 9 cyclic files ...

Functional trace program-flow to 9 one-Mb cyclic files, for DFSee debugging

Menu item screenshot(s)

    This will present a 'file-save-as' dialog with a suggested
    filename in the current directory.  You can change the name
    and navigate to other volumes, directories and even create
    a new directory for the tracefiles.

    Functional tracing will be enabled, and logging will be set
    to use three files of maximum 1 Mb in size, so the risk of
    filling up the available space is greatly reduced.
    The first file will have file extension 'log' and the rest
    will use a number extension '.lnn' with nn being the logfile
    sequence number starting at 01 and without an upper limit.

    This method of tracing is intended to allow analysis of
    crashes (traps, access violations) in DFSee itself that
    are very hard to diagnose otherwise.

Create a QUERY report ...

From main menu: File -> Create a QUERY report ...

Generate an email/news friendly QUERY report with disk and partition info

Menu item screenshot(s)

    This will generate a short QUERY report, with a line-length
    and size that allows it to be easily included in an email or
    newsgroup posting showing the most relevant disk and partition
    information when you request for help ...

    It will present a 'file-save-as' dialog with a suggested
    filename in the current directory.  You can change the name
    and navigate to other volumes, directories and even create
    a new directory for the logfile.

    When a logfile is currently open, it will be closed and
    then reopened after the QUERY has completed.

Save screen to file ... F4

From main menu: File -> Save screen to file ... F4

Save all text in text-output window to an ASCII file (could be large!)

Menu item screenshot(s)

    This will present a 'file-save-as' dialog with a suggested
    filename in the current directory.  You can change the name
    and navigate to other volumes, directories and even create
    a new directory for the logfile.

    All information that is currently present in the scrollable
    text window, will be written to the selected/specified file.

    Note: The file will be overwritten when it exists already.

Change current directory

From main menu: File -> Change current directory

Change the current directory, where files will be saved by default

Menu item screenshot(s)

    This will present a 'select-directory' dialog with the current
    working  directory displayed.  You can change it bu selecting
    another drive, subdirectory or even typing in a new path.

    The path as displayed (in blue) will become the current working
    directory when the dialog is closed.

Open object to work with

From main menu: File -> Open object to work with

Open an object like a disk, partition or volume to analyse and work with

    This submenu contains all menu-items related to OPENING an object
    to analyse, fix or otherwise work with using other DFSee commands
    and menu selections. The opened object will be the CURRENT one.

Disk

From main menu: File -> Open object to work with -> Disk

Open disk selected by submenu, to work on part-tables, LVMinfo or whole disk

Menu item screenshot(s)

    On selection this will open a submenu containing all physical
    and virtual disks known to DFSee.

    Selecting one of these will open it for further use and display
    the first sector of the disk, the MBR with a partition-table

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Partition

From main menu: File -> Open object to work with -> Partition

Open partition selected by submenu, to work on the filesystem in a partition

Menu item screenshot(s)

    On selection this will open a submenu containing all partitions
    on all the disks known to DFSee.

    The partitions are grouped per physical/virtual disk

    Selecting one of these will open it for further use and set
    the 'base' values to the start and end of the partition.
    Logical sector number 0 (LSN 0) will represent the first
    sector in the real partition (bootsector)

    After opening the partition, its bootsector will be displayed.

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Volume

From main menu: File -> Open object to work with -> Volume

Open volume for analysis ( refreshes submenu) For HD, use 'Partition'!

Menu item screenshot(s)

    On selection this will open a submenu containing all volumes
    (driveletters) The list can be refreshed for removable media
    using the <F7> key.

    Selecting one of these will open it for further use and display
    the first sector of the volume, usually that is the bootsector.

    Volume access is needed for devices like diskettes and CDROM.

    It will open a volume by its driveletter, using the standard OS
    filesystem driver.
    For harddisks the 'Open Partition' menu selection is strongly
    advised since there will be less problems introduced by the
    extra filesystem-layer.

Selection of this item leads to a dynamic created submenu, to select a volume (driveletter) to be used

Imagefile (RAW!) ...

From main menu: File -> Open object to work with -> Imagefile (RAW!) ...

Open RAW imagefile FOR ANALYSIS ONLY, use 'Actions' menu for restore...

Menu item screenshot(s)

    On selection this will open a 'file-open' dialog listing the
    binary imagefiles present in the current directory.

    The file-dialog has controls to let you change the volume,
    directory and selection-wildcard to allow easy selection
    of any file accessible through a drive-letter.

    Selecting one of these will open it for further use and display
    the first sector of the imagefile.

Freespace, primary

From main menu: File -> Open object to work with -> Freespace, primary

Open freespace area from a submenu, align for primary partition (disk, base)

Menu item screenshot(s)

    On selection this will open a submenu containing all freespace
    areas on all disks known to DFSee.

    The freespaces are grouped per physical/virtual disk.

    Selecting one of these will open it for further use by setting
    the 'base' values to the start and end sectors for the freespace.

    This will limit many operations to work in this area only

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Freespace, logical

From main menu: File -> Open object to work with -> Freespace, logical

Open freespace area from a submenu, align for logical partition (disk, base)

Menu item screenshot(s)

    On selection this will open a submenu containing all freespace
    areas on all disks known to DFSee.

    The freespaces are grouped per physical/virtual disk.

    Selecting one of these will open it for further use by setting
    the 'base' values to the start and end sectors for the freespace,
    with the START-sector aligned for a LOGICAL partition in that area.
    This assumes the freespace starts at a cylinder boundary (head 0)
    and it will set the base to the same cylinder at head 1.

Selection of this item leads to a dynamic created submenu, to select a freespace area to be used

Partition, verbose

From main menu: File -> Open object to work with -> Partition, verbose

Open partition selected by submenu, to work on, show more details on opening

Menu item screenshot(s)

    On selection this will open a submenu containing all partitions
    on all the disks known to DFSee.

    Selecting one of these will open it for further use and set
    the 'base' values to the start and end of the partition.

    After opening the partition, its bootsector will be displayed,
    where applicable VERBOSE mode will be used to show more detail

Selection of this item leads to a dynamic created submenu, to select a partition to be used

Volume, verbose

From main menu: File -> Open object to work with -> Volume, verbose

Open volume for analysis ( refreshes submenu) Show more volume details

Menu item screenshot(s)

    On selection this will open a submenu containing all volumes
    (driveletters) The list can be refreshed for removable media
    using the <F7> key.

    Selecting one of these will open it for further use and display
    the first sector of the volume, usually that is the bootsector,
    where applicable VERBOSE mode will be used to show more detail

Selection of this item leads to a dynamic created submenu, to select a volume (driveletter) to be used

Media management

From main menu: File -> Media management

Mount/Unmount/Display partitionable media, Eject and Refresh Removable media

    This submenu contains menu-items related to media management for:

         Partitionable Media : Mount, Unmount, Display
         Removable     Media : Eject, refresh

Mount on the DFSee disk-list

From main menu: File -> Media management -> Mount on the DFSee disk-list

Mount TO DFSee disk-list media like a physical/virtual disk or a RAW image

    This submenu allows you to mount a new partionable medium.

    A partionable medium is any medium known to DFSee that can
    be subdivided into partitions. All available partitionable
    media can be listed using the 'media' command or menu-item.

    Every medium available can be opened or used as a 'disk' in
    other DFSee commands or menu items.

Virtual from .PDx Template ...
From main menu: File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ...

Create and mount virtual disk, sized and initialized with selected .PDx file

Menu item screenshot(s)

    This will present a file-open dialog where a .PDx file
    containing saved disk-information can be selected.

    On selecting such a file, the new virtual disk will be
    created with equal size and geometry, and the saved sectors
    from the .PDx file will be loaded into the virtual disk.

    When matching .SNx/.BNx or .IMx files are present, these will
    be imported or restored to the new virtual disk automatically.

    This is extremely useful to create a virtual copy of an
    existing disk for partitioning or recovery experiments.

    The results of the DFSDISK script are ideal candidates to
    be used as templates for a new virtual disk (DFSDISK?.*)

    A VIRTUAL disk only exists within memory in DFSee, and can be
    used to analyse a setup or test many partitioning and recovery
    scenarios without any risk of damaging the real disk.

    Note: Since the whole virtual disk is kept in main memory, some
          commands like WIPE, CLONE and imaging are not practical to
          use on them, they would fill all available memory ...

Empty virtual disk
From main menu: File -> Media management -> Mount on the DFSee disk-list -> Empty virtual disk

Create and mount a new virtual disk, size as specified or like current disk

Menu item screenshot(s)

    This will present a dialog where the size of of the new virtual
    can be specified using either CHS-geometry based values or a
    direct size in binary megabytes or gigabytes (MiB/GiB).

    The default for the size unit is MiB. Example values:

          800                ;will create an 800 Mib virtual
          117,g              ;will create an 117 GiB virtual
          3748,c             ;3748 cylinder disk, default geometry
          3748,c 128 32      ;3748 cylinders, 128 heads, 32 sectors

    When left blank, the disk will be modelled after the currently
    selected disk, with the same size and geometry.

    The virtual disk will be completely empty after creation.

    A VIRTUAL disk only exists within memory in DFSee, and can be
    used to analyse a setup or test many partitioning and recovery
    scenarios without any risk of damaging the real disk.

    Note: Since the whole virtual disk is kept in main memory, some
          commands like WIPE, CLONE and imaging are not practical to
          use on them, they would fill all available memory ...

Physical, existing disk
From main menu: File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk

Mount an existing physical disk, specified by disknumber (Unix: devicename)

Menu item screenshot(s)

    This will present a dialog where the NUMBER of
    an existing physical disk can be specified.

    On selecting a valid disk, it will be
    mounted as a new partionable medium.

    At startup of DFSee all existing physical disks will be
    mounted by default, unless the '-d' switch is used.

Raw disk image (like SVISTA)
From main menu: File -> Media management -> Mount on the DFSee disk-list -> Raw disk image (like SVISTA)

Mount a RAW imagefile as a disk, like SVISTA .HDD containerfiles and others

    This will present a file-open dialog where a RAW image file
    containing a partitioned disk image can be selected.

    On selecting such a file, the RAW image will be opened and
    mounted as a new partionable medium.

    This means the contents will be shown with the 'part' command
    and all other DFSee functionality for disks and partitions is
    available for the image ...

    This is extremely useful to analyse or work on RAW container
    files for virtual-machine products like SVISTA.

Unmount from DFSee disk-list

From main menu: File -> Media management -> Unmount from DFSee disk-list

Unmount FROM DFSee disk-list media like a physical/virtual disk or RAW image

Menu item screenshot(s)

    This will remove the selected 'disk' from the list of partionable media.

    Partionable media, known as 'disks' within DFSee, can be listed using
    the 'media' command or the menu-item 'Display -> Partionable Media'.

    Every item listed is considered a 'disk' so its partitions can
    be displayed, analysed and worked on.

    The UNMOUNT action will remove on 'disk' from that list, making it
    unavailable for other DFSee functions until you mount it again.

    By default, at DFSee startup all physical disks will be mounted,
    and on exit all disks will be unmounted automatially.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Display the DFSee disk-list

From main menu: File -> Media management -> Display the DFSee disk-list

Display DFSee disk-list, mapping of disk-id to media like disks and devices

Menu item screenshot(s)

    This will display a table showing the relationship between:

      Disk-id         The disk-id as used in many DFSee commands
      DFSee-type      Type of medium for DFSee, physical, virtual ...
      disk number     Real disk number, specific to the type of medium
      Description     The (Linux) device name for this disk device,
                      an Image filename and/or details on the medium

    All entries in this table can be used as a 'disk' in the many
    DFSee commands that deal with them, and these are also listed
    in the default partition and MAP displays in DFSee.

    Note that the 'Disk-id' is really a 'Partionable Medium Id',

Eject a removable medium

From main menu: File -> Media management -> Eject a removable medium

OS: Eject removable medium selected from a list of known removable drives

Menu item screenshot(s)

    This action will attempt to eject a medium selected from
    a list of (potentially) removable media.

Selection of this item leads to a dynamic created submenu, to select a removable volume (driveletter) to be used

Refresh removable media

From main menu: File -> Media management -> Refresh removable media

OS: Refresh the list of removable media, attempt rediscover new ones by OS

    This will refresh the list of removable media.

    On OS2 it will use the LVM Engine to rediscover any
    potential removable media (Rediscover PRM).

Boot using IBM Bootmanager

From main menu: File -> Boot using IBM Bootmanager

Reboot to the a BMGR bootable partition selected from the list (setboot)

Menu item screenshot(s)

    This will allow you to select any of the defined IBM BootManager
    bootable partitions to boot from.

    On selection this will flush the filesystem-caches when possible,
    and then reboot to the selected BMGR name.

      There will NOT be an additional 'are you sure' confirmation!

Selection of this item leads to a dynamic created submenu, to select a partition from the IBM BMGR menu to be booted

Boot the system Now

From main menu: File -> Boot the system Now

Reboot the system after confirmation, filesystems are flushed properly.

Menu item screenshot(s)

    On selection this will flush the filesystem-caches when possible,
    and then reboot in a similar way as <Ctrl>+<Alt>+<Delete> would.

      There will NOT be an additional 'are you sure' confirmation!

Exit c-Q

From main menu: File -> Exit c-Q

Exit the DFSee program

    On selection this will exit the program, and return to the
    evironment that started it. This may be the operating system
    commandline, desktop or even another program.

    When DFSee was started in 'SHELL' mode, this selection
    will be disabled.

    Shell mode is most often used to prevent access to the operating
    system, or perhaps the operating system command interpreter is not
    available at all (example: using DFSOS2.EXE as protshell in OS/2).

    You can force program-exit using the <Alt> + ` (back-quote) keys,
    but the effect is unpredictable ...

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Help on menu and commands plus 'about']

Help Menu: [Help on menu and commands plus 'about']

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

DFSee generic commands

From main menu: Help -> DFSee generic commands

One line descriptions for the generic commands that work in every mode

Menu item screenshot(s)

    This will show the available commands that are generic, not
    specific to the current mode or filesystem selected.

    All these commands can be ecexuted from the DFSee commandline,
    and most will give usage help when called with the '-?' option.

FS-specific commands

From main menu: Help -> FS-specific commands

One line descriptions for the current filesystem (mode) specific commands

Menu item screenshot(s)

    This will show the extra commands that are available for the
    curremt mode or filesystem (FDISK, HPFS, NTFS, FAT, JFS ...).

Sector Types recognized

From main menu: Help -> Sector Types recognized

Overview for all generic plus the current filesystem-specific sector types

Menu item screenshot(s)

    This will display both the generic as well as the filesystem
    specific sector-types that can be used in several commands
    such as 'find'.

Partition Types

From main menu: Help -> Partition Types

Overview of common partition types recognized by DFSee, incl. symbolic names

Menu item screenshot(s)

   This describes the most used partition types as recognized
   and used within DFSee, both as numeric and symbolic values

Script Control-structures

From main menu: Help -> Script Control-structures

Overal description of script structure and control-structures, IF, WHILE etc

Menu item screenshot(s)

   This shows a brief explanation for the native script structure
   and supported control structures like IF, WHILE, FOR and so on

Script Built-in functions

From main menu: Help -> Script Built-in functions

One line descriptions for built-in functions, used with advanced scripting

Menu item screenshot(s)

   This shows a brief explanation for the built-in functions that
   are available with advanced (native) scripting in DFSee

Script Variables/constants

From main menu: Help -> Script Variables/constants

Help on script variables and constants, incl. DFSee specific host variables

Menu item screenshot(s)

   This describes script variables, and some constant definitions
   that are available

   It also shows a brief explanation for the host-variables that
   are available with advanced (native) scripting in DFSee

   These variables give access to many DFSee internals ...

Exe startup switches

From main menu: Help -> Exe startup switches

One line descriptions for switches that can be specified at startup of DFSee

Menu item screenshot(s)

    This shows all the switches that can be used at startup of the
    DFSee executable to modify some of its behaviour.

User interface

From main menu: Help -> User interface

Help on the DFSee application in general and the TxWin user interface

Menu item screenshot(s)

    This explains the usage of the basic DFSee user-interface with
    the command-entry field and the large text-output window.

    It also directs you to the menu-related help.

About ... s-F11

From main menu: Help -> About ... s-F11

Show DFSee program version details and copyright notices for used components

Menu item screenshot(s)

    This displays a popup with detailed information about the version
    of the DFSee executable currently running, including some of the
    used tools and subsystems

    It will also identify the operating-system it is running on to
    allow better interpretation of analysis logfiles.

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Apple MAC HFS+ journalled File System]

Mode=HFS Menu: [Apple MAC HFS+ journalled File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Make THIS partition Active

From main menu: Mode=HFS -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=HFS -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Display Superblock

From main menu: Mode=HFS -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Wipe filesystem Bootsector

From main menu: Mode=HFS -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Reselect whole disk, FDISK

From main menu: Mode=HFS -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [OS/2 and eCS High Performance File System]

Mode=HPFS Menu: [OS/2 and eCS High Performance File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=HPFS -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

File Find/Recover/HEXedit

From main menu: Mode=HPFS -> File Find/Recover/HEXedit

Find deleted/normal files, list and possibly recover them. HEX edit dir/file

    This submenu offers selections to search for normal or deleted
    files, display the resulting lists and possibly recover files.

Search Deleted files => list

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Search Deleted files => list

Search for FNODEs for deleted files, 'Recover from list' will UNDELETE them

    This will search the whole partition for file FNODEs that belong to
    DELETED files, and that match the start of the filename specified.

    The sectornumbers of the found FNODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Any/all files => list

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Search Any/all files => list

Search for FNODEs for deleted or non-deleted files, for 'Recover from list'

    This will search the whole partition for file FNODEs of non-deleted
    or deleted files that match the start of the filename specified.

    The sectornumbers of the found FNODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Normal files => list

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Search Normal files => list

Search data area for FNODEs for non-deleted files, for 'Recover from list'

    This will search the whole partition for file FNODEs of non-deleted
    regular files and match the start of the filename specified.

    The sectornumbers of the found FNODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Display files from List ...

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Display files from List ...

Display (selected) files from the list, using a PATH+FILENAME wildcard

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format, suited
    to the data contained in the list

    This usually is a 'list -f' or a 'list -s' variant.

Recover files from list ...

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Recover files from list ...

Recover (selected) files from the list to a supplied recovery directory

    This will allow you to recover (copy) one or more of the files in the
    list to any local or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. All files recovered in one go, will be recovered to
    this same directory, with their original path appended to retain the
    directory structure whenever possible.

    It will also prompt for a selection specification in the form of a
    full PATH+FILENAME wildcard and an optional allocation-percentage.

    As an example, the specification:

       '*mydoc*\*project_x*.doc%100'

       will recover all files that have 'mydoc' somewhere in the PATH,
       'project_x' in the filename and have an extension of '.doc' that
       seem to be 100% recoverable. (100% allocation-OK ranking).

Recover THIS file ...

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Recover THIS file ...

Recover the file associated with the CURRENT sector to a recovery directory

    This will allow you to recover (copy) the file represented by the
    CURRENT displayed sector, also called the 'THIS' sector to any local
    or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. The file will be recovered with its original path
    appended to that to retain the directory structure whenever possible.

    The menu item will only be enabled (selectable) when the CURRENT sector
    represents a normal or deleted FILE for the filesystem involved.
    This means it has to be a type 'f' or 'z' sector, which is:

         For HPFS: an FNODE sector
         For JFS:  an INODE sector
         For NTFS: an MFT record

Find ONE file/dir by Path

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Find ONE file/dir by Path

Find info (FNODE/MFT-record etc) for ONE specified file/directory path

    This uses the specified path from the root-directory to locate
    detailed information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information will be displayed in the standard
    format as defined for the filesystem that is active.
    You can display related information like the directory entry
    or the actual file data from there using the U and D commands.

    You can also use the 'saveto' command or corresponding menu
    item 'Recover THIS file' to create a copy of this found file
    on the specified or default recovery destination
    (or use the combined menu option instead of this find :-)

Find and Recover ONE file

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> Find and Recover ONE file

Find ONE file by full path+filename, and recover it to a recovery directory

    This uses the specified path starting from the ROOT to locate
    ONE specific file, and when found will issue a SAVETO command
    to recover the contents of this file to a recovery directory.

    The path and filename may contain spaces.

    Note:
    The recovered file will be placed directly in the specified
    recovery directory without the full original path, but with
    the proper filename retained (even on JFS :-).

HEX edit file/dir Info (1)

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> HEX edit file/dir Info (1)

Find + edit FAT dir entry / HPFS fnode / JFS inode / NTFS MFTrec+small files

    This uses the specified path from the root-directory to locate
    information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information at THAT level (1st, direct)
    will be opened in the standard HEX editor

    This will often be META-data about the file or directory,
    with a layout strongly defined by the filesystem type

HEX edit file/dir Data (2)

From main menu: Mode=HPFS -> File Find/Recover/HEXedit -> HEX edit file/dir Data (2)

Find and the HEX edit most HPFS / JFS / NTFS file-data or directory contents

Boot area fixes/updates

From main menu: Mode=HPFS -> Boot area fixes/updates

Fix bootsector, HiddenSectors/GEO, and HPFS LDR imaging and fixing

    This submenu offers selections for fixes related to booting like
    fix the bootsector itself, HPFS LDR image creation and restore
    and fixing the HiddenSectors and geometry fields in the bootsector

Fix Bootsector, no I13X check

From main menu: Mode=HPFS -> Boot area fixes/updates -> Fix Bootsector, no I13X check

Fix bootsector; No explicit I13X check, works with bootmanagers like GRUB

    This will create a new HPFS bootsector for the partition, based on
    information from the partition-tables and on information found in
    the superblock and spareblock for the filesystem.

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

    There will be NO explicit I13X check in the bootcode, which will
    allow booting beyond cylinder 1024 even with MBR bootcode that is
    NOT I13X aware (Windows, Linux) and other bootmanagers than IBM's
    like Linux GRUB or LILO, Acronis OS selector and many more.

Fix Bootsector, explicit I13X

From main menu: Mode=HPFS -> Boot area fixes/updates -> Fix Bootsector, explicit I13X

Fix bootsector; Use explicit I13X check, requires I13X capable MBR and BMGR!

    This will create a new HPFS bootsector for the partition, based on
    information from the partition-tables and on information found in
    the superblock and spareblock for the filesystem.

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

    There will be an explicit I13X check in the bootcode, which will
    require an I13X capable MBR (from IBM or DFSee) as well as an I13X
    capable (IBM) BootManager like the LVM, eCS or DFSee ones.

Wipe filesystem Bootsector

From main menu: Mode=HPFS -> Boot area fixes/updates -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Create HPFS LDR imagefile

From main menu: Mode=HPFS -> Boot area fixes/updates -> Create HPFS LDR imagefile

Create compressed imagefile with the HPFS LDR sectors for this partition

    This will create a compressed imagefile with the HPFS LDR sectors
    from the current HPFS partition, to be used later for a restore to
    a damaged system.

Restore HPFS LDR imagefile

From main menu: Mode=HPFS -> Boot area fixes/updates -> Restore HPFS LDR imagefile

Restore imagefile with a 'known good' HPFS LDR to current partition

    This will restore an imagefile with the HPFS LDR sectors to the
    current HPFS partition.

Fix HiddenSectors/Geo value

From main menu: Mode=HPFS -> Boot area fixes/updates -> Fix HiddenSectors/Geo value

Fix bootsector HiddenSectors and geometry fields to match partition tables

    This will update the 'hidden sectors' field in the bootsector
    to match the offset to the partition-table the partition is
    defined in and update the geometry Heads and Sectors field to
    match the current disk geometry.

    This could be REQUIRED for some operating systems like OS/2
    to accept and mount the partition as a driveletter!

Set Volume Serial Number

From main menu: Mode=HPFS -> Boot area fixes/updates -> Set Volume Serial Number

Change the volume serial number, making this volume unique (after clone :-)

    This will update the 'volume serial number' in the bootsector

    This could be REQUIRED for some operating systems after cloning
    a filesystem, to make sure the volume serial numbers are unique.

Reset bad sectors

From main menu: Mode=HPFS -> Reset bad sectors

Reset the bad-sector administration to show ZERO bad-sectors or clusters

    This will check for bad-sectors being present in the
    filesystem and when present, reset to NO bad sectors.

     FAT:  Reset all 'BAD' values in the FAT to FREE
     NTFS: Update $BadClus and $BitMap to reset bad-clusters
     HPFS: Make the bad-sector-list in the spare-block empty

    This can be very useful after cloning or imaging a partition
    or disk that includes bad-sectors to a new replacement one.

FS structural fixes

From main menu: Mode=HPFS -> FS structural fixes

Find and Fix some of the HPFS specific filesystem structures

    This submenu offers selections for fixes related to the HPFS
    filesystem structures like the super and spareblock, codepage
    information and so on ...

Find Root directory

From main menu: Mode=HPFS -> FS structural fixes -> Find Root directory

Find the sector containing the FNODE for the root directory

    This will search the whole partition until FNODEs are found that
    can be used to determine the path and location of the HPFS root-
    directory.

    This might be useful on heavily damaged HPFS partitions to get
    access to (part of) the file and directory structures again.

    The found location will be used by the 'Fix superblock values'
    menu selection automatically.

Fix Superblock values

From main menu: Mode=HPFS -> FS structural fixes -> Fix Superblock values

Update superblock using found rootdirectory location and partition-info

    This will recreate the HPFS superblock using information from the
    partition-tables and a newly found root-directory.

    It will try to find the most relevant data-structures referenced
    from the superblock, and update the checksum value too.

Find Codepage info

From main menu: Mode=HPFS -> FS structural fixes -> Find Codepage info

Find the sector containing the codepage information and data

    This will search the start of the partition for CODEPAGE information
    or data sectors

    This might be useful on heavily damaged HPFS partitions to get
    correctly interpreted filenames again.

    The found location will be used by the 'Fix spareblock values'
    menu selection automatically.

Fix spareblock values

From main menu: Mode=HPFS -> FS structural fixes -> Fix spareblock values

Update spareblock using found codepage LSN and superblock values

    This will recreate the HPFS spareblock using information from the
    partition-tables, the superblock and newly found CODEPAGE info.

    It will try to find other relevant data-structures referenced
    from the spareblock, and update the checksum values too.

Make THIS partition Active

From main menu: Mode=HPFS -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=HPFS -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Set FS status Clean

From main menu: Mode=HPFS -> Set FS status Clean

Update spareblock status flags to indicate filesystem is CLEAN

    This will update the fileystem-status field in the HPFS spareblock
    to indicate that filesystem is CLEAN.

    This can be useful to avoid an automatic CHKDSK after a system-crash

    Note: The filesystem itself is NOT cleaned in any way, it is just the
          statusflag that is modified.

Set FS status Dirty

From main menu: Mode=HPFS -> Set FS status Dirty

Update spareblock status flags to indicate filesystem is DIRTY

    This will update the fileystem-status field in the HPFS spareblock
    to indicate that filesystem is DIRTY.

    This can be useful to force a CHKDSK operation on the next boot.

    Note: The filesystem itself is NOT affected in any other way, it is
    just the statusflag that is modified.

Dump FS area to file ...

From main menu: Mode=HPFS -> Dump FS area to file ...

Dump the HPFS super/spare, codepage etc to a file for analysis (support :-)

    This will create a binary dump for the start of the filesystem
    which will include the superblocks, codpage info and more.
    Quite useful for later analysis, perhaps by DFSee support.

    The usual IMAGE dialog will be presented, with the startsector
    and size filled in, as well as a suggested filename.

Display Superblock

From main menu: Mode=HPFS -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Check HPFS filesystem

From main menu: Mode=HPFS -> Check HPFS filesystem

Check filesystem for inconsistencies and errors (Readonly, no fixing!)

    This will perform a CHECK of the filesystem, somewhat like the
    well-known CHKDSK but without automatically fixing anything.

    The result of the check is a sector-lookup-table (SLT) that contains
    information about all recognized filesystem areas that are in use.

    Any error recognized will be flagged in the default display of
    this SLT that is performed automatically by the CHECK command.

Identify sectors (SLT)

From main menu: Mode=HPFS -> Identify sectors (SLT)

Create Sector Lookup Table (SLT) if needed, display as table or sector info

    This submenu contains all menu-items related to OPENING an object
    to analyse, fix or otherwise work with using other DFSee commands
    and menu selections. The opened object will be the CURRENT one.

Show object layout (SLT)

From main menu: Mode=HPFS -> Identify sectors (SLT) -> Show object layout (SLT)

Show layout of current object by displaying parts of the Sector Lookup Table

    This will display part of the sector-lookup-table (SLT)

    You wil be presented with an option dialog first, where you
    specify the desired format and part of the SLT to be displayed.

    The SLT will be built automatically if not done yet, and it will
    have been built by any previous CHECK command too.

    Building the SLT will take place in the background while the
    dialog can be used freely to specify any options for displaying.
    After the dialog has been ended, and the SLT is ready, it will
    be displayed as requested.

    Typically the SLT will contain at least one entry for every file
    on the filesystem, so there could be hundreds of thousands lines!

Identify specific sector

From main menu: Mode=HPFS -> Identify sectors (SLT) -> Identify specific sector

Show identification for specified (or current) sector, using the SLT

    This will display information about the specified sector that is
    available in the sector lookup table (SLT)

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available

Identify Last used sector

From main menu: Mode=HPFS -> Identify sectors (SLT) -> Identify Last used sector

Show identification for the last sector used, dictating the minimum FS size

    This will display information about the sector that is the last
    one being used (allocated) in the filesystem, and because of that
    dictates the MINIMUM size for the filesystem for a RESIZE.

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available,
    just as the required allocation information (alloc).

Reselect whole disk, FDISK

From main menu: Mode=HPFS -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [OS/2 and eCS Journalled File System]

Mode=JFS Menu: [OS/2 and eCS Journalled File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=JFS -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

File Find/Recover/HEXedit

From main menu: Mode=JFS -> File Find/Recover/HEXedit

Find deleted/normal files, list and possibly recover them. HEX edit dir/file

    This submenu offers selections to search for normal or deleted
    files, display the resulting lists and possibly recover files.

       Note: display of path/filename or recovery is NOT POSSIBLE YET

Search Deleted files => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Search Deleted files => list

Search for INODEs for deleted files, 'Recover from list' will UNDELETE them

    This will search the whole partition for file INODEs that belong to
    DELETED files, and that match the start of the filename specified.

    The sectornumbers of the found INODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Any/all files => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Search Any/all files => list

Search for INODEs for deleted or non-deleted files, for 'Recover from list'

    This will search the whole partition for file INODEs of non-deleted
    or deleted files that match the start of the filename specified.

    Since this searches the WHOLE filesystem, it is rather SLOW.
    For filesystems that are intact, the Quick-Find method should
    find ALL normal file inodes too, and is MUCH FASTER!

    The sectornumbers of the found INODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Normal files => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Search Normal files => list

Search data area for INODEs for non-deleted files, for 'Recover from list'

    This will search the whole partition for file INODEs of non-deleted
    regular files and match the start of the filename specified.

    Since this searches the WHOLE filesystem, it is rather SLOW.
    For filesystems that are intact, the Quick-Find method should
    find ALL normal file inodes too, and is MUCH FASTER!

    The sectornumbers of the found INODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

QuickFI normal files => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> QuickFI normal files => list

Quick search in INODE areas only for non-deleted files. (fast, QFI command)

    This searches JUST the known INODE areas for INODEs of non-deleted
    regular files that match the partial filename specified.

    The sectornumbers of the found INODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

    Note: The filenames to be found are recognizable ONLY when extra
          information is available. In DFSee this can be any of:

          - Name cache, automatically built with the SLT (and CHECK)
          - A .LONGNAME EA set for the file or Dir (June compatible)
          - DFSee specific 'magic' names added to the filesystem Inodes
            specifically for recovery and undelete. (CHECK -m command)

QuickFI Deleted files => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> QuickFI Deleted files => list

Quick search in INODE areas only for deleted files. (fast, less effective)

    This searches JUST the known INODE areas for INODEs of deleted
    files that match the partial filename specified.

    This will NOT find all deleted files, since inode-extents will
    be discarded completely when many files are deleted. Because of
    this, the full search for deleted inodes is recommended.

    The sectornumbers of the found INODEs will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

    Note: The filenames to be found are recognizable ONLY when extra
          information is available. In DFSee this can be any of:

          - Name cache, automatically built with the SLT (and CHECK)
          - A .LONGNAME EA set for the file or Dir (June compatible)
          - DFSee specific 'magic' names added to the filesystem Inodes
            specifically for recovery and undelete. (CHECK -m command)

Find ANY after FORMAT => list

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Find ANY after FORMAT => list

Find ANY file (Inode) even after (quick) formatting (slow, as last resort)

    This allows searching for ANY Inodes including ones that are NOT from
    the current FORMAT, so they have a different Inode Recovery Signature
    (IRS) which is basically the timestamp of when the FS was formatted.

    You can either specify the '0' wildcard value, to match ANY signature
    or a specific one when known, to find only Inodes for that instance
    of the filesystem (like only files from before formatting).

    When listing or recovering files later, using an import list perhaps,
    be sure to set this SAME IRS value, or Inodes will NOT be recognized!

Show ANY Inode after a FORMAT

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Show ANY Inode after a FORMAT

Recognize ANY Inode even after (quick) formatting, allowing any signature

Display files from List ...

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Display files from List ...

Display (selected) files from the list, using a PATH+FILENAME wildcard

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format, suited
    to the data contained in the list

    This usually is a 'list -f' or a 'list -s' variant.

Recover files from list ...

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Recover files from list ...

Recover (selected) files from the list to a supplied recovery directory

    This will allow you to recover (copy) one or more of the files in the
    list to any local or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. All files recovered in one go, will be recovered to
    this same directory, with their original path appended to retain the
    directory structure whenever possible.

    It will also prompt for a selection specification in the form of a
    full PATH+FILENAME wildcard and an optional allocation-percentage.

    As an example, the specification:

       '*mydoc*\*project_x*.doc%100'

       will recover all files that have 'mydoc' somewhere in the PATH,
       'project_x' in the filename and have an extension of '.doc' that
       seem to be 100% recoverable. (100% allocation-OK ranking).

Add/Update recovery filenames

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Add/Update recovery filenames

Add/Update filenames in the FS, for recovery/undelete (FS must be UNMOUNTED)

    This submenu will execute a filesystem check (CHECK/SLT build)
    with a special option that instructs it to ADD the found file
    and directory names to an unused/reserved area in each INODE.

    Since this actually WRITES to the filesystem, it is only effective
    when the filesystem is in an UNMOUNTED, CLEAN state.

    The added names, when present, will be used to allow display of
    filename and full-PATH information, and use these for recovery
    and UNDELETE as well.

    Note: Filenames displayed in various places for the JFS filesystem
          are recognizable ONLY when extra information is available.
          (normally it is available in the JFS directories only.)

          In DFSee this extra info can be any of:

          - Name cache, automatically built with the SLT (and CHECK)
            This allows for full path and filenames to be generated
            whereever needed, but it DOES require basic JFS structures
            to be consistent (not damaged too much).

          - A .LONGNAME EA set for the file or Dir (June compatible)
            This allows for display of file or directorynames, but not
            always a full-path (since the parent directory is unknown)
            The mechanism is compatible with the 'June/Jresquer' tools.

          - DFSee specific 'magic' names added to the filesystem Inodes
            specifically for recovery and undelete. (CHECK -m command)
            This allows for full path and filenames to be generated
            whereever needed, and does not even require a fully intact
            JFS filesystem (some damage tolerated).

Recover THIS file ...

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Recover THIS file ...

Recover the file associated with the CURRENT sector to a recovery directory

    This will allow you to recover (copy) the file represented by the
    CURRENT displayed sector, also called the 'THIS' sector to any local
    or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. The file will be recovered with its original path
    appended to that to retain the directory structure whenever possible.

    The menu item will only be enabled (selectable) when the CURRENT sector
    represents a normal or deleted FILE for the filesystem involved.
    This means it has to be a type 'f' or 'z' sector, which is:

         For HPFS: an FNODE sector
         For JFS:  an INODE sector
         For NTFS: an MFT record

Find ONE file/dir by Path

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Find ONE file/dir by Path

Find info (FNODE/MFT-record etc) for ONE specified file/directory path

    This uses the specified path from the root-directory to locate
    detailed information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information will be displayed in the standard
    format as defined for the filesystem that is active.
    You can display related information like the directory entry
    or the actual file data from there using the U and D commands.

    You can also use the 'saveto' command or corresponding menu
    item 'Recover THIS file' to create a copy of this found file
    on the specified or default recovery destination
    (or use the combined menu option instead of this find :-)

Find and Recover ONE file

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> Find and Recover ONE file

Find ONE file by full path+filename, and recover it to a recovery directory

    This uses the specified path starting from the ROOT to locate
    ONE specific file, and when found will issue a SAVETO command
    to recover the contents of this file to a recovery directory.

    The path and filename may contain spaces.

    Note:
    The recovered file will be placed directly in the specified
    recovery directory without the full original path, but with
    the proper filename retained (even on JFS :-).

HEX edit file/dir Info (1)

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> HEX edit file/dir Info (1)

Find + edit FAT dir entry / HPFS fnode / JFS inode / NTFS MFTrec+small files

    This uses the specified path from the root-directory to locate
    information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information at THAT level (1st, direct)
    will be opened in the standard HEX editor

    This will often be META-data about the file or directory,
    with a layout strongly defined by the filesystem type

HEX edit file/dir Data (2)

From main menu: Mode=JFS -> File Find/Recover/HEXedit -> HEX edit file/dir Data (2)

Find and the HEX edit most HPFS / JFS / NTFS file-data or directory contents

Boot area fixes/updates

From main menu: Mode=JFS -> Boot area fixes/updates

Fix bootsector standard/bootable, HiddenSectors/GEO and JFS LDR sectors

    This submenu offers selections for fixes related to booting like
    fix the bootsector itself, JFS LDR image creation and restore
    and fixing the HiddenSectors and geometry fields in the bootsector

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

Fix Standard JFS Bootsector

From main menu: Mode=JFS -> Boot area fixes/updates -> Fix Standard JFS Bootsector

Create and write STANDARD JFS Bootsector from partition and superblock-info

    This will create a new JFS bootsector for the partition, based on
    information from the partition-tables and on information found in
    the superblock for the filesystem.
    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

    The bootsector code used is the STANDARD version, as originally
    supplied by IBM. JFS partitions using this will not be bootable.
    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

Fix Bootable JFS Bootsector

From main menu: Mode=JFS -> Boot area fixes/updates -> Fix Bootable JFS Bootsector

Create and write BOOTABLE JFS Bootsector from partition and superblock-info

    This will create a new JFS bootsector for the partition, based on
    information from the partition-tables and on information found in
    the superblock for the filesystem.

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

    The bootsector code used is the BOOTABLE version, as supplied with
    eComStation 2.x to allow booting from primary or logical JFS.

    Apart from ths specific 'bootable' bootsector, you will also need
    the JFS mini filesystem (mini-FS) in the sectors directly following
    the bootsector itself. If not there yet, you can write that code
    using other selections in this same menu.

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again, or if
    the partition was CHKDSK'ed by an OLD non-bootable UJFS.DLL ...

Wipe filesystem Bootsector

From main menu: Mode=JFS -> Boot area fixes/updates -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Create JFS LDR imagefile

From main menu: Mode=JFS -> Boot area fixes/updates -> Create JFS LDR imagefile

Create compressed imagefile with the JFS LDR sectors for this partition

    This will create a compressed imagefile with the JFS mini-FS
    sectors from the current JFS partition, to be used later for
    a restore to a damaged system.

Restore JFS LDR imagefile

From main menu: Mode=JFS -> Boot area fixes/updates -> Restore JFS LDR imagefile

Restore the imagefile with a 'known good' JFS LDR to current partition

    This will restore an imagefile with the JFS mini-FS sectors to
    the current JFS partition, to recover from a boot failure when
    this code has been damaged somehow ...

Fix HiddenSectors/Geo value

From main menu: Mode=JFS -> Boot area fixes/updates -> Fix HiddenSectors/Geo value

Fix bootsector HiddenSectors and geometry fields to match partition tables

    This will update the 'hidden sectors' field in the bootsector
    to match the offset to the partition-table the partition is
    defined in and update the geometry Heads and Sectors field to
    match the current disk geometry.

    This could be REQUIRED for some operating systems like OS/2
    to accept and mount the partition as a driveletter!

Set Volume Serial Number

From main menu: Mode=JFS -> Boot area fixes/updates -> Set Volume Serial Number

Change the volume serial number, making this volume unique (after clone :-)

    This will update the 'volume serial number' in the bootsector

    This could be REQUIRED for some operating systems after cloning
    a filesystem, to make sure the volume serial numbers are unique.

Make THIS partition Active

From main menu: Mode=JFS -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=JFS -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Set FS status / version

From main menu: Mode=JFS -> Set FS status / version

Set FS status Clean, Dirty or Mounted, set FS Version or correct Signature

    Set FS status (Dirty), set FS Version or correct Signature

     The file system status van be one of:
       - Unmounted - Clean     When it is not in use, proper shutdown
       - Mounted   - Dirty     When in use, and changes have been made
       - Unmounted - Clean     When in use, but no changes were made yet

       In some cases, when CHKDSK fails, you can get (temporary) access
       by manually setting the FS status to Unmounted-clean and reboot.

     The FS version for an IBM OS/2 or eCS JFS should be numeric 1
     The FS version for a Linux formatted  JFS should be numeric 2

     The signature string for an OS/2 or eCS or Linux should be 'JFS1'

Set FS Unmounted - Clean

From main menu: Mode=JFS -> Set FS status / version -> Set FS Unmounted - Clean

Update superblock status to indicate filesystem is UNMOUNTED and CLEAN

    This will update the fileystem-status field in the JFS superblock
    to indicate that filesystem is CLEAN, and not mounted.

    This can be useful to avoid an automatic CHKDSK after a system-crash

    Note: The filesystem itself is NOT cleaned in any way, it is just the
          statusflag that is modified.

Set FS Mounted - Dirty

From main menu: Mode=JFS -> Set FS status / version -> Set FS Mounted - Dirty

Update superblock status to indicate filesystem is DIRTY

    This will update the fileystem-status field in the JFS superblock
    to indicate that filesystem is DIRTY.

Set FS Mounted - Clean

From main menu: Mode=JFS -> Set FS status / version -> Set FS Mounted - Clean

Update superblock status to indicate filesystem is MOUNTED and CLEAN

    This will update the fileystem-status field in the JFS superblock
    to indicate that filesystem is CLEAN, but IS mounted.

    Note: The filesystem itself is NOT cleaned in any way,
          it is just the statusflag that is modified.

Set FS Version number ...

From main menu: Mode=JFS -> Set FS status / version -> Set FS Version number ...

Update superblock version-nr to IBM/eCS/Linux or explicit numeric value

    This will display and optionally update the filesystem version
    the filesystems superblock.

     The FS version for an IBM OS/2 or eCS JFS should be numeric 1
     The FS version for a Linux formatted  JFS should be numeric 2

Set FS Signature to 'JFS1'

From main menu: Mode=JFS -> Set FS status / version -> Set FS Signature to 'JFS1'

Update superblock signature string to the default required 'JFS1' value

    This will update the superblock signature string to the default
    required 'JFS1' value.
    This can be useful after CHDSK reporting boith superblocks to be
    corrupted, while only the signature has been scrambled ...

Display/Edit UUID string

From main menu: Mode=JFS -> Set FS status / version -> Display/Edit UUID string

Display and optionally edit the (Linux) UUID string value in the superblock

    This will display and optionally update the UUID string in
    the filesystems superblock.

Display Inode info

From main menu: Mode=JFS -> Display Inode info

Display specified Inode sectors or Inode allocation information (IAG)

Specified Inode number ...

From main menu: Mode=JFS -> Display Inode info -> Specified Inode number ...

Display any Inode sector, by specifying the Inode-number

    This will display information for the file or directory referenced
    by the Inode-sector specified.

    This may include filenames, flags, date and time as well as
    filespace allocation details.

    Note: The Inode-sector has to be identified by its (hexadecimal)
          Inode number, as found in directory details or 'well-known'
          ones like 02 for the root-directory.

1 - Fs1, alloc map extension

From main menu: Mode=JFS -> Display Inode info -> 1 - Fs1, alloc map extension

Extension area for the filesystem1 super-inode (Aggregate inode at LSN 68)

    Extension area for the filesystem1 super-inode (seldom needed)

    It extends the agregate inode at LSN 68, mapping used Inodes

2 - \ Root directory

From main menu: Mode=JFS -> Display Inode info -> 2 - \ Root directory

RootDir, main index to the volumes regular files and directories in fileset1

    RootDir, main index to the volumes regular files and
    directories in fileset1 (the one and only :-)

    This is a normal Inode for a directory, but since it is the root
    of the directory/file tree, it is the most important one to find
    anything by name ...

3 - Fs1, ACL file for fileset

From main menu: Mode=JFS -> Display Inode info -> 3 - Fs1, ACL file for fileset

Special data file with consolidated Access Control List for the fileset

    Special data file with consolidated Access Control List for the fileset

    Regular file and directory Inodes may contain ACL info that usually
    indexes into the data in this file.

Agg 59, Aggregate self inode

From main menu: Mode=JFS -> Display Inode info -> Agg 59, Aggregate self inode

Aggregate super or 'self' inode, describing the Aggregate Inode Map blocks

    Aggregate 'self' inode, describing the Aggregate Inode Map blocks

    Needed to find an aggregate Inode based on its inode number.

Agg 5a, Block Allocation Map

From main menu: Mode=JFS -> Display Inode info -> Agg 5a, Block Allocation Map

Aggregate inode with the bitmap structures that map the whole aggregate

    Aggregate inode with the bitmap structures that map the whole aggregate

    This systemfile is crucial for displaying the allocation map,
    and to determine proper allocation for normal/deleted files

Agg 5c, Bad block mapping

From main menu: Mode=JFS -> Display Inode info -> Agg 5c, Bad block mapping

Aggregate inode with blocks allocated to areas detected as 'bad' on format

    Aggregate inode with blocks allocated to areas
    detected as 'bad' on format

    This effectively avoids these blocks from being used for other files

Agg 68, Fileset1 super inode

From main menu: Mode=JFS -> Display Inode info -> Agg 68, Fileset1 super inode

Aggregate inode with the Fileset1 Allocation Map, mapping the Inode extents

    Aggregate inode with the Fileset1 Allocation Map,
    mapping the Inode extents used for regular inodes

    It is needed to allow translation between Inode numbers
    and their sector number

IAG, Inode Allocation Group

From main menu: Mode=JFS -> Display Inode info -> IAG, Inode Allocation Group

Display summary info on all IAG's, or detailed info on a specified IAG nr

    Display information about Inode Allocation Groups

    Without a number specified, it will list all IAG's
    summarizing the number of Inodes per IAG and some
    info on the location and inode range used.

    With a number specified, the header info for that
    IAG structure will be displayed and verified, and
    an overview of where the inodes are allocated on disk

    Checking the 'verbose' option will cause extra info
    to be displayed for the header fields that may allow
    repair of a damaged structure.

    Checking the 'Aggregate' option will display the info for
    the aggregate (system) inodes instead of the fileset-1
    (user) ones.

Dump FS area to file ...

From main menu: Mode=JFS -> Dump FS area to file ...

Dump the JFS system areas, Aggr/Fs1 inodes to file for analysis (support :-)

    This will create a binary dump for the start of the filesystem
    which will include the superblocks and aggregate/fileset inodes.
    Quite useful for later analysis, perhaps by DFSee support.

    The usual IMAGE dialog will be presented, with the startsector
    and size filled in, as well as a suggested filename.

Display Superblock

From main menu: Mode=JFS -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Check JFS filesystem

From main menu: Mode=JFS -> Check JFS filesystem

Check filesystem for inconsistencies and errors (Readonly, no fixing!)

    This will perform a CHECK of the filesystem, somewhat like the
    well-known CHKDSK but without automatically fixing anything.

    The result of the check is a sector-lookup-table (SLT) that contains
    information about all recognized filesystem areas that are in use.

    Any error recognized will be flagged in the default display of
    this SLT that is performed automatically by the CHECK command.

Identify sectors (SLT)

From main menu: Mode=JFS -> Identify sectors (SLT)

Create Sector Lookup Table (SLT) if needed, display as table or sector info

    This submenu contains all menu-items related to OPENING an object
    to analyse, fix or otherwise work with using other DFSee commands
    and menu selections. The opened object will be the CURRENT one.

Show object layout (SLT)

From main menu: Mode=JFS -> Identify sectors (SLT) -> Show object layout (SLT)

Show layout of current object by displaying parts of the Sector Lookup Table

    This will display part of the sector-lookup-table (SLT)

    You wil be presented with an option dialog first, where you
    specify the desired format and part of the SLT to be displayed.

    The SLT will be built automatically if not done yet, and it will
    have been built by any previous CHECK command too.

    Building the SLT will take place in the background while the
    dialog can be used freely to specify any options for displaying.
    After the dialog has been ended, and the SLT is ready, it will
    be displayed as requested.

    Typically the SLT will contain at least one entry for every file
    on the filesystem, so there could be hundreds of thousands lines!

Identify specific sector

From main menu: Mode=JFS -> Identify sectors (SLT) -> Identify specific sector

Show identification for specified (or current) sector, using the SLT

    This will display information about the specified sector that is
    available in the sector lookup table (SLT)

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available

Identify Last used sector

From main menu: Mode=JFS -> Identify sectors (SLT) -> Identify Last used sector

Show identification for the last sector used, dictating the minimum FS size

    This will display information about the sector that is the last
    one being used (allocated) in the filesystem, and because of that
    dictates the MINIMUM size for the filesystem for a RESIZE.

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available,
    just as the required allocation information (alloc).

Reselect whole disk, FDISK

From main menu: Mode=JFS -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Windows-NT/W2K/XP native File System]

Mode=NTFS Menu: [Windows-NT/W2K/XP native File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=NTFS -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

File Find/Recover/HEXedit

From main menu: Mode=NTFS -> File Find/Recover/HEXedit

Find deleted/normal files, list and possibly recover them. HEX edit dir/file

    This submenu offers selections to search for normal or deleted
    files, display the resulting lists and possibly recover files.

Search Deleted files => list

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Search Deleted files => list

Search MFT records for deleted files, 'Recover from list' will UNDELETE them

    This will search the whole partition for MFT-records of DELETED
    files that match the partial filename (wildcard) specified.

    The sectornumbers of the found MFT-records will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Any/all files => list

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Search Any/all files => list

Search MFT records for deleted or non-deleted files, for 'Recover from list'

    This will search the whole partition for MFT-records of non-deleted
    or deleted files that match the partial filename (wildcard) specified.

    The sectornumbers of the found MFT-records will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Search Normal files => list

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Search Normal files => list

Search MFT area for records for non-deleted files, for 'Recover from list'

    This will search the whole partition for MFT-records of non-deleted
    regular files that match the partial filename (wildcard) specified.

    The sectornumbers of the found MFT-records will be added to the DFSee
    sectorlist so can be used in later actions, or be exported to a file.

    The files contained in that list can be RECOVERED to any directory
    on the system, including a network, by using the 'RECOVER' command.

Display files from List ...

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Display files from List ...

Display (selected) files from the list, using a PATH+FILENAME wildcard

Menu item screenshot(s)

    This will display the DFSee sector-list in a compact format, suited
    to the data contained in the list

    This usually is a 'list -f' or a 'list -s' variant.

Recover files from list ...

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Recover files from list ...

Recover (selected) files from the list to a supplied recovery directory

    This will allow you to recover (copy) one or more of the files in the
    list to any local or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. All files recovered in one go, will be recovered to
    this same directory, with their original path appended to retain the
    directory structure whenever possible.

    It will also prompt for a selection specification in the form of a
    full PATH+FILENAME wildcard and an optional allocation-percentage.

    As an example, the specification:

       '*mydoc*\*project_x*.doc%100'

       will recover all files that have 'mydoc' somewhere in the PATH,
       'project_x' in the filename and have an extension of '.doc' that
       seem to be 100% recoverable. (100% allocation-OK ranking).

Recover THIS file ...

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Recover THIS file ...

Recover the file associated with the CURRENT sector to a recovery directory

    This will allow you to recover (copy) the file represented by the
    CURRENT displayed sector, also called the 'THIS' sector to any local
    or network directory on your system.

    It will prompt for a destination directory first, using the last used
    one as a default. The file will be recovered with its original path
    appended to that to retain the directory structure whenever possible.

    The menu item will only be enabled (selectable) when the CURRENT sector
    represents a normal or deleted FILE for the filesystem involved.
    This means it has to be a type 'f' or 'z' sector, which is:

         For HPFS: an FNODE sector
         For JFS:  an INODE sector
         For NTFS: an MFT record

Find ONE file/dir by Path

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Find ONE file/dir by Path

Find info (FNODE/MFT-record etc) for ONE specified file/directory path

    This uses the specified path from the root-directory to locate
    detailed information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information will be displayed in the standard
    format as defined for the filesystem that is active.
    You can display related information like the directory entry
    or the actual file data from there using the U and D commands.

    You can also use the 'saveto' command or corresponding menu
    item 'Recover THIS file' to create a copy of this found file
    on the specified or default recovery destination
    (or use the combined menu option instead of this find :-)

Find and Recover ONE file

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> Find and Recover ONE file

Find ONE file by full path+filename, and recover it to a recovery directory

    This uses the specified path starting from the ROOT to locate
    ONE specific file, and when found will issue a SAVETO command
    to recover the contents of this file to a recovery directory.

    The path and filename may contain spaces.

    Note:
    The recovered file will be placed directly in the specified
    recovery directory without the full original path, but with
    the proper filename retained (even on JFS :-).

HEX edit file/dir Info (1)

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> HEX edit file/dir Info (1)

Find + edit FAT dir entry / HPFS fnode / JFS inode / NTFS MFTrec+small files

    This uses the specified path from the root-directory to locate
    information for the file or directory for that path.
    This will be from the FNODE on HPFS, the MFT-record on NTFS or
    similar structures like Inodes on other filesystrems.

    The path and filename may contain spaces.

    When found the information at THAT level (1st, direct)
    will be opened in the standard HEX editor

    This will often be META-data about the file or directory,
    with a layout strongly defined by the filesystem type

HEX edit file/dir Data (2)

From main menu: Mode=NTFS -> File Find/Recover/HEXedit -> HEX edit file/dir Data (2)

Find and the HEX edit most HPFS / JFS / NTFS file-data or directory contents

Boot area fixes/updates

From main menu: Mode=NTFS -> Boot area fixes/updates

Fix bootsector, HiddenSectors/GEO, BOOT.INI and NTLDR imaging and fixing

    This submenu offers selections for fixes related to booting like
    fix the bootsector itself, NTLDR image creation and restore,
    fixing the HiddenSectors and geometry fields in the bootsector
    plus BOOT.INI display and FIX of a BOOT.INI entry

Fix the Bootsector

From main menu: Mode=NTFS -> Boot area fixes/updates -> Fix the Bootsector

Fix bootsector by replacing it by the the spare-one, or creating a new one

    This will create a new NTFS bootsector for the partition by replacing
    it with the spare-copy found at the end of the partition.

    This can be very useful when the bootsector got damaged by a virus
    or a crashing program (writing to sector 0) or if the partition was
    deleted by accident using FDISK or LVM and recreated again.

Wipe filesystem Bootsector

From main menu: Mode=NTFS -> Boot area fixes/updates -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Fix 1st NTLDR sector, NT/XP

From main menu: Mode=NTFS -> Boot area fixes/updates -> Fix 1st NTLDR sector, NT/XP

Fix first NTLDR sectory, directly after the bootsector, using a builtin copy

    This will write a builtin copy of the 1st NTLDR sector to the disk,
    making sure that sector is a 'known good' one.  This sector is taken
    from a US-English Windows-XP formatted NTFS partition, but is believed
    to be generic over many Windows (and language) versions.

    This can be very useful when that NTLDR sector got damaged somehow

    In case of problems, you can also use the NTLDR imaging functions,
    and use these to copy a complete NTLDR image from a known-good
    to a damaged one.

    The symptoms of a damaged NTLDR (sector) are a BLACK SCREEN quickly
    after booting, with a blinking text cursor in the upper left corner.
    One known cause of damage is the OS/2 LVM and/or BootManager, when
    used to install OS/2 (or eComStation) into a logical partition, while
    an NTFS partition (with Windows) is the FIRST PRIMARY partition.
    The exact circumstances under which this may occur are not known

Fix 1st NTLDR sector, Vista

From main menu: Mode=NTFS -> Boot area fixes/updates -> Fix 1st NTLDR sector, Vista

Fix first NTLDR sectory, with the Vista 'BOOTMGR' code, using a builtin copy

    This will write a builtin copy of the 1st NTLDR sector to the disk,
    making sure that sector is a 'known good' one.  This sector is taken
    from a Windows-Vista formatted NTFS partition with the 'BOOTMGR' code,
    but is known to be generic over many Windows (and language) versions.

    This can be very useful when that NTLDR sector got damaged somehow

    In case of problems, you can also use the NTLDR imaging functions,
    and use these to copy a complete NTLDR image from a known-good
    to a damaged one.

    The symptoms of a damaged NTLDR (sector) are a BLACK SCREEN quickly
    after booting, with a blinking text cursor in the upper left corner.

Create NTLDR imagefile

From main menu: Mode=NTFS -> Boot area fixes/updates -> Create NTLDR imagefile

Create compressed imagefile with the NTLDR sectors for this partition

    This will create a compressed imagefile with the 15 NTLDR sectors
    from the current NTFS partition, to be used later for a restore to
    a damaged system.

Restore NTLDR imagefile

From main menu: Mode=NTFS -> Boot area fixes/updates -> Restore NTLDR imagefile

Restore imagefile with a 'known good' NTLDR to current partition

    This will restore an imagefile with the 15 NTLDR sectors to the
    current NTFS partition, to recover from a 'BLACK SCREEN' hang
    situation on booting.

Display Windows BOOT.INI

From main menu: Mode=NTFS -> Boot area fixes/updates -> Display Windows BOOT.INI

Find (first) BOOT.INI, display the default line and partition-index to boot

    This will search for the first occurence of a 'BOOT.INI' file in
    the currently opened filesystem (FAT, FAT32 or NTFS).

    When found, some info of the file will be displayed, and the line
    containing the DEFAULT partition to be booted will be displayed
    including the 'partition(W)' partition index. It should look like:

        default=multi(0)disk(0)rdisk(0)partition(2)\WINDOWS

    Below that line, the partition-index for the CURRENT partition
    as calculated by DFSee will be shown. From these two values you
    can see if the BOOT.INI default entry is correct for booting the
    Windows contained in the current selected partition (if any).

    Note that DFSee can only calculate the correct value when the
    filesystem was opened as a PARTITION, not as a volume ...

Fix BOOT.INI partition index

From main menu: Mode=NTFS -> Boot area fixes/updates -> Fix BOOT.INI partition index

Find (first) BOOT.INI, update default partition-index to fix a boot failure

    This will prompt for a replacement value for the partition-index
    to be used in the 'default' boot line in the BOOT.INI file.

    Specify '*' or 'fix' to use the value calculated by DFSee,
    or fill in a numeric value if you want to try another one.

    Add a ' -2' after this value to force BOTH occurences in the
    BOOT.INI file to be updated at the same time. Updating just one
    might be safer, since the old value is still there too, but it
    will result in a the Windows BOOTMANAGER menu toi be displayed
    with these two (now different) partitions selected.
    The corrected one will be the 'default' line ...

    In some situations, it might be needed to try out a few values
    to find the one that will allow Windows to boot again ...

    It will then search for the first occurence of a 'BOOT.INI' file
    in the currently opened filesystem (FAT, FAT32 or NTFS).

    When found, some info of the file will be displayed, and the line
    containing the DEFAULT partition to be booted will be displayed
    including the 'partition(W)' partition index. It should look like:

        default=multi(0)disk(0)rdisk(0)partition(2)\WINDOWS

    Below that line, the partition-index calculated by DFSee is shown.

    Incorrect values for the default partition-index will lead to
    boot failures with messages like:

        Invalid Boot.ini

    or

        Windows could not start because the following file
        is missing or corrupt: Windows\system32\Hal.dll

    The specified or calculated value will be substituted for the
    partition-index in the default line.

    Of course you need to reboot to test if this fix worked ...

    Note:
    Unless you specify the ' -2' option with the value,
    this is NOT a full 'REPAIR' of your BOOT.INI file!
    It is just the minimum update to allow booting Windows again!
    You must properly edit boot.ini once Windows is running again,
    or use 'bootcfg /rebuild' from the recovery-console that can
    be started from regular Windows installation CDs.

    When there is damage to the BOOT.INI file beyond an incorrect
    partition-index, fixing it this way might not be possible.

Fix HiddenSectors/Geo value

From main menu: Mode=NTFS -> Boot area fixes/updates -> Fix HiddenSectors/Geo value

Fix bootsector HiddenSectors and geometry fields to match partition tables

    This will update the 'hidden sectors' field in the bootsector
    to match the offset to the partition-table the partition is
    defined in and update the geometry Heads and Sectors field to
    match the current disk geometry.

    This could be REQUIRED for some operating systems like OS/2
    to accept and mount the partition as a driveletter!

Set Volume Serial Number

From main menu: Mode=NTFS -> Boot area fixes/updates -> Set Volume Serial Number

Change the volume serial number, making this volume unique (after clone :-)

    This will update the 'volume serial number' in the bootsector

    This could be REQUIRED for some operating systems after cloning
    a filesystem, to make sure the volume serial numbers are unique.

Reset bad sectors

From main menu: Mode=NTFS -> Reset bad sectors

Reset the bad-sector administration to show ZERO bad-sectors or clusters

    This will check for bad-sectors being present in the
    filesystem and when present, reset to NO bad sectors.

     FAT:  Reset all 'BAD' values in the FAT to FREE
     NTFS: Update $BadClus and $BitMap to reset bad-clusters
     HPFS: Make the bad-sector-list in the spare-block empty

    This can be very useful after cloning or imaging a partition
    or disk that includes bad-sectors to a new replacement one.

Find Root directory

From main menu: Mode=NTFS -> Find Root directory

Find the MFT record for the root directory

    This will search for the MFT-record that belongs to the root
    directory for this NTFS filesystem, without using the explicit
    references in the bootsector.

    This can be useful if the bootsector got damaged.

Make THIS partition Active

From main menu: Mode=NTFS -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=NTFS -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Set FS status Normal

From main menu: Mode=NTFS -> Set FS status Normal

Update $Volume special file flags to indicate filesystem is in NORMAL state

    This will update the fileystem-status field in the NTFS $Volume file
    to indicate that filesystem is in a NORMAL state, no CHKDSK required

    This can be useful to avoid an automatic CHKDSK after that flag has
    been set by a utility (such as DFSee) or by a 'CHKDSK C: /f' or the
    corresponding context-menu item for the system volume.

    It CANCELS the scheduled CHKDSK that would be done on the next boot.

    Note: The filesystem itself is NOT cleaned in any way, it is just the
          statusflag in the $Volume special file that is modified.

    The clean versus dirty state of the filesystem itself is kept in the
    $Logfile special file (journal log) and can not be modified by DFSee
    It IS displayed when opening an NTFS partition, or whenever the
    DIRTY command is used.

Set FS status Dirty

From main menu: Mode=NTFS -> Set FS status Dirty

Update $Volume special file flags to indicate filesystem needs CHKDSK to run

    This will update the fileystem-status field in the NTFS $Volume file
    to indicate that filesystem is DIRTY.

    This will force a 'CHKDSK /f' on the next boot of Windows

    Note: The filesystem itself is NOT affected in any other way, it is
    just the 'CHKDSK required' statusflag that is modified.

Display an MFT record

From main menu: Mode=NTFS -> Display an MFT record

Display MFT record for specified MFT-index or a selected special file $xxx

    Submenu offering display for the NTFS special files, or
    any other MFT record when specified by number

    It will display information for the file or directory referenced
    by the MFT-record selected from this menu and/or dialog.

Specified MFT number ...

From main menu: Mode=NTFS -> Display an MFT record -> Specified MFT number ...

Display any MFT record, by specifying the MFT-index (record number)

    This will display information for the file or directory referenced
    by the MFT-record specified.

    This includes filenames, flags, date and time as well as security
    information and allocation details.

    Note: The MFT-record has to be identified by its (hexadecimal)
          MFT number, as found in directory details or 'well-known'
          ones like 05 for the root-directory.

0 - $MFT, Master File Table

From main menu: Mode=NTFS -> Display an MFT record -> 0 - $MFT, Master File Table

$MFT special file, Master File Table itself, full allocation

   $MFT     special file, Master File Table itself, full allocation

   Everything on an NTFS volume is a file, and each of those files
   is described by its own MFT-record in the Master File table.

   An MFT record holds references to all attributes for the file,
   where attributes can be 'resident' in the same MFT-record, can
   be 'external' in an allocated area of clusters (run-list)
   or even can be described in a secondary MFT-record.

1 - $MFTMirr, Backup table

From main menu: Mode=NTFS -> Display an MFT record -> 1 - $MFTMirr, Backup table

$MFTMirr special file, Master File Table, duplicate, first 4 records only

   $MFTMirr special file, Master File Table, duplicate, first 4 records

   This is just for emergency use when the MFT-record for the MFT itself
   and for the logfile are damaged, only FOUR records are duplicated.

2 - $LogFile, Journal file

From main menu: Mode=NTFS -> Display an MFT record -> 2 - $LogFile, Journal file

$LogFile special file, the NTFS transaction log, used in CHKDSK recovery

   $LogFile special file, the NTFS transaction log, used in CHKDSK

   This is the transaction log, where all pending changes for the
   filesystem structures are kept. This allows very quick recovery
   of the filesystem to a known good state after a crash.

      Note: User data is NOT kept in the logfile, so after a crash
            there CAN be damage to 'open (user) files'. It is just the
            filesystem structures that are kept safe using this log!

3 - $Volume, Volume info

From main menu: Mode=NTFS -> Display an MFT record -> 3 - $Volume, Volume info

$Volume special file, holds the volume LABEL and NTFS version information

   $Volume  special file, holds the volume LABEL and NTFS version info

   The label, as set/displayed by the 'LABEL' command is kept here,
   as well as volume creation timestamps and the version of the
   NTFS filesystem driver that created or updated it:

        1.2  Original Windows NT, sometimes called NTFS 4
        3.0  Introduced with W2K, sometimes called NTFS 5
        3.1  Introduced with  XP, sometimes called NTFS 5.1

4 - $AttrDef, Attributes

From main menu: Mode=NTFS -> Display an MFT record -> 4 - $AttrDef, Attributes

$AttrDef special file, holds a list of supported attributes for the volume

   $AttrDef special file, holds a list of supported attributes for volume

   This defines the allowed attributes on the volume, with the
   properties for that specific attribute like sorting rules,
   minimum and maximum size, and whether the attribute can be
   an external one or not.

5 - \ Root directory

From main menu: Mode=NTFS -> Display an MFT record -> 5 - \ Root directory

RootDir, main index to the volumes regular files and directories

   RootDir, main index to the volumes regular files and directories

   As a matter of course, this is the starting point for all
   regular diroctory and file-access to the volume. It holds
   an index with filenames as present in the root directory.

6 - $Bitmap, Allocation map

From main menu: Mode=NTFS -> Display an MFT record -> 6 - $Bitmap, Allocation map

$Bitmap special file, cluster-level allocation information; used/un-used

   $Bitmap  special file, cluster-level allocation information

   This is a simple binary file with one bit for every cluster
   in the volume, that will be '1' for a cluster that is in-use
   and '0' for unused clusters.

7 - $Boot, Boot + NTLDR

From main menu: Mode=NTFS -> Display an MFT record -> 7 - $Boot, Boot + NTLDR

$Boot special file, Boot sector plus 1st stage of the NTLDR (15 sectors)

   $Boot    special file, Boot sector plus 1st stage of the NTLDR

   This maps the standard boot-sector plus the 15-sector area
   directly after that, containing the NTFS micro-FSD 'NTLDR'.
   This NTLDR is the FIRST stage of loading Windows, and will
   locate and execute the regular file 'NTLDR' that may be
   located anywhere in the same filesystem.

8 - $BadClus Bad clusters

From main menu: Mode=NTFS -> Display an MFT record -> 8 - $BadClus Bad clusters

$BadClus special file, Bad Cluster list using SPARSE file, non-sparse == BAD

   $BadClus special file, Bad Cluster list using a SPARSE file

   This is a SPARSE file, that normally just has a single extent
   representing the whole volume, and is not-allocated (-sparse-).
   When bad-clusters are detected, they are added to this file
   as allocated areas. Every allocated area is 'BAD' and since it
   is now allocated to this special file, it will not be used ...

9 - $Secure Security info

From main menu: Mode=NTFS -> Display an MFT record -> 9 - $Secure Security info

$Secure special file, index to centralized security info for the volume

   $Secure  special file, index to centralized security info for volume

   This is a collection of security information for the volume, which
   is indexed by a security-index kept in the 'standard' attribute for
   every file.
   It replaces the 'security-descriptor' attribute that was used in the
   older NTFS versions (NT, NTFS 1.2 and older) for efficiency reasons.
   Note that in an NTFS 1.2, MFT record '9' is used by '$Quota' ...

a - $UpCase Collating/Sort

From main menu: Mode=NTFS -> Display an MFT record -> a - $UpCase Collating/Sort

$UpCase special file, table of uppercase characters used for collating/sort

   $UpCase  special file, table of uppercase characters used for collating

   This is a mapping for each character in the UNICODE alphabet that
   defines how it should be uppercased (collated). This is used insorting and comparing filenames since NTFS is case-preserving but
   defined as case-insensitive for sort and compare ...

b - $Extend NTFS 3.0 extras

From main menu: Mode=NTFS -> Display an MFT record -> b - $Extend NTFS 3.0 extras

$Extend special file, index to more special files: $ObjId, $Quota, $Reparse

   $Extend  special file, index to more special files (open ended)

   This is a regular directory, listing any special files not in the
   fixed set, it is used for the added files in NTFS 3.0 and later:

     $ObjId   = index of all the $OBJECT_ID Attributes on the volume.

       Every MFT Record is assigned a unique GUID (starting with W2K).
       Additionally, a record may have a Birth Volume Id, a Birth    ObjectId and a Domain Id, all of which are GUIDs.

     $Quota   = special file storing information about file quotas

       In W2K and later this file keeps track of quotas (disk usage).
       This is administred PER USER en per volume

     $Reparse = special file storing information on reparse points.

       A reparse point is like an equivalent of a UNIX symbolic-link.
       It 'mounts' a file/directory, a network share or other volume
       somewhere in an existing directory structure.

     $UsnJrnl = user readable variant of the transaction/recovery log.

       It does not seem to be used very often, not seen one yet :-)

Dump MFT records to file

From main menu: Mode=NTFS -> Dump MFT records to file

Dump the system MFT records to an imagefile for later analysis (support :-)

    This will create a binary dump for the first 25 MFT records,
    quite useful for later analysis, perhaps by DFSee support.

    The usual IMAGE dialog will be presented, with the startsector
    and size filled in, as well as a suggested filename.

Check NTFS filesystem

From main menu: Mode=NTFS -> Check NTFS filesystem

Check filesystem for inconsistencies and errors (Readonly, no fixing!)

    This will perform a CHECK of the filesystem, somewhat like the
    well-known CHKDSK but without automatically fixing anything.

    The result of the check is a sector-lookup-table (SLT) that contains
    information about all recognized filesystem areas that are in use.

    Any error recognized will be flagged in the default display of
    this SLT that is performed automatically by the CHECK command.

Identify sectors (SLT)

From main menu: Mode=NTFS -> Identify sectors (SLT)

Create Sector Lookup Table (SLT) if needed, display as table or sector info

    This submenu contains all menu-items related to OPENING an object
    to analyse, fix or otherwise work with using other DFSee commands
    and menu selections. The opened object will be the CURRENT one.

Show object layout (SLT)

From main menu: Mode=NTFS -> Identify sectors (SLT) -> Show object layout (SLT)

Show layout of current object by displaying parts of the Sector Lookup Table

    This will display part of the sector-lookup-table (SLT)

    You wil be presented with an option dialog first, where you
    specify the desired format and part of the SLT to be displayed.

    The SLT will be built automatically if not done yet, and it will
    have been built by any previous CHECK command too.

    Building the SLT will take place in the background while the
    dialog can be used freely to specify any options for displaying.
    After the dialog has been ended, and the SLT is ready, it will
    be displayed as requested.

    Typically the SLT will contain at least one entry for every file
    on the filesystem, so there could be hundreds of thousands lines!

Identify specific sector

From main menu: Mode=NTFS -> Identify sectors (SLT) -> Identify specific sector

Show identification for specified (or current) sector, using the SLT

    This will display information about the specified sector that is
    available in the sector lookup table (SLT)

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available

Identify Last used sector

From main menu: Mode=NTFS -> Identify sectors (SLT) -> Identify Last used sector

Show identification for the last sector used, dictating the minimum FS size

    This will display information about the sector that is the last
    one being used (allocated) in the filesystem, and because of that
    dictates the MINIMUM size for the filesystem for a RESIZE.

    The most useful info is the sector referencing this sector, this
    often leads to showing to which file/directory the sector belongs.

    The SLT will be generated automatically if not yet available,
    just as the required allocation information (alloc).

Reselect whole disk, FDISK

From main menu: Mode=NTFS -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Linux Reiser journalled File System]

Mode=REISER Menu: [Linux Reiser journalled File System]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Allocation map display F9

From main menu: Mode=REISER -> Allocation map display F9

Display a pseudo-graphical map of used versus free sectors in the filesystem

Menu item screenshot(s)

    Display a usage map for the currently selected disk or filesystem

    A pseudo-graphical map of the disk or partition allocation is
    displayed, showing the distribution of data over the object

    This is also an indication for the amount of unused sectors in
    the object, that are beneficial to 'SMART-SECTOR' optimizations
    in imaging and cloning operations.

    The percentage of used sectors are displayed as a percentage at
    the end of the line, and a total usage percentage and size is
    shown just after the map itself.

    For filesystems that support resizing, the limits for resizing
    are shown after the map itself.

Make THIS partition Active

From main menu: Mode=REISER -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=REISER -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Display/Edit UUID string

From main menu: Mode=REISER -> Display/Edit UUID string

Display and optionally edit the (Linux) UUID string value in the superblock

    This will display and optionally update the UUID string in
    the filesystems superblock.

Display Superblock

From main menu: Mode=REISER -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Reselect whole disk, FDISK

From main menu: Mode=REISER -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Run your own or DFSee supplied std scripts]

Scripts Menu: [Run your own or DFSee supplied std scripts]

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Run DFSee script ...

From main menu: Scripts -> Run DFSee script ...

Run a DFSee script from a '*.DFS' file, like a recovery scenario

Menu item screenshot(s)

    On selection this will open a 'file-open' dialog listing the
    DFSee script files present in the current directory.

    The file-dialog has controls to let you change the volume,
    directory and selection-wildcard to allow easy selection
    of any file accessible through a drive-letter.

    Selecting one of these will run the selected script.

Create Bootable (USB) disk

From main menu: Scripts -> Create Bootable (USB) disk

Create a bootable USB-stick (or disk) for use with DFSee FreeDOS or Linux

Menu item screenshot(s)

    This will prepare the selected disk for use as a BOOTABLE one,
    with one or two FAT32 partitions, and a Linux based multiple-ISO
    bootmenu with selections to boot the DFSee FreeDOS CD-ISO or a
    PartedMagic based Linux one.

    The ISO's are NOT installed in this step, and need to be copied
    seperately after preparing the disk, and after eject/reinsert:

     To use the stick to boot FreeDOS and use the DOS based DFSDOS.EXE:
     - Copy the DFSee ISO file to the root of the stick as 'dfseedos.iso'

     To use the stick to boot Linux and use the 'dfsee' linux executable:
     - Copy the PartEdMagic ISO file to the root as 'pmagic-4.10.iso'

     AND
     - Copy all the regular DFSee linux files to '\dfsee\linux' to make
       DFSee startable from the PartEdMagic Linux 'My Documents' folder

    Its main use is to create bootable USB-sticks that can run DFSee.
    It can be applied to external USB disks as well, making them very
    well suited to backup and restore purposes using compressed images.

    This menu item uses the 'dfsusb32.dfs' script to do the actual work.
    It can work with sticks/disks from 128Mb to hundreds of gigabytes,
    but USB sticks from 1 to 32Gb in size usually work best.

    On disk sizes above 32Gb, a second FAT32 data partition is created.

    For additional information, see the 'dfsusb32.txt' documentation file.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Make FAT32 Data (USB) disk

From main menu: Scripts -> Make FAT32 Data (USB) disk

Partition +format USB-stick (or disk) with a FAT32 data partition/filesystem

Menu item screenshot(s)

    This prepares the selected disk or USB stick for use as data disk.
    There will be a single primary FAT32 partition, including LVM info.

    This should make the resulting disk/stick compatible with most
    operating systems including Windows and OS/2 (or eComStation).

    Its main use is to create USB-sticks for data exchange.

    It can be applied to larger external USB disks as well.
    You WILL get a warning if the disk is larger than 64Gb,
    but this can safely be ignored when it is your intention
    to use a larger disk as a single FAT32 data storage.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Make FAT16 Data (USB) disk

From main menu: Scripts -> Make FAT16 Data (USB) disk

Partition +format USB-stick with FAT16 filesystem (size limited to 2Gb max!)

    This prepares the selected disk or USB stick for use as data disk.
    There will be a single primary FAT16 partition, including LVM info.

    This should make the resulting disk/stick compatible with most
    operating systems including Windows and OS/2 (or eComStation).

    Its main use is to create USB-sticks up to 2Gb for data exchange.

    For disks larger than 2Gb you need to use the FAT32 variant.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Make 0x07 HPFS/JFS/NTFS disk

From main menu: Scripts -> Make 0x07 HPFS/JFS/NTFS disk

Partition a USB-stick with type 0x07 for HPFS/JFS/NTFS (excluding FORMAT!)

Menu item screenshot(s)

    This prepares the selected disk or USB stick for use as data disk.
    There will be a single primary IFS type 0x07 partition, suitable
    for NTFS, HPFS and (bootable) JFS filesystems. It includes LVM info.

    This should make the resulting disk/stick compatible with most
    operating systems including Windows and OS/2 (or eComStation).

    The resulting partition will NOT be formatted by DFSee, after the
    script completes you need to EJECT the removable disk, re-insert it
    and then use the operating systems FORMAT command, for example:

        format  /fs:NTFS                on Windows
        format  /fs:HPFS                on OS/2 or eComStation
        format  /fs:JFS                 on eComStation

    Note: JFS in a type 0x07 partition requires eComStation 2.0 or newer.

Selection of this item leads to a dynamic created submenu, to select a disk to be used

Make 0x35 classic JFS disk

From main menu: Scripts -> Make 0x35 classic JFS disk

Partition a USB-stick with type 0x35 for a JFS partition (excluding FORMAT!)

    This prepares the selected disk or USB stick for use as data disk.
    There will be a single primary JFS type 0x35 partition, including
    LVM DLAT and signature information areas suitable to be used with
    the classical (non bootable) JFS filesystem used with OS/2 version
    4.50 and up, including all eComStation versions.

    This should make the resulting disk/stick compatible with OS/2
    starting from version 4.50, and all eComStation versions.

    The resulting partition will NOT be formatted by DFSee, after the
    script completes you need to EJECT the removable disk, re-insert it
    and then use the operating systems FORMAT command, for example:

        format  /fs:JFS                 on OS/2 or eComStation

Selection of this item leads to a dynamic created submenu, to select a disk to be used

DFSCHECK, check Filesystems

From main menu: Scripts -> DFSCHECK, check Filesystems

Create DFSCHECK analysis files, checking for most filesystem related issues

Menu item screenshot(s)

    This will perform a check on all supported partitions by running
    the corresponding DOxxxx.DFS script on it, and creating extensive
    information about the specified partition(s) in a logfile.

    This is often referred to as the 'DFSCHECK procedure'

    The action will result in one file for every partition:

         DFSCxxxx.Pnn       verbose analysis information and logfile

         where the 'xxxx'   is the filesystem-name like 'FAT' and
                   'nn'     is the DFSee partition-ID for the partition

    The most important data-structures for the partition will be shown,
    with the bootsector as a bare minimum.

    Most filesystem specific scripts will display:

      - some superblock or meta-information
      - location and some contents of the ROOT directory
      - a display of allocation information     (ALLOC)
      - an allocation-integrity report          (CHECK)
      - a layout for the start of the partition (SLT)

    You can choose to run it on a single, or on ALL partitions.

Selection of this item leads to a dynamic created submenu, to select a partition to be used , including 'ALL partitions'

DFSDISK, check Partitioning

From main menu: Scripts -> DFSDISK, check Partitioning

Create DFSDISK analysis and backup files, checking for partitioning issues

Menu item screenshot(s)

    This will make backups of all important partitioning information,
    including deleted/damaged ones, and create extensive information
    about the specified disk(s) and partitions in a logfile.

    This is often referred to as the 'DFSDISK procedure'
    From the menu you can select a specific disk, or all of them.

    The action will result in SIX files for every physical disk:

         DFSDISK?.SKx       verbose analysis information and logfile
         DFSDISK?.PDx       saved partitioning information (PSAVE)
         DFSDISK?.SNx       list of sectornumbers for found sectors
         DFSDISK?.BNx       binary file with related sector-data
         DFSDISK?.IMx       compressed imagefile, with start of disk
         DFSDISK?.MBx       RAW image with the MBR sector for the disk

         where the 'x' is the disk-number for the physical disk
               and '?' is a letter based on the DFSee version.
                       d = DOS, o = OS/2, w = Windows, l = Linux

    Note: A different basefilename from DFSDISK? can be specified in
          the DFSDISK dialog, together with several other parameters.

    The whole disk will be searched for any partition-table sectors
    (MBR/EBR), bootsectors or LVM-information sectors. This will find
    almost all deleted partitions, or missing ones after the partition
    tables have been damaged.

Selection of this item leads to a dynamic created submenu, to select a disk to be used , including 'ALL disks'

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [Linux SWAP partition] Enter=

Mode=SWAP Menu: [Linux SWAP partition] Enter=

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Make THIS partition Active

From main menu: Mode=SWAP -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=SWAP -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Display Superblock

From main menu: Mode=SWAP -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Wipe filesystem Bootsector

From main menu: Mode=SWAP -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Reselect whole disk, FDISK

From main menu: Mode=SWAP -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


Menu: [XFS journalled File System] Enter=

Mode=XFS Menu: [XFS journalled File System] Enter=

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

Make THIS partition Active

From main menu: Mode=XFS -> Make THIS partition Active

Make the currently selected PRIMARY the 'active' partition for MBR/BIOS boot

    This will make the currently selected PRIMARY partition the
    ACTIVE one for the disk.

    There should only be a single active partition on every disk.
    When the system starts, the BIOS will usually boot from
    the ACTIVE partition on the first disk.

    In IBM BMGR/LVM terms the active partition is called STARTABLE.

Delete THIS partition

From main menu: Mode=XFS -> Delete THIS partition

Delete the currently selected partition from the partition tables

    This will delete the partition that is currently selected to be
    deleted from the partition-tables. This will result in the space
    occupied by the partition becoming FREESPACE that can be used
    again to create new partitions.

    For primary partitions on LVM-systems, the related LVM-information
    is cleared as well, to avoid consistency problems later when a new
    partition is created at the same position.

Display Superblock

From main menu: Mode=XFS -> Display Superblock

Display the SUPERBLOCK structure for the currently selected filesystem

    This will display the contents of the filesystem superblock
    in a textual format matching the current filesystem type.

Wipe filesystem Bootsector

From main menu: Mode=XFS -> Wipe filesystem Bootsector

Wipe the Bootsector, FIRST sector in a filesystem. Remove obsolete FS info

   This will wipe the bootsector (first sector) of the selected
   filesystem or partition.

   Can be useful to get rid of old formatting infomation
   that may confuse tools when trying to reformat.

Reselect whole disk, FDISK

From main menu: Mode=XFS -> Reselect whole disk, FDISK

Unselect filesystem, reselect the same/first disk; enables Mode=FDISK menu

Menu item screenshot(s)

    This will UNSELECT the current object/filesystem, and reselect a
    whole physical disk, either the same disk as the partition was on,
    or the first disk present in other cases.

    This is a quick way to change to 'Mode=FDISK' and work on
    disk-level issues

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk
File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP


DFSee 11.4 menusystem documentation

Select any of the items in the menu-bars below to navigate between the automatically generated documentation pages with item related help-texts and associated screen-shots.

File | Edit | Actions | Display | Scripts | Help
Mode=FDISK | AUX | EXT2_3 | FAT | HFS+ | HPFS | JFS | NTFS | REISER | XFS | SWAP

HTML created by : TX-library 2.62 11-09-2012 (c) 1995-2012: Fsys Software
For application : DFSee OS/2 11.4 08-09-2012; (c) 1994-2012: Jan van Wijk


Edit -> Set Read-Only, no writes

Edit -> Set Read-Only, no writes : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Set Read-Only, no writes : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Set Read-Only, no writes : screenshot 3


Edit -> Set Geometry contents based

Edit -> Set Geometry contents based : screenshot 1


Edit -> Auto GPT partition handling

Edit -> Auto GPT partition handling : screenshot 1

Edit -> Auto GPT partition handling : screenshot 2


Edit -> Keep LVM Engine synchronised

Edit -> Keep LVM Engine synchronised : screenshot 1


Edit -> Automatic logfile Numbering

Edit -> Automatic logfile Numbering : screenshot 1


File -> Log new output to file ...

File -> Log new output to file ... : screenshot 1

File -> Log new output to file ... : screenshot 2


File -> Trace to 9 cyclic files ...

File -> Trace to 9 cyclic files ... : screenshot 1

File -> Trace to 9 cyclic files ... : screenshot 2

Click anywhere in the image to return (Back)

File -> Trace to 9 cyclic files ... : screenshot 3


File -> Create a QUERY report ...

File -> Create a QUERY report ... : screenshot 1


Mode=FDISK -> Open whole Disk to work on

Mode=FDISK -> Open whole Disk to work on : screenshot 1

Mode=FDISK -> Open whole Disk to work on : screenshot 2


Mode=FDISK -> Open Partition to work on

Mode=FDISK -> Open Partition to work on : screenshot 1

Mode=FDISK -> Open Partition to work on : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Open Partition to work on : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Open Partition to work on : screenshot 4


File -> Open object to work with -> Partition, verbose

File -> Open object to work with -> Partition, verbose : screenshot 1

Click anywhere in the image to return (Back)

File -> Open object to work with -> Partition, verbose : screenshot 2

Click anywhere in the image to return (Back)

File -> Open object to work with -> Partition, verbose : screenshot 3

Click anywhere in the image to return (Back)

File -> Open object to work with -> Partition, verbose : screenshot 4

Click anywhere in the image to return (Back)

File -> Open object to work with -> Partition, verbose : screenshot 5

Click anywhere in the image to return (Back)

File -> Open object to work with -> Partition, verbose : screenshot 6


File -> Open object to work with -> Freespace, primary

File -> Open object to work with -> Freespace, primary : screenshot 1

Click anywhere in the image to return (Back)

File -> Open object to work with -> Freespace, primary : screenshot 2


File -> Open object to work with -> Freespace, logical

File -> Open object to work with -> Freespace, logical : screenshot 1

Click anywhere in the image to return (Back)

File -> Open object to work with -> Freespace, logical : screenshot 2


File -> Open object to work with -> Volume

File -> Open object to work with -> Volume : screenshot 1

File -> Open object to work with -> Volume : screenshot 2

Click anywhere in the image to return (Back)

File -> Open object to work with -> Volume : screenshot 3


File -> Open object to work with -> Volume, verbose

File -> Open object to work with -> Volume, verbose : screenshot 1

Click anywhere in the image to return (Back)

File -> Open object to work with -> Volume, verbose : screenshot 2


File -> Open object to work with -> Imagefile (RAW!) ...

File -> Open object to work with -> Imagefile (RAW!) ... : screenshot 1

Click anywhere in the image to return (Back)

File -> Open object to work with -> Imagefile (RAW!) ... : screenshot 2

Click anywhere in the image to return (Back)

File -> Open object to work with -> Imagefile (RAW!) ... : screenshot 3


File -> Media management -> Eject a removable medium

File -> Media management -> Eject a removable medium : screenshot 1

Click anywhere in the image to return (Back)

File -> Media management -> Eject a removable medium : screenshot 2


File -> Media management -> Mount on the DFSee disk-list -> Empty virtual disk

File -> Media management -> Mount on the DFSee disk-list -> Empty virtual disk : screenshot 1

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Empty virtual disk : screenshot 2

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Empty virtual disk : screenshot 3


File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ...

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 1

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 2

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 3

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 4

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 5

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Virtual from .PDx Template ... : screenshot 6


File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk

File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk : screenshot 1

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk : screenshot 2

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk : screenshot 3

Click anywhere in the image to return (Back)

File -> Media management -> Mount on the DFSee disk-list -> Physical, existing disk : screenshot 4


File -> Media management -> Unmount from DFSee disk-list

File -> Media management -> Unmount from DFSee disk-list : screenshot 1

Click anywhere in the image to return (Back)

File -> Media management -> Unmount from DFSee disk-list : screenshot 2

Click anywhere in the image to return (Back)

File -> Media management -> Unmount from DFSee disk-list : screenshot 3


File -> Save screen to file ... F4

File -> Save screen to file ... F4 : screenshot 1


File -> Change current directory

File -> Change current directory : screenshot 1

File -> Change current directory : screenshot 2

Click anywhere in the image to return (Back)

File -> Change current directory : screenshot 3


File -> Run DFSee script ...

File -> Run DFSee script ... : screenshot 1

File -> Run DFSee script ... : screenshot 2

Click anywhere in the image to return (Back)

File -> Run DFSee script ... : screenshot 3

Click anywhere in the image to return (Back)

File -> Run DFSee script ... : screenshot 4


File -> Boot using IBM Bootmanager

File -> Boot using IBM Bootmanager : screenshot 1

File -> Boot using IBM Bootmanager : screenshot 2


File -> Boot the system Now

File -> Boot the system Now : screenshot 1

File -> Boot the system Now : screenshot 2


Edit -> Partition tables ... F6

Edit -> Partition tables ... F6 : screenshot 1

Edit -> Partition tables ... F6 : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Partition tables ... F6 : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Partition tables ... F6 : screenshot 4


Mode=FDISK -> OS/2 LVM and BootManager -> Interactive Edit LVM info

Mode=FDISK -> OS/2 LVM and BootManager -> Interactive Edit LVM info : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Interactive Edit LVM info : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Interactive Edit LVM info : screenshot 3


Edit -> File in Binary editor ...

Edit -> File in Binary editor ... : screenshot 1

Edit -> File in Binary editor ... : screenshot 2

Click anywhere in the image to return (Back)

Edit -> File in Binary editor ... : screenshot 3

Click anywhere in the image to return (Back)

Edit -> File in Binary editor ... : screenshot 4


Edit -> Sector, HEX/ASCII ... F2

Edit -> Sector, HEX/ASCII ... F2 : screenshot 1

Edit -> Sector, HEX/ASCII ... F2 : screenshot 2


Edit -> Sector, Disassembler ...

Edit -> Sector, Disassembler ... : screenshot 1

Edit -> Sector, Disassembler ... : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Sector, Disassembler ... : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Sector, Disassembler ... : screenshot 4


Edit -> Sector, String replacement -> Sector in HEX ... a-F2

Edit -> Sector, String replacement -> Sector in HEX ... a-F2 : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in HEX ... a-F2 : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in HEX ... a-F2 : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in HEX ... a-F2 : screenshot 4

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in HEX ... a-F2 : screenshot 5


Edit -> Sector, String replacement -> Sector in ASCII ... s-F2

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 4

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 5

Click anywhere in the image to return (Back)

Edit -> Sector, String replacement -> Sector in ASCII ... s-F2 : screenshot 6


Edit -> Sector, String replacement -> Sector in UNICODE ... c-F2

Edit -> Sector, String replacement -> Sector in UNICODE ... c-F2 : screenshot 1


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 4

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 5

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 6

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Install : screenshot 7


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Query config

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Query config : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Query config : screenshot 2


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Default boot

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Default boot : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Default boot : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Default boot : screenshot 3


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ...

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ... : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ... : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ... : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager Timeout ... : screenshot 4


Edit -> Find sector data ... c-F

Edit -> Find sector data ... c-F : screenshot 1

Edit -> Find sector data ... c-F : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Find sector data ... c-F : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Find sector data ... c-F : screenshot 4

Click anywhere in the image to return (Back)

Edit -> Find sector data ... c-F : screenshot 5

Click anywhere in the image to return (Back)

Edit -> Find sector data ... c-F : screenshot 6


Edit -> Find Again ... c-A

Edit -> Find Again ... c-A : screenshot 1


Edit -> Force operation Mode=xxx

Edit -> Force operation Mode=xxx : screenshot 1


Edit -> Force operation Mode=xxx -> FDISK + LVM disk level Mode

Edit -> Force operation Mode=xxx -> FDISK + LVM disk level Mode : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Force operation Mode=xxx -> FDISK + LVM disk level Mode : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Force operation Mode=xxx -> FDISK + LVM disk level Mode : screenshot 3


Edit -> Force operation Mode=xxx -> HPFS, OS/2 std native FS

Edit -> Force operation Mode=xxx -> HPFS, OS/2 std native FS : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Force operation Mode=xxx -> HPFS, OS/2 std native FS : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Force operation Mode=xxx -> HPFS, OS/2 std native FS : screenshot 3


Edit -> Properties and settings -> Inverted output-screen

Edit -> Properties and settings -> Inverted output-screen : screenshot 1


Edit -> Properties and settings -> Bright Foreground-text

Edit -> Properties and settings -> Bright Foreground-text : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Bright Foreground-text : screenshot 2


Edit -> Properties and settings -> Blue/Brown background

Edit -> Properties and settings -> Blue/Brown background : screenshot 1


Edit -> Properties and settings -> Use 7-bit ASCII only

Edit -> Properties and settings -> Use 7-bit ASCII only : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Use 7-bit ASCII only : screenshot 2


Edit -> Properties and settings -> ANSI colored texts

Edit -> Properties and settings -> ANSI colored texts : screenshot 1


Edit -> Properties and settings -> Change to Non-windowed UI

Edit -> Properties and settings -> Change to Non-windowed UI : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Change to Non-windowed UI : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Change to Non-windowed UI : screenshot 3


Edit -> Properties and settings -> Select window color scheme

Edit -> Properties and settings -> Select window color scheme : screenshot 1

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 2

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 3

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 4

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 5

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 6

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 7

Click anywhere in the image to return (Back)

Edit -> Properties and settings -> Select window color scheme : screenshot 8


Actions -> Resize partition and FS -> Resize, make partition smaller

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Resize, make partition smaller : screenshot 7


Actions -> Resize partition and FS -> Expand, make partition larger

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 7

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 8

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Expand, make partition larger : screenshot 9


Actions -> Resize partition and FS -> Adjust FS to partition size

Actions -> Resize partition and FS -> Adjust FS to partition size : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Adjust FS to partition size : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Adjust FS to partition size : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Adjust FS to partition size : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Resize partition and FS -> Adjust FS to partition size : screenshot 5


Actions -> Move or Copy a partition -> Move towards END of freespace

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 7

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Move towards END of freespace : screenshot 8


Actions -> Move or Copy a partition -> Copy Part to freespace area

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Move or Copy a partition -> Copy Part to freespace area : screenshot 7


Actions -> Bad-sector scan, read only

Actions -> Bad-sector scan, read only : screenshot 1

Actions -> Bad-sector scan, read only : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Bad-sector scan, read only : screenshot 3


Actions -> Full read/write/verify Scan

Actions -> Full read/write/verify Scan : screenshot 1

Actions -> Full read/write/verify Scan : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Full read/write/verify Scan : screenshot 3


Actions -> DFSDISK, check Partitioning

Actions -> DFSDISK, check Partitioning : screenshot 1

Actions -> DFSDISK, check Partitioning : screenshot 2

Click anywhere in the image to return (Back)

Actions -> DFSDISK, check Partitioning : screenshot 3

Click anywhere in the image to return (Back)

Actions -> DFSDISK, check Partitioning : screenshot 4


Actions -> DFSCHECK, check Filesystems

Actions -> DFSCHECK, check Filesystems : screenshot 1

Actions -> DFSCHECK, check Filesystems : screenshot 2

Click anywhere in the image to return (Back)

Actions -> DFSCHECK, check Filesystems : screenshot 3

Click anywhere in the image to return (Back)

Actions -> DFSCHECK, check Filesystems : screenshot 4

Click anywhere in the image to return (Back)

Actions -> DFSCHECK, check Filesystems : screenshot 5


Actions -> Clone or Compare objects -> Disk to Disk ...

Actions -> Clone or Compare objects -> Disk to Disk ... : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Disk to Disk ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Disk to Disk ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Disk to Disk ... : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Disk to Disk ... : screenshot 5


Actions -> Clone or Compare objects -> Partition to Partition ...

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Partition ... : screenshot 7


Actions -> Clone or Compare objects -> Partition to Current object

Actions -> Clone or Compare objects -> Partition to Current object : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Current object : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Clone or Compare objects -> Partition to Current object : screenshot 3


Actions -> Create Imagefile(s) -> from a Partition

Actions -> Create Imagefile(s) -> from a Partition : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Partition : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Partition : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Partition : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Partition : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Partition : screenshot 6


Actions -> Create Imagefile(s) -> from a Disk

Actions -> Create Imagefile(s) -> from a Disk : screenshot 1

Actions -> Create Imagefile(s) -> from a Disk : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Disk : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Disk : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Disk : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Create Imagefile(s) -> from a Disk : screenshot 6


Actions -> Restore/Compare imagefile(s) -> to a Disk

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 7

Click anywhere in the image to return (Back)

Actions -> Restore/Compare imagefile(s) -> to a Disk : screenshot 8


Actions -> Show info for an image ...

Actions -> Show info for an image ... : screenshot 1

Actions -> Show info for an image ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Show info for an image ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Show info for an image ... : screenshot 4


Actions -> Verify compressed image ...

Actions -> Verify compressed image ... : screenshot 1

Actions -> Verify compressed image ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Verify compressed image ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Verify compressed image ... : screenshot 4


Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s)

Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s) : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s) : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s) : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe 'This' sector(s) : screenshot 4


Actions -> Erase, wipe selected areas -> Erase, wipe current object

Actions -> Erase, wipe selected areas -> Erase, wipe current object : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe current object : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe current object : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe current object : screenshot 4


Actions -> Erase, wipe selected areas -> SECURE wipe current object

Actions -> Erase, wipe selected areas -> SECURE wipe current object : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECURE wipe current object : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECURE wipe current object : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECURE wipe current object : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECURE wipe current object : screenshot 5


Actions -> Erase, wipe selected areas -> Zero freespace in filesystem

Actions -> Erase, wipe selected areas -> Zero freespace in filesystem : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Zero freespace in filesystem : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Zero freespace in filesystem : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Zero freespace in filesystem : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Zero freespace in filesystem : screenshot 5


Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area

Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> Erase, wipe Freespace-area : screenshot 4


Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Erase, wipe selected areas -> SECUREWIPE freespace in FS : screenshot 6


Mode=FDISK -> Disk and media overview

Mode=FDISK -> Disk and media overview : screenshot 1

Mode=FDISK -> Disk and media overview : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Disk and media overview : screenshot 3


Mode=FDISK -> Create new partition

Mode=FDISK -> Create new partition : screenshot 1

Mode=FDISK -> Create new partition : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 4

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 5

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 6

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 7

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 8

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 9

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 10

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 11

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 12

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 13

Click anywhere in the image to return (Back)

Mode=FDISK -> Create new partition : screenshot 14


Mode=FDISK -> Show/Set disk Geometry

Mode=FDISK -> Show/Set disk Geometry : screenshot 1

Mode=FDISK -> Show/Set disk Geometry : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Show/Set disk Geometry : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Show/Set disk Geometry : screenshot 4


Mode=FDISK -> BACKUP partition info

Mode=FDISK -> BACKUP partition info : screenshot 1

Mode=FDISK -> BACKUP partition info : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> BACKUP partition info : screenshot 3


Mode=FDISK -> RESTORE partition info ...

Mode=FDISK -> RESTORE partition info ... : screenshot 1

Mode=FDISK -> RESTORE partition info ... : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> RESTORE partition info ... : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> RESTORE partition info ... : screenshot 4

Click anywhere in the image to return (Back)

Mode=FDISK -> RESTORE partition info ... : screenshot 5


Mode=FDISK -> Make partition scripts ...

Mode=FDISK -> Make partition scripts ... : screenshot 1

Mode=FDISK -> Make partition scripts ... : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Make partition scripts ... : screenshot 3


Mode=FDISK -> Set partition Status to -> Active, BIOS-startable

Mode=FDISK -> Set partition Status to -> Active, BIOS-startable : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Set partition Status to -> Active, BIOS-startable : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Set partition Status to -> Active, BIOS-startable : screenshot 3


Mode=FDISK -> Set partition Status to -> Hidden, using part-type

Mode=FDISK -> Set partition Status to -> Hidden, using part-type : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Set partition Status to -> Hidden, using part-type : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Set partition Status to -> Hidden, using part-type : screenshot 3


Mode=FDISK -> Delete partition

Mode=FDISK -> Delete partition : screenshot 1

Mode=FDISK -> Delete partition : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Delete partition : screenshot 3


Mode=FDISK -> Change partition Type

Mode=FDISK -> Change partition Type : screenshot 1

Mode=FDISK -> Change partition Type : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Change partition Type : screenshot 3


Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry

Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry : screenshot 4

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix CHS values to Geometry : screenshot 5


Mode=FDISK -> MBR or EBR area operations -> New MBR code, ERASE tables

Mode=FDISK -> MBR or EBR area operations -> New MBR code, ERASE tables : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code, ERASE tables : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code, ERASE tables : screenshot 3


Mode=FDISK -> MBR or EBR area operations -> New MBR code, KEEP tables

Mode=FDISK -> MBR or EBR area operations -> New MBR code, KEEP tables : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code, KEEP tables : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code, KEEP tables : screenshot 3


Mode=FDISK -> MBR or EBR area operations -> New MBR code from an IMAGE

Mode=FDISK -> MBR or EBR area operations -> New MBR code from an IMAGE : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code from an IMAGE : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> New MBR code from an IMAGE : screenshot 3


Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE

Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Save MBR code, to an IMAGE : screenshot 4


Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR

Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Update NT-signature in MBR : screenshot 4


Mode=FDISK -> MBR or EBR area operations -> Wipe MBR TRACK-1 sectors

Mode=FDISK -> MBR or EBR area operations -> Wipe MBR TRACK-1 sectors : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Wipe MBR TRACK-1 sectors : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> MBR or EBR area operations -> Wipe MBR TRACK-1 sectors : screenshot 3


Mode=FDISK -> OS/2 LVM and BootManager -> BMGR W2K, CHS and I13X fix

Mode=FDISK -> OS/2 LVM and BootManager -> BMGR W2K, CHS and I13X fix : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> BMGR W2K, CHS and I13X fix : screenshot 2


Mode=SWAP -> Reselect whole disk, FDISK

Mode=SWAP -> Reselect whole disk, FDISK : screenshot 1

Mode=SWAP -> Reselect whole disk, FDISK : screenshot 2

Click anywhere in the image to return (Back)

Mode=SWAP -> Reselect whole disk, FDISK : screenshot 3

Click anywhere in the image to return (Back)

Mode=SWAP -> Reselect whole disk, FDISK : screenshot 4


Mode=FAT -> File Find/Recover/HEXedit -> Find sub-directories => list

Mode=FAT -> File Find/Recover/HEXedit -> Find sub-directories => list : screenshot 1

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Find sub-directories => list : screenshot 2

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Find sub-directories => list : screenshot 3


Mode=FAT -> File Find/Recover/HEXedit -> Search Deleted files => list

Mode=FAT -> File Find/Recover/HEXedit -> Search Deleted files => list : screenshot 1

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Search Deleted files => list : screenshot 2

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Search Deleted files => list : screenshot 3


Mode=FAT -> File Find/Recover/HEXedit -> Search Normal files => list

Mode=FAT -> File Find/Recover/HEXedit -> Search Normal files => list : screenshot 1

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Search Normal files => list : screenshot 2

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Search Normal files => list : screenshot 3


Display -> Disk overview map

Display -> Disk overview map : screenshot 1

Display -> Disk overview map : screenshot 2


Display -> Partitionable Media

Display -> Partitionable Media : screenshot 1

Display -> Partitionable Media : screenshot 2

Click anywhere in the image to return (Back)

Display -> Partitionable Media : screenshot 3

Click anywhere in the image to return (Back)

Display -> Partitionable Media : screenshot 4

Click anywhere in the image to return (Back)

Display -> Partitionable Media : screenshot 5


Mode=FAT -> Allocation map display F9

Mode=FAT -> Allocation map display F9 : screenshot 1

Mode=FAT -> Allocation map display F9 : screenshot 2

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 3

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 4

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 5

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 6

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 7

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 8

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 9

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 10

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 11

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 12

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 13

Click anywhere in the image to return (Back)

Mode=FAT -> Allocation map display F9 : screenshot 14


Display -> Volume overview F7

Display -> Volume overview F7 : screenshot 1

Display -> Volume overview F7 : screenshot 2


Display -> Partition overview F5

Display -> Partition overview F5 : screenshot 1

Display -> Partition overview F5 : screenshot 2


Display -> Other partition views -> Part decimal view s-F5

Display -> Other partition views -> Part decimal view s-F5 : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part decimal view s-F5 : screenshot 2


Display -> Other partition views

Display -> Other partition views : screenshot 1


Display -> Other partition views -> Part extended view

Display -> Other partition views -> Part extended view : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part extended view : screenshot 2


Display -> Other partition views -> Part numeric view a-F5

Display -> Other partition views -> Part numeric view a-F5 : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part numeric view a-F5 : screenshot 2


Display -> Other partition views -> Part combined view c-F5

Display -> Other partition views -> Part combined view c-F5 : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part combined view c-F5 : screenshot 2


Display -> Other partition views -> Part verbose view

Display -> Other partition views -> Part verbose view : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part verbose view : screenshot 2


Display -> Other partition views -> Part allocation view

Display -> Other partition views -> Part allocation view : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part allocation view : screenshot 2


Display -> Other partition views -> FS-check all partitions

Display -> Other partition views -> FS-check all partitions : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> FS-check all partitions : screenshot 2


Display -> Other partition views -> Part sector(s) view

Display -> Other partition views -> Part sector(s) view : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part sector(s) view : screenshot 2


Display -> Other partition views -> Warning only view

Display -> Other partition views -> Warning only view : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Warning only view : screenshot 2


Display -> Other partition views -> Part complete view, CS

Display -> Other partition views -> Part complete view, CS : screenshot 1

Click anywhere in the image to return (Back)

Display -> Other partition views -> Part complete view, CS : screenshot 2


Display -> LVM info for partition(s)

Display -> LVM info for partition(s) : screenshot 1

Display -> LVM info for partition(s) : screenshot 2

Click anywhere in the image to return (Back)

Display -> LVM info for partition(s) : screenshot 3


Display -> Base, LSN first..last

Display -> Base, LSN first..last : screenshot 1

Display -> Base, LSN first..last : screenshot 2


Display -> Currently open object(s)

Display -> Currently open object(s) : screenshot 1

Display -> Currently open object(s) : screenshot 2


Display -> Raw partition table Walk

Display -> Raw partition table Walk : screenshot 1

Display -> Raw partition table Walk : screenshot 2


Display -> Sectors for partition

Display -> Sectors for partition : screenshot 1

Display -> Sectors for partition : screenshot 2


Display -> Partition Table sector

Display -> Partition Table sector : screenshot 1

Display -> Partition Table sector : screenshot 2


Display -> GoTo sector (nr) ... c-G

Display -> GoTo sector (nr) ... c-G : screenshot 1

Display -> GoTo sector (nr) ... c-G : screenshot 2

Click anywhere in the image to return (Back)

Display -> GoTo sector (nr) ... c-G : screenshot 3


Display -> Related sectors -> Next likely sector number c-N

Display -> Related sectors -> Next likely sector number c-N : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> Next likely sector number c-N : screenshot 2

Click anywhere in the image to return (Back)

Display -> Related sectors -> Next likely sector number c-N : screenshot 3

Click anywhere in the image to return (Back)

Display -> Related sectors -> Next likely sector number c-N : screenshot 4


Display -> Related sectors -> Up linked sector c-U

Display -> Related sectors -> Up linked sector c-U : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> Up linked sector c-U : screenshot 2


Display -> Related sectors -> Xtra linked sector c-X

Display -> Related sectors -> Xtra linked sector c-X : screenshot 1


Display -> Related sectors -> This +1 sector, go Forward

Display -> Related sectors -> This +1 sector, go Forward : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> This +1 sector, go Forward : screenshot 2

Click anywhere in the image to return (Back)

Display -> Related sectors -> This +1 sector, go Forward : screenshot 3


Display -> Related sectors -> This -1 sector, go Backward

Display -> Related sectors -> This -1 sector, go Backward : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> This -1 sector, go Backward : screenshot 2


Display -> Related sectors -> This sector, Bin/HexDump c-B

Display -> Related sectors -> This sector, Bin/HexDump c-B : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> This sector, Bin/HexDump c-B : screenshot 2


Display -> Related sectors -> This sector, Text as Ascii c-T

Display -> Related sectors -> This sector, Text as Ascii c-T : screenshot 1

Click anywhere in the image to return (Back)

Display -> Related sectors -> This sector, Text as Ascii c-T : screenshot 2


Display -> I/O speed Read-only

Display -> I/O speed Read-only : screenshot 1

Display -> I/O speed Read-only : screenshot 2


Display -> I/O speed Read/Write

Display -> I/O speed Read/Write : screenshot 1

Display -> I/O speed Read/Write : screenshot 2


Mode=FDISK -> Search partition + FS info

Mode=FDISK -> Search partition + FS info : screenshot 1

Mode=FDISK -> Search partition + FS info : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info : screenshot 3


Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only

Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Partition tables + LVM only : screenshot 4


Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> JFS

Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> JFS : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Search FS superblocks only -> JFS : screenshot 2


Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ANY FS

Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ANY FS : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ANY FS : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Search partition + FS info -> Superblocks + partitioning -> ANY FS : screenshot 3


Mode=FDISK -> OS/2 LVM and BootManager

Mode=FDISK -> OS/2 LVM and BootManager : screenshot 1


Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name

Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Change the LVM disk Name : screenshot 4


Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter)

Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter) : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter) : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter) : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Delete LVM Volume (letter) : screenshot 4


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Add : screenshot 4


Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Delete

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Delete : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Delete : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Bootmanager menu Delete : screenshot 3


Mode=FDISK -> OS/2 LVM and BootManager -> Set LVM-Geo to DFSee L-Geo

Mode=FDISK -> OS/2 LVM and BootManager -> Set LVM-Geo to DFSee L-Geo : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Set LVM-Geo to DFSee L-Geo : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> OS/2 LVM and BootManager -> Set LVM-Geo to DFSee L-Geo : screenshot 3


Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F

Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Fix EXT container Type -> Make logical EXT types 0F : screenshot 4


Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk

Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk : screenshot 1

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk : screenshot 2

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk : screenshot 3

Click anywhere in the image to return (Back)

Mode=FDISK -> Part-table cleanup/repair -> Align EXT container, Disk : screenshot 4


Mode=FDISK -> MBR or EBR area operations

Mode=FDISK -> MBR or EBR area operations : screenshot 1


Mode=FDISK -> Part-table cleanup/repair

Mode=FDISK -> Part-table cleanup/repair : screenshot 1


Actions -> Format with FAT filesystem -> A Partition to be selected

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> A Partition to be selected : screenshot 7


Actions -> Format with FAT filesystem -> Currently opened object ...

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 1

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 4

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 5

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 6

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 7

Click anywhere in the image to return (Back)

Actions -> Format with FAT filesystem -> Currently opened object ... : screenshot 8


Actions -> File and sector List -> Export sector-list ...

Actions -> File and sector List -> Export sector-list ... : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Export sector-list ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Export sector-list ... : screenshot 3


Actions -> File and sector List -> Import sector-list ...

Actions -> File and sector List -> Import sector-list ... : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Import sector-list ... : screenshot 2

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Import sector-list ... : screenshot 3

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Import sector-list ... : screenshot 4


Mode=FAT -> File Find/Recover/HEXedit -> Display files from List ...

Mode=FAT -> File Find/Recover/HEXedit -> Display files from List ... : screenshot 1

Click anywhere in the image to return (Back)

Mode=FAT -> File Find/Recover/HEXedit -> Display files from List ... : screenshot 2


Actions -> File and sector List -> Verbose show list, contents

Actions -> File and sector List -> Verbose show list, contents : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Verbose show list, contents : screenshot 2


Actions -> File and sector List -> Wipe all sectors in list

Actions -> File and sector List -> Wipe all sectors in list : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Wipe all sectors in list : screenshot 2

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Wipe all sectors in list : screenshot 3

Click anywhere in the image to return (Back)

Actions -> File and sector List -> Wipe all sectors in list : screenshot 4


Actions -> File and sector List -> FS-mode aware list 1-liners

Actions -> File and sector List -> FS-mode aware list 1-liners : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> FS-mode aware list 1-liners : screenshot 2

Click anywhere in the image to return (Back)

Actions -> File and sector List -> FS-mode aware list 1-liners : screenshot 3


Actions -> File and sector List -> FS-mode aware list contents

Actions -> File and sector List -> FS-mode aware list contents : screenshot 1

Click anywhere in the image to return (Back)

Actions -> File and sector List -> FS-mode aware list contents : screenshot 2

Click anywhere in the image to return (Back)

Actions -> File and sector List -> FS-mode aware list contents : screenshot 3


Help -> DFSee generic commands

Help -> DFSee generic commands : screenshot 1

Help -> DFSee generic commands : screenshot 2


Help -> FS-specific commands

Help -> FS-specific commands : screenshot 1

Help -> FS-specific commands : screenshot 2


Help -> Sector Types recognized

Help -> Sector Types recognized : screenshot 1

Help -> Sector Types recognized : screenshot 2


Help -> Exe startup switches

Help -> Exe startup switches : screenshot 1

Help -> Exe startup switches : screenshot 2

Click anywhere in the image to return (Back)

Help -> Exe startup switches : screenshot 3


Help -> User interface

Help -> User interface : screenshot 1

Help -> User interface : screenshot 2

Click anywhere in the image to return (Back)

Help -> User interface : screenshot 3


Help -> About ... s-F11

Help -> About ... s-F11 : screenshot 1

Help -> About ... s-F11 : screenshot 2


Help -> Script Control-structures

Help -> Script Control-structures : screenshot 1

Help -> Script Control-structures : screenshot 2

Click anywhere in the image to return (Back)

Help -> Script Control-structures : screenshot 3


Help -> Script Built-in functions

Help -> Script Built-in functions : screenshot 1

Help -> Script Built-in functions : screenshot 2

Click anywhere in the image to return (Back)

Help -> Script Built-in functions : screenshot 3


Help -> Script Variables/constants

Help -> Script Variables/constants : screenshot 1

Help -> Script Variables/constants : screenshot 2

Click anywhere in the image to return (Back)

Help -> Script Variables/constants : screenshot 3

Click anywhere in the image to return (Back)

Help -> Script Variables/constants : screenshot 4

Click anywhere in the image to return (Back)

Help -> Script Variables/constants : screenshot 5


Help -> Partition Types

Help -> Partition Types : screenshot 1

Help -> Partition Types : screenshot 2


Help -> User interface

Help -> User interface : screenshot 1

Help -> User interface : screenshot 2


Help -> About ... s-F11

Help -> About ... s-F11 : screenshot 1

Help -> About ... s-F11 : screenshot 2

Click anywhere in the image to return (Back)

Help -> About ... s-F11 : screenshot 3